var CommonLib = {

}

/**
 * @brief		지원되지 않는 키 처리 함수
 * @remarks		Not available Popup 생성
* @param		EKC	: 입력된 keycode		callbackFb : 실행될 callback 함수	
* @return       void
*/
CommonLib.keyHandler = function(EKC,callbackFn){
	TRACE("CommonLib.keyHandler ::: "+ EKC);
	switch(EKC) {
		case (tvKey.KEY_EMODE) :
		case (tvKey.KEY_DMA) :
		case (tvKey.KEY_MENU) :
		case (tvKey.KEY_FAVCH) :
		case (tvKey.KEY_PRECH) :
		case (tvKey.KEY_CHLIST) :
		case (tvKey.KEY_CC) : 
		case (tvKey.KEY_TTX_MIX) : 
		case (tvKey.KEY_GUIDE) : 
		case (tvKey.KEY_SUBTITLE):
		case (tvKey.KEY_ASPECT) : 
		case (tvKey.KEY_DOLBY_SRR) : 
		case (tvKey.KEY_MTS) :
		
			// Popup (확인 버튼 Only) 호출 및 Popup 종료 이후 Callback Function으로 복귀
			// 문구 
			// 국판  :  현재 모드에서는 지원되지 않습니다.
			TRACE("CommonLib.keyHandler :: "+EKC);
//			document.getElementById("searchInput").style.visibility="hidden";
//			curPopup = POPUP_NOTAVILABLE;
//			PopupModule.turnPopup("off");
//			openPopupWithTimer(LANG_NOTAVAILABLE_POPUP, callbackFn, 5);
			// 영문 : Not Available.
			break;
	}
}
