﻿var widgetAPI = new Common.API.Widget();
var pluginAPI = new Common.API.Plugin();
var tvKey = new Common.API.TVKeyValue();

 var KeyHandler = {
                tvKey : null,
                MainMenuAnchor : null,
                LivePlayerAnchor : null,
                VODPlayerAnchor : null,
                Selectbox : null,
                NumberEntered : '',
                ChSelectorTimeout : null,
                Show : 0,
                Menu : 0,
                info_focus : false,
}

KeyHandler.create = function() {
                this.MainMenuAnchor  =  document.getElementById("MainMenu_Anchor");
                this.LivePlayerAnchor  =  document.getElementById("LivePlayer_Anchor");    
                this.VODPlayerAnchor = document.getElementById("VODPlayer_Anchor");
                this.SelectboxAnchor = document.getElementById("Selectbox_Anchor");
                this.tvKey = new Common.API.TVKeyValue();
}

KeyHandler.setFocus = function(menuID) {  
    ConsoleLog('KeyHandler.setFocus ' + menuID);
    switch(menuID)
    {
        case Main.MainMenu_ID:
            this.MainMenuAnchor.focus();
            break;
        case Main.LivePlayer_ID:
            this.LivePlayerAnchor.focus();
            break;
        case Main.VODPlayer_ID:
            this.VODPlayerAnchor.focus();
            break;
        case Main.Selectbox_ID:
            this.SelectboxAnchor.focus();
            break;

            default:
            alert("Unhandled key");
}
}

/*
650 TXT MIX
259 PREV CH
Dual: 655
AD: 0
SUB: 652
GUID 651
*/

/*  D
case 1252://KEY_SEARCH
case 1251://KEY_SOCIAL
*/

/*
case 147://KEY_INFOLINK
*/

KeyHandler.KanalSelector = function() 
{
                var max = API.chan_counter;
                if(KeyHandler.NumberEntered>max)
                    Display.status('ошибка ввода');
                else if (KeyHandler.NumberEntered > 0)
                {
                    if(KeyHandler.NumberEntered < 11)
                        Main.selected_channel = KeyHandler.NumberEntered - 1;
                    else if((KeyHandler.NumberEntered % 10)>0)
                        Main.selected_channel = (KeyHandler.NumberEntered % 10) - 1;
                    else
                        Main.selected_channel =  9;
                    if (Main.selected_channel < 4)
                        Main.selected_page = Math.round(KeyHandler.NumberEntered / 10);
                    else
                        Main.selected_page = Math.round(KeyHandler.NumberEntered / 10) - 1;

                    Main.chan_array_index = parseInt(KeyHandler.NumberEntered - 1);
                    Main.ch_id_selected = API.channels[Main.chan_array_index][0];
                    KeyHandler.NumberEntered = '';
                    Main.help_info = false;
                    Main.PlayChannel();
                }
                KeyHandler.NumberEntered = '';
}

KeyHandler.Keys10 = function(keyCode)
{
                var number="";

            switch(keyCode)
            {
                case this.tvKey.KEY_1:
                    number="1";
                break;

                case this.tvKey.KEY_2:
                    number="2";
                break;

                case this.tvKey.KEY_3:
                    number="3"
                break;

                case this.tvKey.KEY_4:
                    number="4";
                break;

                case this.tvKey.KEY_5:
                    number="5";
                break;

                case this.tvKey.KEY_6:
                    number="6";
                break;

                case this.tvKey.KEY_7:
                    number="7";
                break;

                case this.tvKey.KEY_8:
                    number="8";
                break;

                case this.tvKey.KEY_9:
                    number="9";
                break;

                case this.tvKey.KEY_0:
                    number="0";
                break;

                default:
                    alert("Unhandled key");
                break;
            }

                KeyHandler.NumberEntered = KeyHandler.NumberEntered + number;
                    if(number!="" && KeyHandler.NumberEntered != "")
                    {
                        if(Main.PlayerMode == "0")
                            Main.player.info(KeyHandler.NumberEntered);
                        else
                        Display.status1(KeyHandler.NumberEntered);
                        clearTimeout(this.ChSelectorTimeout);
                        this.ChSelectorTimeout = setTimeout("KeyHandler.KanalSelector()", 2000);
                    }
}
	
KeyHandler.MainMenuKeyDown = function()
{  
                var keyCode0 = event.keyCode;
                alert(" MainMenuKeyDown Key pressed: " + keyCode0);
                //Display.status("BUTTON-ID: " + keyCode0);
                KeyHandler.Keys10(keyCode0);

        switch(keyCode0)
        {                       
/*
                            case this.tvKey.KEY_INFOLINK:
                            case this.tvKey.KEY_SEARCH:
                            case this.tvKey.KEY_SOCIAL:
                            widgetAPI.blockNavigation(event);
                break;
*/
                case this.tvKey.KEY_INFO:
                    if(API.chan_counter < 500)
                        {
                            if (Main.help_info == true)
                                Main.PlayPrevPlaylist();
                                else 
                                {
                                    Main.help_info = true; 
                                    Main.playlist(); 
                                }
                        }
                        else
                        {
                            Display.status('Недоступно!');
                            setTimeout("Display.status('Очень большой плейлист!')", 2000);
                        }
                break;

                case this.tvKey.KEY_TOOLS:
                    Player.stopVideo(); 
                    Setup.setFormular();
                break;

                case this.tvKey.KEY_MENU:
                    widgetAPI.blockNavigation(event);
                    if(this.Show==1)
                        {
                            this.Show=0;
                        }
                        if(this.Show==0 && this.Menu==0)
                        {
                            Main.unregistVOLTVKey();
                            pluginAPI.ShowTools(1);
                            this.Show=1;
                            this.Menu=1;
                        }
                        else if(this.Show==0 && this.Menu==1)
                        {
                            Main.unregistVOLTVKey();
                            pluginAPI.ShowTools(0);
                            this.Show=1;
                            this.Menu=0;
                        }
                break;

                case 259://PRE-CH EMU
                    Main.PlayPrevChannel();
                break;

                case this.tvKey.KEY_EXIT:
                    widgetAPI.blockNavigation(event);
                    if(Player.state == Player.STOPPED)
                        widgetAPI.sendReturnEvent(); 
                        else
                        {
                            if(Main.PlayerMode == "0") 
                            {
                                Main.stopFPlayer();
                                Main.Menu();
                            }
                            else 
                            Player.ReturnMenu();
                        }
                break;

                case this.tvKey.KEY_RETURN:
                    widgetAPI.blockNavigation(event);
                        if(Player.state == Player.STOPPED || Main.help_info == true )
                            Main.PlayPrevPlaylist(); 
                        else if(Player.state == Player.LOADING)    
                        {
                            if(Main.PlayerMode == "0") 
                                {
                                    Main.stopFPlayer();
                                    Main.Menu();
                                }
                                else 
                                    Player.ReturnMenu();  
                        }
                        else if(Player.state == Player.PLAYING_LIVE || Player.plugin.GetDuration() !=0)
                        {
                            if(Player.state == Player.PLAYING_LIVE)
                                KeyHandler.setFocus(Main.LivePlayer_ID);
                            else
                                KeyHandler.setFocus(Main.VODPlayer_ID);
                                Main.SetSelectedPosition();
                                Main.unregistTVKey();
                                Display.showplayer();
                                Display.hidemenu();
                        } 
                        else
                            Player.ReturnMenu();
                 break;

                case this.tvKey.KEY_DOWN:
                    Main.selectNextChannel();
                break;

                case this.tvKey.KEY_UP:
                    Main.selectPrevChannel();
                break;

                case this.tvKey.KEY_LEFT:
                    Main.selectPrevPage();
                break;

                case this.tvKey.KEY_RIGHT:
                    Main.selectNextPage();
                break;

                case this.tvKey.KEY_ENTER:
                    Main.help_info = false;
                    Main.PlayChannel();
                break;

                case this.tvKey.KEY_VOL_UP:
                     //Audio.setRelativeVolume(0);
                break;

                case this.tvKey.KEY_VOL_DOWN:
                    //Audio.setRelativeVolume(1);
                break;


                case this.tvKey.KEY_MUTE:
                   //Audio.muteMode();
                break;	


                case this.tvKey.KEY_RED: 
                    if(Main.help_info == false)
                    {
                        if(Main.FAV == false)
                            Main.showCategorySelector();
                        else if( Main.RED)
                            Main.delFavorites();
                    }
                break;
                case tvKey.KEY_GREEN:
                    if(Main.help_info == false)
                    {
                        if(Main.FAV == false)
                            Main.saveFavorites(); 
                        else if( Main.RED)
                            Main.moveFavorites(1);
                    }
                break;

                case tvKey.KEY_YELLOW:
                    if(Main.help_info == false)
                    {
                        if(Main.FAV == false)
                            Main.openFavorites();
                        else if( Main.RED)
                           Main.moveFavorites(-1);
                    }

                break;

                case tvKey.KEY_BLUE:
                    if(Main.help_info == false)
                    {
                        if(Main.FAV)
                        {
                            if(Main.RED==false)
                                Main.RED=true;
                            else
                                Main.RED=false;
                                Main.Menu();
                        }
                    }
                break;


                case this.tvKey.KEY_STOP:
                    if(Main.yandextv_mode)
                        Main.Gone();
                break;
 
                case this.tvKey.KEY_FF:
                    if(Main.yandextv_mode)
                        {
                            API.yandex_days = API.yandex_days + 1;
                            Main.delta = Main.delta + 1;
                            Main.yfix = parseInt(Main.yfix + 86400000);
                            Main.yandexTVinfo();
                        }
                break;

                case this.tvKey.KEY_RW:
                    if(Main.yandextv_mode)
                        {
                            API.yandex_days = API.yandex_days - 1;
                            Main.delta = Main.delta - 1;
                            Main.yfix = parseInt(Main.yfix - 86400000);
                            Main.yandexTVinfo();
                            if(Main.delta<0 )
                            setTimeout("Main.Gone()", 800);
                        }
                break;

                case 65://KEY_CH_DOWN
                            Main.scrolling = Main.scrolling + 28;    
                          if(Main.yandextv_mode)
                            var test =  document.getElementsByClassName("b-schedule__list")[0];
                           else                           
                            {var test = document.getElementsByTagName('table')[0];alert("test="+test );}
                            test.style.margin = Main.scrolling + 'px 0px 0px 0px ';
                 break;

                case 68://KEY_CH_UP
                          
                            Main.scrolling = Main.scrolling - 28;    
                          if(Main.yandextv_mode)
                            var test =  document.getElementsByClassName("b-schedule__list")[0];
                           else                           
                            {var test = document.getElementsByTagName('table')[0];alert("test="+test );}
                            test.style.margin = Main.scrolling + 'px 0px 0px 0px ';
                 break;

                case this.tvKey.KEY_PLAY:
                    if (Player.state == Player.PAUSA_VOD)
                        Player.resumeVideo();
                    else if(Main.yandextv_mode)
                        Main.yandexTVinfo();
                    else if(Player.state == Player.STOPPED)
                        {
                            Main.PlayChannel();
                            Player.next=true;
                        }
                    else  if(Player.plugin.GetDuration() !=0)
                        {
                            if(Player.next==false && Player.repeat==false)
                                {
                                    Player.next=true;
                                    Display.status("Последовательное воспроизведение");
                                }
                                else if(Player.next==true && Player.repeat==false)
                                {
                                    Player.repeat=true;
                                     Display.status("Повторное воспроизведение");
                                }
                                else if(Player.next==true && Player.repeat==true)
                                {
                                    Player.next=false;   
                                    Player.repeat=false;
                                    Display.status("Всё ОТКЛЮЧЕННО !");
                                }
                        }
                break;

                case 192://rec
                break;

                default:
                alert("Unhandled key");
                break;
        }
}	


KeyHandler.SelectboxKeyDown = function()
{

	var keyCode3 = event.keyCode;
	//alert("SelectboxKeyDown Key pressed: " + keyCode3);
			
	switch(keyCode3)
               {
		        case this.tvKey.KEY_DOWN:;
                                         Selectbox.selectNextItem();
            break;
            
                                   case this.tvKey.KEY_UP:
			Selectbox.selectPrevItem();
            break;            
			
                                   case this.tvKey.KEY_ENTER:
			Selectbox.SelectCategory();
            break;

		       case this.tvKey.KEY_LEFT:;
                                          Selectbox.selectPrevPage();
            break;
            
                                   case this.tvKey.KEY_RIGHT:
			Selectbox.selectNextPage();
            break;
			
	                case this.tvKey.KEY_EXIT:
		        case this.tvKey.KEY_RETURN:
			widgetAPI.blockNavigation(event);
                                         
			Selectbox.selectbox_html.style.display="none";
                                          document.getElementById("rightHalf").style.display="block";
			KeyHandler.setFocus(Main.MainMenu_ID);
            break;
			break;
			
		default:
            alert("Unhandled key");
            break;
	}

}

KeyHandler.LivePlayerKeyDown = function()
{            

	var keyCode1 = event.keyCode;
	//alert("LivePlayerKeyDown Key pressed: " + keyCode1);

	KeyHandler.Keys10(keyCode1);	
	
	switch(keyCode1)
    {			
	      case this.tvKey.KEY_TOOLS:
 		if(Main.serieC) 
 		 widgetAPI.blockNavigation(event);
	
            break;

	      case 652 :
 		if(Main.serieC) 
 		 widgetAPI.blockNavigation(event);	
            break;
		case this.tvKey.KEY_MENU:
                            widgetAPI.blockNavigation(event);
                          
                                     if(this.Show==1)
 		            {	
                                         this.Show=0;
                                        }
 		        if(this.Show==0 && this.Menu==0)
 		            {
                            Main.unregistVOLTVKey();
                                        pluginAPI.ShowTools(1);
                                        this.Show=1;
                                     if(Main.serieC)
                                        this.Menu=1;
                                        }
                                   else if(this.Show==0 && this.Menu==1)
 		            {
                            Main.unregistVOLTVKey();
                                        pluginAPI.ShowTools(0);
                                        this.Show=1;
                                        this.Menu=0;
                                        }
              break;      
		
		case tvKey.KEY_GREEN:
                            Main.unregistVOLTVKey();
                                        pluginAPI.ShowTools(0);

              break;

		case tvKey.KEY_YELLOW:
                            Main.unregistVOLTVKey();
                                        pluginAPI.ShowTools(1);
  
              break;
  		  case tvKey.KEY_BLUE:
   		         if(Main.serieC)
  			{		            
                                        if (Screen.getModeD()>=2)
                                           Screen.changeModeD(0);
		          else
		              Screen.changeModeD(Screen.getModeD()+1);
  			}
		        else
                                          {		
                                        if (Screen.getModeD2()>=2)
                                           Screen.changeModeD2(0);
		         else
			 Screen.changeModeD2(Screen.getModeD2()+1);
                                           }
             break;		


		case 259://PRE-CH EMU
			Main.PlayPrevChannel();
			break;	            
		
		case tvKey.KEY_UP:
		case 256://KEY_FAVCH EMU
		case 653://KEY_ASPECT
		case 1249://FULL SCREEN
 		case 1086://BD DISC MENU
		case 1249://FULL SCREEN  BD		
                          	widgetAPI.blockNavigation(event);
                                       
               if(Player.state == Player.PLAYING_LIVE)
	             {	
                      if(Main.PlayerMode == "1")                                     
                                   { 
                                    Player.ss=0;   
                                       if (Player.getSize()>=3 && Player.w>0 && (Player.w>720 || Player.w/Player.h>1.34))

	                               Player.setSize(0,1);
 
                                        else if (Player.getSize()>=4)
                                         
	                               Player.setSize(0,1);
		    
		           else		     
		        
		                 Player.setSize(Player.getSize()+1,1); 
                                       
		       }
		  
                          else Display.status('недоступно!');
                   }                         
             break;	
 		  case tvKey.KEY_DOWN:	
                          	widgetAPI.blockNavigation(event);  
               if(Player.state == Player.PLAYING_LIVE)
	             {	
                      if(Main.PlayerMode == "1")                                       
                                   { 
                                         Player.ss=0;  
                                       if (Player.getSize()==0 && Player.w>0 && (Player.w>720 || Player.w/Player.h>1.34))
                                         
	                               Player.setSize(3,1);	   
		    
                                       if (Player.getSize()==0)
                                         
	                               Player.setSize(4,1);	   
		    
		       else		     
		        
		         Player.setSize(Player.getSize()-1,1); 
                                       
		       }
		  
                          else Display.status('недоступно!');
                   }                         
             break;	
			
           
		case 1219://KEY_3D
			Screen.changeMode();

             break;	
            
 
		 //case this.tvKey.KEY_LEFT:
		 case 65://KEY_CH_DOWN

                      Main.selectPrevChannel();
		      Main.PlayChannel();
            break;
            
                            //case this.tvKey.KEY_RIGHT:
		     case 68://KEY_CH_UP

                        Main.selectNextChannel();
			Main.PlayChannel();
            break;
                              case this.tvKey.KEY_INFO:
                                //case this.tvKey.KEY_ENTER:
			if(Main.PlayerMode == "0")
			   {  
			    Main.player.info(API.channels[Main.chan_array_index][1]);
                                             Display.showplayer();
                                             } 
			else if(Main.PlayerMode == "1")
			   {  
 			    Display.status1(API.channels[Main.chan_array_index][0]);
                                              Display.showplayer();
                                             } 
            break;           
                              
                            case this.tvKey.KEY_EXIT:
	                       widgetAPI.blockNavigation(event);
                                           
			   if(Main.PlayerMode == "0")
			       {
                                                 Main.stopFPlayer();
                                                 Main.Menu(); 
                                                 }
                                            else      
                                                Player.ReturnMenu();
            break;
            case this.tvKey.KEY_ENTER:
		       case 1057: //KEY_12 TITLE MENU
		        case this.tvKey.KEY_RETURN:
		      widgetAPI.blockNavigation(event);
                              
		         if(Main.PlayerMode == "0")			
			  Main.stopFPlayer();                                       
                                       else
	                              {
                                            Main.registTVKey();
	                              Display.hideplayer();
	                              }
	                               Main.Menu();
            break;
  
			
		                     case tvKey.KEY_RIGHT:
		                        Display.setVolume();
                              case this.tvKey.KEY_VOL_UP:
                                       Audio.setRelativeVolume(0);

            break;
            
                              case tvKey.KEY_LEFT:
                                        Display.setVolume();
                               case this.tvKey.KEY_VOL_DOWN:
                                       Audio.setRelativeVolume(1);

            break; 


		    case this.tvKey.KEY_MUTE:
                        Audio.muteMode();
                                      
            break;	

                            
                            			
		default:
                        alert("Unhandled key");
            break;
	}
}


KeyHandler.VODPlayerKeyDown = function() //PLAYER
{

	var keyCode2 = event.keyCode;
	//alert("Key pressed: " + keyCode2);
			
	switch(keyCode2)
    {
	      case this.tvKey.KEY_TOOLS:
 		if(Main.serieC) 
 		 widgetAPI.blockNavigation(event);	
            break;
	      case 652 :
 		if(Main.serieC) 
 		 widgetAPI.blockNavigation(event);	
            break;
		case this.tvKey.KEY_MENU:
                            widgetAPI.blockNavigation(event);
                          
                                     if(this.Show==1)
 		            {	
                                        this.Show=0;
                                        }
 		        if(this.Show==0 && this.Menu==0)
 		            {
                            Main.unregistVOLTVKey();
                                        pluginAPI.ShowTools(1);
                                        this.Show=1;
                                     if(Main.serieC)
                                        this.Menu=1;
                                        }
                                   else if(this.Show==0 && this.Menu==1)
 		            {
                            Main.unregistVOLTVKey();
                                        pluginAPI.ShowTools(0);
                                        this.Show=1;
                                        this.Menu=0;
                                        }
             break;      
		
		case tvKey.KEY_GREEN:
                            Main.unregistVOLTVKey();
                                        pluginAPI.ShowTools(1);

            break;

		case tvKey.KEY_YELLOW:
                            Main.unregistVOLTVKey();
                                        pluginAPI.ShowTools(0);
 
            break;
  		
  		  case tvKey.KEY_BLUE:
   		         if(Main.serieC)
  			{		            
                                         if (Screen.getModeD()>=2)
                                            Screen.changeModeD(0);
		        else
		              Screen.changeModeD(Screen.getModeD()+1);
  			}
		        else
                                          {		
                                        if (Screen.getModeD2()>=2)
                                           Screen.changeModeD2(0);
		         else
			 Screen.changeModeD2(Screen.getModeD2()+1);
                                           }
            break;		

                                             

		case 1219://KEY_3D
			Screen.changeMode();
            break;

		 case tvKey.KEY_LEFT:
			Player.MinutesJump(-2);
            break;
            
                            case tvKey.KEY_RIGHT:
			Player.MinutesJump(2);
            break; 
			
		  case tvKey.KEY_DOWN:	
			Player.MinutesJump(-5);
            break;
			
		   case tvKey.KEY_UP:
			Player.MinutesJump(5);
            break;

                                case tvKey.KEY_FF:
                                           Player.MinutesJump(1);
            break;
        
        
                                case tvKey.KEY_RW:
                                            Player.MinutesJump(-1);
            break;
			
                             case this.tvKey.KEY_INFO:
                                //case this.tvKey.KEY_ENTER:
                            if (Player.state == Player.PAUSA_VOD)
                                    Player.resumeVideo();			 			    
                                    Display.status1(API.channels[Main.chan_array_index][0]);
                                    Display.showplayer();

             break;

		    case tvKey.KEY_PLAY:
                            if (Player.state == Player.PAUSA_VOD)
                                      Player.resumeVideo();

                               else  if(Player.next==false && Player.repeat==false)
                                      {
                                      Player.next=true;
                                      Display.status("Последовательное воспроизведение");
                                      }
                               else  if(Player.next==true && Player.repeat==false)
                                      {
                                      Player.repeat=true;
                                      Display.status("Повторное воспроизведение");
                                      }
                               else  if(Player.next==true && Player.repeat==true)
                                      {
                                      Player.next=false;   
                                      Player.repeat=false;
                                      Display.status("Всё ОТКЛЮЧЕННО !");
                                      }
                    break;
            
                          case tvKey.KEY_PAUSE:
			Player.pauseVideo();
	      break;

			
	             case tvKey.KEY_0:
			Player.PercentJump(0);
			Display.status("0%");
	      break;
			
	             case tvKey.KEY_1:
			Player.PercentJump(1);
	      break;
			
	             case tvKey.KEY_2:
			Player.PercentJump(2);
	      break;
			
	             case tvKey.KEY_3:
			Player.PercentJump(3);
	      break;
			
	             case tvKey.KEY_4:
			Player.PercentJump(4);
	      break;
			
	             case tvKey.KEY_5:
			Player.PercentJump(5);
	      break;
			
	             case tvKey.KEY_6:
			Player.PercentJump(6);
	      break;
			
	             case tvKey.KEY_7:
			Player.PercentJump(7);
	      break;
			
	             case tvKey.KEY_8:
			Player.PercentJump(8);
	      break;
			
	             case tvKey.KEY_9:
			Player.PercentJump(9);
	      break;

		case 259://PRE-CH EMU
			Main.PlayPrevChannel();
	      break;	            
			
		case 653://KEY_ASPECT
		case 1249:   //FULL SCREEN
 		case 1086: //BD DISC MENU
		case 1249:// FULL SCREEN  BD		
                             widgetAPI.blockNavigation(event);  
                      if(Main.PlayerMode == "1")            
                            
                                   {
                                         Player.ss=0;     
                                       if (Player.getSize()>=4)
                                         
	                               Player.setSize(0,1);	   
		    
		       else		     
		        
		         Player.setSize(Player.getSize()+1,1); 
                                       
		       }
		  
             break;		
  			
		 
		   case tvKey.KEY_STOP:
		     case tvKey.KEY_EXIT:
                                     widgetAPI.blockNavigation(event); 
                                        
 			Player.ReturnMenu();
 
            break; 
		      case this.tvKey.KEY_ENTER:
		      case 1057: //KEY_12 TITLE MENU
		        case this.tvKey.KEY_RETURN:
                                  
		            widgetAPI.blockNavigation(event);
                                              Main.registTVKey();
                                    if(Player.plugin.GetDuration()==0)
                                              Player.stopVideo();                                             
                                              Display.hideplayer();                                              
                                              Main.Menu();

            break;
			
                             case this.tvKey.KEY_VOL_UP:
                                       Audio.setRelativeVolume(0);

            break;
            
                             case this.tvKey.KEY_VOL_DOWN:
                                       Audio.setRelativeVolume(1);

            break; 


		  case this.tvKey.KEY_MUTE:
                                          Audio.muteMode();
                                       
            break;	

			
		   case 68://KEY_CH_UP

                                              Main.selectNextChannel();
		                     Main.PlayChannel();
            break;            
			 
		   case 65://KEY_CH_DOWN

                                              Main.selectPrevChannel();
		                           Main.PlayChannel();
            break;
			
		default:
            alert("Unhandled key");
            break;
	}
}
  
