﻿var MUZUNGA_XML_API =
{
	MUZUNGA_API_URL : 'http://muzunga.tv/stb/xml/',
	muzunga_login : "",
	muzunga_password : "",
	days : 0,
	oReq : null,
	XHRObj : null,
	private_key : "",
	Categories : [],
}

MUZUNGA_XML_API.init = function()
{	
 
	var setupArray=new Array();
	var fileSystemObj = new FileSystem();
	var oFile=fileSystemObj.openCommonFile("nmuzungatv_login.dat", "r");
	if (oFile)
	{
		while(1)
		{
			l= oFile.readLine();
			if (l==null) 
				break;
			setupArray.push(l)
		 }
		fileSystemObj.closeCommonFile(oFile);

		this.muzunga_login = setupArray[0];
		this.muzunga_password = setupArray[1];
		if(setupArray[2])
			this.private_key = setupArray[2];
	}
	else
	{
		document.getElementById("statusbar").style.display="block";
		widgetAPI.putInnerHTML(Display.statusDiv, "LOGIN DATA NOT FOUND");
		return false;
	}
	return true;
}

MUZUNGA_XML_API.login = function()
{
	if (this.oReq != null) this.oReq.destroy();
	this.oReq = new XMLHttpRequest();
	var params = 'device_type=samsung&login='+this.muzunga_login+'&password='+this.muzunga_password+'&private_key='+this.private_key;
	this.oReq.open("GET", this.MUZUNGA_API_URL+'key_status.php?' + params , false);
	
	this.oReq.send(null);
	var xmlDoc = this.oReq.responseXML;
	var txtDoc = this.oReq.responseText;
	alert(txtDoc);
	var key_found = xmlDoc.getElementsByTagName("key_found")[0].childNodes[0].nodeValue;
	var user_found = xmlDoc.getElementsByTagName("user_found")[0].childNodes[0].nodeValue;

	if(user_found=="0")
	{
		ConsoleLog('login error');
		document.getElementById("statusbar").style.display="block";
		widgetAPI.putInnerHTML(Display.statusDiv, "LOGIN ERROR");
		this.oReq.destroy();
		return false;

	}
	else if(user_found=="1" && key_found=="0")
	{
		this.private_key = xmlDoc.getElementsByTagName("new_key")[0].childNodes[0].nodeValue;

		var fileSystemObj = new FileSystem();
		var oFile = fileSystemObj.openCommonFile( "nmuzungatv_login.dat", "w");	
		oFile.writeLine(this.muzunga_login);
		oFile.writeLine(this.muzunga_password);	
		oFile.writeLine(this.private_key);		
		fileSystemObj.closeCommonFile(oFile);
	
		this.oReq.destroy();
		return true;
	}
	else if(user_found=="1" && key_found=="1")
	{
		return true;
	}
}

MUZUNGA_XML_API.getCategory = function()
{
	if (this.oReq != null) this.oReq.destroy();
	this.oReq = new XMLHttpRequest();
	this.oReq.open("POST", this.MUZUNGA_API_URL+'category.php', false);
	this.oReq.send(null);
	var xmlDoc = this.oReq.responseXML;
	
	var items = xmlDoc.getElementsByTagName("item");
	this.Categories.push(Array('0', 'BCE'));

	for (var index = 0; index < items.length; index++)
	{	
			var id = items[index].getElementsByTagName("id")[0].childNodes[0].nodeValue;
			var name = items[index].getElementsByTagName("name")[0].childNodes[0].nodeValue;
			var Category = Array(id, name);
			this.Categories.push(Category);
	}
	alert('this.Categories ' + this.Categories);
	this.oReq.destroy();
}

// Тип: 1 - фильм, 2 - сериал, 3 - развлечение, 4 - мультфильм

MUZUNGA_XML_API.getVideos = function(video_type, category_id, view_start, view_limit)
{
	ConsoleLog('getVideos start Main.mode ' + Main.mode);
	Main.mode
	
	if(Main.mode!="search")
	{
		var url = this.MUZUNGA_API_URL+'list.php';
		var params = 'device_type=samsung&video_type='+video_type+'&category_id='+category_id+'&view_start='+view_start+'&view_limit='+view_limit+'&private_key=' + this.private_key;
	}
	else
	{
		var url = this.MUZUNGA_API_URL+'search.php';
		var params = 'device_type=samsung&search='+Main.vod_query +'&mark_start=&mark_finish=&view_start='+view_start+'&view_limit='+view_limit+'&private_key=' + this.private_key;
	}
	alert('PARAMS ' + params);
	if (this.XHRObj != null) this.XHRObj.destroy();
	this.XHRObj = new XMLHttpRequest();
	this.XHRObj.open("GET", url + '?' + params, false);
	this.XHRObj.send(null);
	//var txtDoc = this.XHRObj.responseText;
	var xmlDoc = this.XHRObj.responseXML;
		
	//alert(txtDoc);
	
	Main.vod_counter = parseInt(xmlDoc.getElementsByTagName("total_count")[0].childNodes[0].nodeValue);
	
	//alert(Main.vod_counter+'++++++++++++++++++++++++++');

	if(Main.vod_counter%10)
		Main.vod_all_pages = parseInt(Main.vod_counter/10 + 1);
	else
		Main.vod_all_pages = parseInt(Main.vod_counter/10);
		

	Main.vod_list = Array();

	try{
		var items = xmlDoc.getElementsByTagName("item");
		
		Main.vod_page_counter = items.length;
		
		for (var index = 0; index < items.length; index++)
		{	
			var id =         items[index].getElementsByTagName("id")[0].childNodes[0].nodeValue;
			var name =       items[index].getElementsByTagName("name")[0].childNodes[0].nodeValue;
			var video_type = items[index].getElementsByTagName("video_type")[0].childNodes[0].nodeValue;
			var added = "";
			try{
			var added =      items[index].getElementsByTagName("added")[0].childNodes[0].nodeValue;
			} catch(e){alert("added e: "+e);}
			
			var cat_string = "";
			var category = items[index].getElementsByTagName("category");
			for (var cat_index = 0; cat_index < category.length; cat_index++)
			{
				var cat_name = category[cat_index].getElementsByTagName("name")[0].childNodes[0].nodeValue;
				if(cat_index==0)
					cat_string = cat_name;
				else
					cat_string = cat_string + ', ' + cat_name;
			}
			
			
			var year = items[index].getElementsByTagName("year")[0].childNodes[0].nodeValue;
			
			var production = "";
			if(items[index].getElementsByTagName("production")[0].childNodes[0])
				production = items[index].getElementsByTagName("production")[0].childNodes[0].nodeValue;
			
			var duration = "";
			if(items[index].getElementsByTagName("duration").length)
				duration = items[index].getElementsByTagName("duration")[0].childNodes[0].nodeValue;
			
			var rating_kinopoisk =  items[index].getElementsByTagName("rating_kinopoisk")[0].childNodes[0].nodeValue;
			var rating_imdb =       items[index].getElementsByTagName("rating_imdb")[0].childNodes[0].nodeValue;
			var view_location =     items[index].getElementsByTagName("view_location")[0].childNodes[0].nodeValue;
			var view_completed =    items[index].getElementsByTagName("view_completed")[0].childNodes[0].nodeValue;
				
			var VOD = Array(id, name, video_type, added, cat_string, year, production, duration, rating_kinopoisk, rating_imdb, view_location, view_completed);
			
			alert('id ' + id);
			Main.vod_list.push(VOD);

			
		}
	} catch(e){alert("getVideos e: "+e);}
	
	ConsoleLog('Allvideos end');
	//alert('this.vod_list ' + Main.vod_list);

}


MUZUNGA_XML_API.getVideoInfo = function(id)
{
	ConsoleLog('getVideoInfo start');
	
	Main.season_id = 0;
	Main.episode_id = 0;
	
	var jetzt = new Date().getTime();
	
	var params = 'id='+id+'&private_key=' + this.private_key + '&myfix='+jetzt;
	
	var url = this.MUZUNGA_API_URL+'movie.php'  + '?' + params;
	alert('URL: ' + url);
	if (this.XHRObj != null) this.XHRObj.destroy();
	this.XHRObj = new XMLHttpRequest();
	this.XHRObj.open("GET", url, false);
	this.XHRObj.send(null);
	//var txtDoc = this.XHRObj.responseText;
	var xmlDoc = this.XHRObj.responseXML;
	//alert(txtDoc);
		

	try{
			var description = "";
			if(xmlDoc.getElementsByTagName("description")[0].childNodes[0])
				description = xmlDoc.getElementsByTagName("description")[0].childNodes[0].nodeValue;

			var director = "";
			if(xmlDoc.getElementsByTagName("director")[0].childNodes[0])
				director = xmlDoc.getElementsByTagName("director")[0].childNodes[0].nodeValue;
			
			var producer = "";
			if(xmlDoc.getElementsByTagName("producer")[0].childNodes[0])
				producer = xmlDoc.getElementsByTagName("producer")[0].childNodes[0].nodeValue;
			
			var screenwriter = "";
			if(xmlDoc.getElementsByTagName("screenwriter")[0].childNodes[0])
				screenwriter = xmlDoc.getElementsByTagName("screenwriter")[0].childNodes[0].nodeValue;
			
			var actor = "";
			if(xmlDoc.getElementsByTagName("actor")[0].childNodes[0])
				actor = xmlDoc.getElementsByTagName("actor")[0].childNodes[0].nodeValue;				

			var childlimit = "";
			if(xmlDoc.getElementsByTagName("childlimit")[0].childNodes[0])
				childlimit = xmlDoc.getElementsByTagName("childlimit")[0].childNodes[0].nodeValue;

			var queue = "";
			if(xmlDoc.getElementsByTagName("queue")[0])
				queue = xmlDoc.getElementsByTagName("queue")[0].childNodes[0].nodeValue;

			var streamer = "";
			if(xmlDoc.getElementsByTagName("streamer")[0])
				streamer = xmlDoc.getElementsByTagName("streamer")[0].childNodes[0].nodeValue;

			var file_hd = "";
			if(xmlDoc.getElementsByTagName("file_hd")[0])
				file_hd = xmlDoc.getElementsByTagName("file_hd")[0].childNodes[0].nodeValue;

			var file_sd = "";
			if(xmlDoc.getElementsByTagName("file_sd")[0])
				file_sd = xmlDoc.getElementsByTagName("file_sd")[0].childNodes[0].nodeValue;	

			var season_counter = 0;
			if(xmlDoc.getElementsByTagName("season_id")[0])
				var season_counter = xmlDoc.getElementsByTagName("season").length;
				
			var queue = "";
			try{
			 var queue = xmlDoc.getElementsByTagName("queue")[0].childNodes[0].nodeValue;
			} catch(e){alert("getVideoInfo  queue e: "+e);}		

			var audio_tracks = new Array();
			var audio_entry = xmlDoc.getElementsByTagName("audio");

			for (var audio_index = 0; audio_index < audio_entry.length; audio_index++)
			{
				
				var audio_id = audio_entry[audio_index].getElementsByTagName("id")[0].childNodes[0].nodeValue;
				var audio_name = audio_entry[audio_index].getElementsByTagName("name")[0].childNodes[0].nodeValue;
				
				var audio_track = Array(audio_id, audio_name);
				audio_tracks.push(audio_track);
			}
				
			var VOD = Array(description, director, producer, screenwriter, actor, childlimit, queue, streamer, file_hd, file_sd, season_counter, audio_tracks);

	} catch(e){alert("getVideoInfo e: "+e);}
	
	
	return VOD


}


MUZUNGA_XML_API.getAllEpisodes = function(season_id)
{
	Main.Episodes = new Array();
	var id = Main.vod_list[Main.vod_selected_item][0];
	var params = 'id='+id+'&season='+season_id+'&private_key=' + this.private_key;
	
	var url = this.MUZUNGA_API_URL+'movie.php'  + '?' + params;
	
	alert('MUZUNGA_XML_API.getAllEpisodes URL: ' + url);
	
	var season_number = season_id;
	


	if (this.XHRObj != null) this.XHRObj.destroy();
	this.XHRObj = new XMLHttpRequest();
	this.XHRObj.open("POST", url, false);
	this.XHRObj.send(null);
	//txtDoc = xhr.responseText;
	xmlDoc = this.XHRObj.responseXML;

	//alert(txtDoc);
	
/*

<episode>
<id>1</id>
<name>Оно живёт! (It’s Alive!)</name>
<view_location>0</view_location>
<view_completed>0</view_completed>
</episode>

*/	
	
	try{
		var items = xmlDoc.getElementsByTagName("episode");
		
		
		for (var index = 0; index < items.length; index++)
		{
			var id = items[index].getElementsByTagName("id")[0].childNodes[0].nodeValue;
			var name = items[index].getElementsByTagName("name")[0].childNodes[0].nodeValue;
			var view_location = items[index].getElementsByTagName("view_location")[0].childNodes[0].nodeValue;
			var view_completed = items[index].getElementsByTagName("view_completed")[0].childNodes[0].nodeValue;

			var Episode = Array(id, id + ' ' + name, view_location, view_completed, name, season_number);
			
			Main.Episodes.push(Episode);
			
		}
	} catch(e){alert("MUZUNGA_XML_API.getAllEpisodes e: "+e);}
	
	alert('Episodes ' + Main.Episodes);
	
	return Main.Episodes;
	
}


MUZUNGA_XML_API.getGetEpisodeStreamInfo = function()
{
	var jetzt = new Date().getTime();
	
	var id = Main.vod_list[Main.vod_selected_item][0];
	var params = 'id='+id+'&season='+ Main.season_id+'&episode='+ Main.episode_id+'&private_key=' + this.private_key + '&myfix='+jetzt;;
	
	var url = this.MUZUNGA_API_URL+'movie.php'  + '?' + params;

	if (this.XHRObj != null) this.XHRObj.destroy();
	this.XHRObj = new XMLHttpRequest();
	this.XHRObj.open("POST", url, false);
	this.XHRObj.send(null);
	//txtDoc = XHRObj.responseText;
	xmlDoc = this.XHRObj.responseXML;

	//alert(xhr.getAllResponseHeaders());
	//alert(txtDoc);
	
/*
<streamer>
rtmp://video.muzunga.tv/vod?nitrogen14_d5b76c1164976840b6bbed504afe74d0
</streamer>
<file_hd>0_808_2_3_1</file_hd>
<file_sd>0_808_2_3_0</file_sd>

*/	
	
	
	try{
	 var streamer = xmlDoc.getElementsByTagName("streamer")[0].childNodes[0].nodeValue;
	 var file_hd = xmlDoc.getElementsByTagName("file_hd")[0].childNodes[0].nodeValue;
	 var file_sd = xmlDoc.getElementsByTagName("file_sd")[0].childNodes[0].nodeValue;
				
	} catch(e){alert("MUZUNGA_XML_API.getGetEpisodeStreamInfo  e: "+e);}
	
	var queue = "";
	if(xmlDoc.getElementsByTagName("queue")[0])
		queue = xmlDoc.getElementsByTagName("queue")[0].childNodes[0].nodeValue;


	
	var newInfo = new Array(streamer, file_hd, file_sd, queue);
	
	alert('newInfo ' + newInfo);
	
	return newInfo;
}

MUZUNGA_XML_API.setStats = function()
{
	var networkPlugin = document.getElementById("pluginNetwork");
	var mac_md5 = MD5(networkPlugin.GetMAC());
	var tvplug = document.getElementById("pluginTV");
	var hardware = tvplug.GetProductCode(1);
	var stats_url = "http://stats.pristavka.de/n_muzunga_set_stat.php?box_mac=" + mac_md5 + "&hw=" + hardware + "&version=017";
	alert ("++++++++++++++++++++ " + stats_url);
		if (this.XHRObj != null) this.XHRObj.destroy(); 
		this.XHRObj=new XMLHttpRequest();
		this.XHRObj.open("GET", stats_url, false);
		this.XHRObj.send();	
}
