﻿var widgetAPI = new Common.API.Widget();
var pluginAPI = new Common.API.Plugin();

var Main = {
	vod_id : 0,
	vod_counter : 0,
	vod_page_counter : 0,
	vod_selected_page : 1,
	vod_selected_item : 0,
	vod_list : [ ],
	vod_item_on_page : 10,
	video_type : 0,
	category_id : 0,
	view_start : 0,
	vod_mode : 0,
	vod_info : [ ],
	player : null,
	MainMenu_ID : 0,
    Selectbox_ID : 1,
    Player_ID : 2,
	Flash_Player_ID : 3,
	pluginVideo: null,
	mwPlugin: null,
	originalSource: null,
	vod_query : "",
	mode : null,
	Episodes : [],	
	season_id : 0,
	episode_id : 0,
	videoplay_mode : 0,
	flash_player : false,
	audio_track_id : 0,
}

ConsoleLog = function (text) {

		var tm = new Date();
		var h = tm.getHours();
		var m = tm.getMinutes();
		var s = tm.getSeconds();
		var ms = tm.getMilliseconds();
		text = "[" + h + ":" + (m > 10 ? m : ("0" + m)) + ":" + (s > 10 ? s : ("0" + s)) + "," + ms + "] " + text;
		if (navigator.userAgent.search("Maple") > 0) 
		{
			alert(text);
		}
		if(navigator.userAgent.indexOf("Firefox")>-1&&window.console)
		{
			console.log(text);
		}	
		//xhr=new XMLHttpRequest();
		//xhr.open("POST", "http://192.168.178.1/?" + text, false);
		//xhr.send();			

}

function setWatchDog() {
	ConsoleLog("setWatchDog()");
	watchDog = new Common.API.Plugin();
}

function onWatchDog() {
	ConsoleLog("onWatchDog()");
	watchDog.setOnWatchDog();
}

function offWatchDog() {
	ConsoleLog("offWatchDog()");
	watchDog.setOffWatchDog();	
}

Main.onLoad = function () 
{
	setWatchDog();
	onWatchDog();
	offWatchDog();
	

	
	KeyHandler.create();
	MUZUNGA_XML_API.setStats();
	Player.init();
	Audio.init();
	Setup.init();
	Display.init();
	Search.init();

	this.MODE = this.MainMenu_ID;

	if(MUZUNGA_XML_API.init() && MUZUNGA_XML_API.login())
	{	
		MUZUNGA_XML_API.getCategory();
		Main.updatePage();
			
	}


	if(document.getElementById("rmtpplayer"))
	{
		document.getElementById("main").style.display="none";
		KeyHandler.setFocus(Main.Player_ID);
	}
	else
	{
		document.getElementById("mybody").style.width= "960px";
		document.getElementById("mybody").style.height= "540px";
		document.getElementById("flashplayer").style.display="none";
		document.getElementById("main").style.display="block";
		widgetAPI.putInnerHTML(document.getElementById("flashplayer"), "");
		KeyHandler.setFocus(this.MainMenu_ID);
	}
	

	widgetAPI.sendReadyEvent();

}

Main.StartSearch = function ()
{
	Main.mode = "search";
	MUZUNGA_XML_API.getVideos(0,0,0,0);
	this.updatePage();
}

Main.showCategories	= function ()
{
	KeyHandler.setFocus(this.Selectbox_ID, 1);
	Selectbox.selected = 0;
	Selectbox.setBox('выбор категории', MUZUNGA_XML_API.Categories);
}

Main.showVideoTypes	= function ()
{
	var VideoTypes = new Array(Array(0,"все типы"),Array(1,"фильмы"),Array(2,"сериалы"),Array(3,"развлечение"),Array(4,"мультфильмы"));
	KeyHandler.setFocus(this.Selectbox_ID, 2);
	Selectbox.selected = 0;
	Selectbox.setBox('выбор типа видео', VideoTypes);
}

Main.load_film_list	= function (id)
{
	KeyHandler.setFocus(this.MainMenu_ID);
	if(Selectbox.selector_mode == 1)
		this.video_type = id;
	if(Selectbox.selector_mode == 2)
		this.category_id = id;
	alert('Selectbox.selector_mode ' + Selectbox.selector_mode);
	alert('this.video_type ' + this.video_type);
	this.vod_selected_page = 1;
	this.vod_selected_item = 0;
	Main.mode = null;
	this.updatePage();
	alert('Main.load_film_list ID: ' + id);
}

Main.updatePage = function()
{	
	Main.videoplay_mode = 0;
	/*
	alert('++++++++++++++vod_list++++++++++++++++++++++++');
	alert(this.vod_list);
	alert('++++++++++++++vod_list++++++++++++++++++++++++');
	alert('this.vod_selected_page ' + this.vod_selected_page);
	*/
	
	this.view_start = (this.vod_selected_page-1)*10;
	Selectbox.selector_mode = 0;
	
	MUZUNGA_XML_API.getVideos(this.video_type, this.category_id, this.view_start, this.vod_item_on_page);
	if(this.video_type>0)
		document.getElementById("tipvideo").style.color = "red";
	else
		document.getElementById("tipvideo").style.color = "";
	if(this.category_id>0)
		document.getElementById("zhanr").style.color = "green";
	else
		document.getElementById("zhanr").style.color = "";
	
	if(this.vod_query!="")
		document.getElementById("poisk").style.color = "blue";
	else
		document.getElementById("poisk").style.color = "";	
	
	
	var text = "количество фильмов: <b style='font-size:20px'>" + this.vod_counter + "</b>"
	widgetAPI.putInnerHTML(document.getElementById("widget_date"), text );
	
	if(this.vod_page_counter)
	{
		var item = Array();
		alert('this.vod_page_counter ' + this.vod_page_counter);
		if(this.vod_selected_item > this.vod_page_counter -1 )
			this.vod_selected_item = this.vod_page_counter-1;
		
		
		
		for (var index = 0; index < 10; index++)
		{
			document.getElementById("ch"+index).style.display="";
			document.getElementById("img"+index).style.display="";
			widgetAPI.putInnerHTML(document.getElementById("time"+index), "");
			widgetAPI.putInnerHTML(document.getElementById("progress"+index), "");
			document.getElementById("percent"+index).style.width= "0%";
			widgetAPI.putInnerHTML(document.getElementById("title"+index), "");
			widgetAPI.putInnerHTML(document.getElementById("descr"+index), "");
			document.getElementById("record"+index).style.backgroundImage= "";
			document.getElementById("descr"+index).style.display="";
			document.getElementById("title"+index).style.width= "400px";
			document.getElementById("number"+index).style = "";
		}
		

		for (var index = this.vod_page_counter; index < 10; index++)
		{
			document.getElementById("ch"+index).style.display="none";
		}
		
		for (var index = 0; index < this.vod_page_counter; index++)
		{
			
			item[index] = document.getElementById("chan"+index);
			item[index].style.backgroundImage= "url(img/menu.png)";

			widgetAPI.putInnerHTML(document.getElementById("number"+index), (this.vod_selected_page*10) -10 + index+1);
			document.getElementById("img"+index).src='http://muzunga.tv/thumbs/' + this.vod_list[index][0] +'/thumb_46x46/1.jpg';
			document.getElementById("img"+index).height="35px";
			widgetAPI.putInnerHTML(document.getElementById("time"+index), this.vod_list[index][5]);
			widgetAPI.putInnerHTML(document.getElementById("title"+index), this.vod_list[index][1] + ' / ' + this.vod_list[index][4] + ' / ' + this.vod_list[index][6]);

		}
	
		Main.updateVodList();
	
	}
	else
	{
		for (var index = 0; index < 10; index++)
		{
			document.getElementById("ch"+index).style.display="none";
			document.getElementById("img"+index).style.display="none";
			widgetAPI.putInnerHTML(document.getElementById("time"+index), "");
			widgetAPI.putInnerHTML(document.getElementById("progress"+index), "");
			document.getElementById("percent"+index).style.width= "0%";
			widgetAPI.putInnerHTML(document.getElementById("title"+index), "");
			widgetAPI.putInnerHTML(document.getElementById("descr"+index), "");
			document.getElementById("record"+index).style.backgroundImage= "";
			document.getElementById("descr"+index).style.display="";
			document.getElementById("title"+index).style.width= "400px";
			document.getElementById("number"+index).style.display="none";
			document.getElementById("number"+index).style.backgroundImage= "";
			document.getElementById("chan"+index).style.backgroundImage= "";
		}
		widgetAPI.putInnerHTML(document.getElementById("infoList"), "");
	}
	
	
}

Main.updateVodList = function()
{		
	alert('this.private_key ' + MUZUNGA_XML_API.private_key);
	for (var index = 0; index < 10; index++)
	{
		document.getElementById("chan"+index).style.backgroundImage= "url(img/menu.png)";
		document.getElementById("number"+index).style.backgroundImage = "";
	}
	alert('this.vod_selected_item ' + this.vod_selected_item);
	document.getElementById("number"+this.vod_selected_item).style.backgroundImage= "url(img/menu_act.png)";
	document.getElementById("chan"+this.vod_selected_item).style.backgroundImage= "url(img/menu_act.png)";
	Main.updateCurrentVODinfo();

}

Main.updateCurrentVODinfo = function()
{
	var index = this.vod_selected_item;
	var name = this.vod_list[index][2];
	
	
	
	this.vod_info = MUZUNGA_XML_API.getVideoInfo(this.vod_list[index][0]);
	var description = this.vod_info[0];
	var poster = 'http://muzunga.tv/thumbs/' + this.vod_list[index][0] +'/thumb/1.jpg';
	var year = this.vod_list[index][5];
	var rate_imdb = this.vod_list[index][8];
	var rate_kinopoisk = this.vod_list[index][9];
	var country = this.vod_list[index][6];
	var genre_str = this.vod_list[index][4];
	var imdb_stars = parseInt(rate_imdb * 10);
	var kinopoisk_stars = parseInt(rate_kinopoisk * 10);
	var info = '<div><div style="float:left;width:140px;heigth:190px;"><img style="float:left;width:130px;heigth:180px;" src="'+poster+'"></div><div style="float:left;width:150px;heigth:180px;">'+ year + ' ' +country+'<br>'+genre_str+'<br>';
	info += '<table><tr><td>IMDB: </td><td>'+rate_imdb+'</td></tr><tr><td>кинопоиск: </td>'+rate_kinopoisk+'</td></tr></table>';
	info += '<div class="sterne"><div class="imdb" style="width:'+imdb_stars+'%;"></div></div>';
	info += '<div class="sterne"><div class="kinopoisk" style="width:'+kinopoisk_stars+'%;"></div></div>';
	info += '</div></div>';
	info += '<div style="float:left;"' + name+'<br><span id="vod_descr_right">'+description+'</span></div>';
 
	widgetAPI.putInnerHTML(document.getElementById("infoList"), info);
	
	if(this.vod_mode==1)
	{
		this.vod_mode=0;
		Main.updateInfoSwicher();
	}
	//update player
	document.getElementById("ch_arch").src='http://muzunga.tv/thumbs/' + this.vod_list[index][0] +'/thumb_46x46/1.jpg';
	document.getElementById("ch_arch").width="35px";
	widgetAPI.putInnerHTML(document.getElementById("ch_number"), '');
	widgetAPI.putInnerHTML(document.getElementById("ch_name"), this.vod_list[index][1]);
	try
	{
	widgetAPI.putInnerHTML(document.getElementById("tracks"), this.vod_info[11][0][1]);
	this.audio_track_id = this.vod_info[11][0][0];
	document.getElementById("widget_time").style.display="";
	} catch(e){
	document.getElementById("widget_time").style.display="none";
	widgetAPI.putInnerHTML(document.getElementById("tracks"), '');
	this.audio_track_id = 0;
	}
	
	


}

Main.showAudiotracks = function()
{
	try
	{

		var index = this.vod_selected_item;
		var vod_info = MUZUNGA_XML_API.getVideoInfo(this.vod_list[index][0]);
		if(vod_info[11]!="")
		{
			var tracks = vod_info[11];
			alert('------------------ ' + tracks);
			Selectbox.selector_mode = 5;
			
			Selectbox.selected = 0;
			Selectbox.setBox('выбор звуковой дорожки', tracks);	
			KeyHandler.setFocus(this.Selectbox_ID);

		}
	}
	catch(e){alert("Main.showAudiotracks  e: "+e);}

}

Main.showSeasons = function()
{
	
	var Seasons = new Array();
	
	for (var index = 1; index < Main.vod_info[10]+1; index++)
	{
		Seasons.push(new Array(index, index + 'й сезон'));
	}	
	Selectbox.selector_mode = 3;
	
	KeyHandler.setFocus(this.Selectbox_ID);
	Selectbox.selected = 0;
	Selectbox.setBox('выбор сезона', Seasons);	

}

Main.showEpisodes = function(season_id)
{

	this.season_id = season_id;
	
	var Episodes = MUZUNGA_XML_API.getAllEpisodes(season_id);
	Selectbox.selector_mode = 4;
	
	KeyHandler.setFocus(this.Selectbox_ID);
	Selectbox.selected = 0;
	Selectbox.setBox('выбор серии', Episodes);	

}

Main.playEpisode = function(episode_id)
{

	this.episode_id = episode_id;
	var EpisodeStreamInfo = MUZUNGA_XML_API.getGetEpisodeStreamInfo();
	
	this.vod_info[7] = EpisodeStreamInfo[0];
	this.vod_info[8] = EpisodeStreamInfo[1];
	this.vod_info[9] = EpisodeStreamInfo[2];
	this.vod_info[6] = EpisodeStreamInfo[3];
	
	Main.PlayFilm();
}


Main.MestoVocheredi = function()
{
	if(Main.season_id==0)
		this.vod_info = MUZUNGA_XML_API.getVideoInfo(this.vod_list[this.vod_selected_item][0]);
	else
	{
		var EpisodeStreamInfo = MUZUNGA_XML_API.getGetEpisodeStreamInfo();
		this.vod_info[6] = EpisodeStreamInfo[3];
	}
	if(this.vod_info[6])
		Display.status("Место в очереди на подключение: " + this.vod_info[6]);
	else
		Display.status("Очередь подошла <br> нажмите ENTER <br>для начала просмотра ");
}


Main.PlayFilm = function()
{
	
	if(this.vod_info[6])
		Display.status("Пробуй немного позже <br>Место в очереди на подключение: " + this.vod_info[6] + "<br><img src='img/buttons/yellow.png'></img> ОЧЕРЕДЬ");
		
	else{
	
		document.getElementById("main").style.display="none";
		document.getElementById("flashplayer").style.display="block";
		KeyHandler.setFocus(Main.Flash_Player_ID);
		var stream = this.vod_info[7];
		if(Main.videoplay_mode == 0)
		{
			var id = this.vod_info[8];
			alert('PLAY HD: ' + id);
		}
		else
		{
			var id = this.vod_info[9];
			alert('PLAY SD: ' + id);
		}
		if(this.flash_player==true)
		{
			
			var p;
			p='<object type="application/x-shockwave-flash" id="rmtpplayer" width="960" height="540">';
			p=p+'<param name="movie" value="nflashplayer.swf" />';
			p=p+'<param name="FlashVars" value="id=' + id +'&file=' + stream + '&resized=no" /></object>'; 
			alert ("selectVideo: " + p);
			widgetAPI.putInnerHTML(document.getElementById("flashplayer"), p);
			setTimeout("Main.setPlayer();",1000);
		}
		else
		{
			KeyHandler.setFocus(Main.Player_ID);
			alert(this.vod_info[7]);
			var mykey = this.vod_info[7].split("?")[1];
			var myserver = this.vod_info[7].split("/")[2];
			alert('Main.audio_track_id ' + Main.audio_track_id);
			//0_904_0_0_1
			alert('Main.videoplay_mode ' + Main.videoplay_mode);
			Player.setVideoURL("http://" + myserver + ":1935/vod/_default_/" +  id + "_" + Main.audio_track_id + "/playlist.m3u8?" + mykey + '|COMPONENT=HLS');
			//http://video3.muzunga.tv:1935/vod/_default_/0_789_0_0_0_0/playlist.m3u8?KEY
			//http://liveips.nasa.gov.edgesuite.net/msfc/Wifi.m3u8|COMPONENT=HLS
			Main.playVideo();
		}
	}

}

Main.playVideo = function()
{	
	if(Player.state == Player.PLAYING_VOD)
	{
		Player.stopVideo();
	}
	if(Player.state == Player.PAUSA_VOD)
	{
		Player.stopVideo();
	}
	
	if (Player.url == null)
    {
        alert("No videos to play");
    }
    else
    {
        alert(Player.url);
		Player.plugin.SetDisplayArea(0, 0, 960, 540);
		if(Main.videoplay_mode == 0)
		{
			Player.plugin.SetInitialBuffer(1280*1024);
			Player.plugin.SetPendingBuffer(1280*1024);
		}
		else
		{
			Player.plugin.SetInitialBuffer(640*1024);
			Player.plugin.SetPendingBuffer(640*1024);		
		}
		Player.playVideo( Player.url );
        Audio.plugin.SetSystemMute(false); 
    }
	
	Display.status('START');
 
	Main.UpdatePlayerStatusbar();
	KeyHandler.setFocus(Main.Player_ID);
	Display.hidemenu();
	Display.showplayer();

}

Main.UpdatePlayerStatusbar = function()
{
	document.getElementById("ch_percent").style.width="0%";
	widgetAPI.putInnerHTML(document.getElementById("time"), Main.secToStr(Player.vod_current_time/1000));
	var elapsed_time_percent = parseInt(Player.vod_current_time/ Player.vod_one_percent);
	var time_left = parseInt((Player.vod_duration - Player.vod_current_time)/60000);
	var bitrate = Player.plugin.GetCurrentBitrates();
	widgetAPI.putInnerHTML(document.getElementById("pr1_name"), 'bitrate ' + bitrate);
	if(elapsed_time_percent>100)
		elapsed_time_percent = 100;
	document.getElementById("ch_percent").style.width=elapsed_time_percent+"%";
	widgetAPI.putInnerHTML(document.getElementById("pr1_time_left"), "+" + time_left + "мин");
	widgetAPI.putInnerHTML(document.getElementById("pr2_name"), "Продолжительность " + parseInt(Player.vod_duration/60000) + " мин.");
}

Main.PlayResizedWindow = function(width, height)
{
	
	ConsoleLog("Main.PlayResizedWindow");
	document.getElementById("main").style.display="none";
	document.getElementById("flashplayer").style.display="block";
	widgetAPI.putInnerHTML(document.getElementById("flashplayer"), "");
	KeyHandler.setFocus(Main.Player_ID);
	var stream = this.vod_info[7];
	
	if(Main.videoplay_mode == 0)
		{
			var id = this.vod_info[8];
			alert('PLAY HD: ' + id);
		}
		else
		{
			var id = this.vod_info[9];
			alert('PLAY SD: ' + id);
		}

	var p;
	p='<object type="application/x-shockwave-flash" id="rmtpplayerHD" width="'+width+'" height="'+height+'">';
	p=p+'<param name="movie" value="nflashplayer.swf" />';
	p=p+'<param name="FlashVars" value="id=' + this.vod_info[8]+'&file=' + stream + '" /></object>'; 
	
	alert ("Main.PlayResizedWindow: " + width + ' ' + height );
	
	widgetAPI.putInnerHTML(document.getElementById("flashplayer"), p);
	
	alert ("selectVideo RESIZED: " + p);
	
	ConsoleLog("Main.PlayResizedWindow1");
	setTimeout("Main.setPlayerHD();",2000);
	ConsoleLog("Main.PlayResizedWindow2");
	
	
}	

Main.setPlayer = function()
{
	delete Main.player;
	Main.player = window["rmtpplayer"];
	setTimeout("KeyHandler.setFocus(Main.Player_ID);",500);
}

Main.setPlayerHD = function()
{
	delete Main.player;
	Main.player = window["rmtpplayerHD"];
	setTimeout("KeyHandler.setFocus(Main.Player_ID);",500);
}

Main.setBodySize = function()
{
	alert('Main.setBodySize');
	document.getElementById("mybody").style.width= "960px";
	document.getElementById("mybody").style.height= "540px";
}

Main.flashDebug = function(text)
{
	Main.player.mydebug(text);
	//Main.player.skip(30);
}

Main.xplusFlash = function()
{
	Main.player.xplus();
}

Main.xminusFlash = function()
{
	Main.player.xminus();
}

Main.MinutesJump = function(time)
{
	Main.player.skip(time,'time');
}

Main.PercentJump = function(percent)
{
	Main.player.skip(percent,'percent');
}


Main.playerModus= function()
{
	if(this.flash_player==false)
	{
		this.flash_player=true;
		widgetAPI.putInnerHTML(document.getElementById("navi_mode"), 'FLASH');
	}
	else
	{
		this.flash_player=false;
		widgetAPI.putInnerHTML(document.getElementById("navi_mode"), 'HTML5');
	}
}

Main.updateInfoSwicher = function()
{
	if(this.vod_mode==0)
	{
		this.vod_mode = 1;
		document.getElementById("vod_info_button").style.display="none";
		document.getElementById("vod_back_button").style.display="";
		document.getElementById("vod_info").style.display="";
		
		var vod_info = this.vod_list[this.vod_selected_item][1] + '<br>краткое описание:<br>' + this.vod_info[0] + '<br><br>';
		widgetAPI.putInnerHTML(document.getElementById("vod_info"), vod_info);
		var vod_descr_right = 'режиссер: ' + this.vod_info[1] + '<br>сценарий: ' + this.vod_info[3] + '<br>актеры: ' + this.vod_info[4]+ '<br>продюсер: ' + this.vod_info[2];
		widgetAPI.putInnerHTML(document.getElementById("vod_descr_right"), vod_descr_right);
	}
	else
	{
		this.vod_mode = 0;
		document.getElementById("vod_info").style.display="none";	
		document.getElementById("vod_info_button").style.display="";
		document.getElementById("vod_back_button").style.display="none";
		Main.updateCurrentVODinfo();	
	}
	

}

Main.selectNextItem = function()
{
	this.vod_selected_item++;
	if(this.vod_selected_item == this.vod_page_counter)
	{
		this.vod_selected_item = 0;
		Main.selectNextPage();
	}
	Main.updateVodList();
}

Main.selectPrevItem = function()
{
	this.vod_selected_item--;
	if(this.vod_selected_item<0)
	{
		this.vod_selected_item = 9;
		Main.selectPrevPage();
	}
	Main.updateVodList();
}

Main.selectNextPage = function()
{
	this.vod_selected_page++;
	if(this.vod_selected_page>this.vod_all_pages)
		this.vod_selected_page = 1;
	Main.updatePage();
}

Main.selectPrevPage = function()
{
	this.vod_selected_page--;
	if(this.vod_selected_page<1)
		this.vod_selected_page = this.vod_all_pages;
	Main.updatePage();
}
		

Main.secToStr =function(sec)
{
   sec = parseInt(sec);
   minuten = parseInt(sec/60);
   sec = sec%60;
   stunden = parseInt(minuten/60);
   minuten = minuten%60;
   return (stunden > 10 ? stunden : ("0" + stunden)) + ":" + (minuten > 10 ? minuten : ("0" + minuten)) + ":" + (sec > 10 ? sec : ("0" + sec));
   
}

Main.onUnload = function()
{
	Audio.setVolume(10);
	Main.setBodySize();
	alert('Main.onUnload');
	Player.deinit();
}