﻿
var widgetAPI = new Common.API.Widget();
var pluginAPI = new Common.API.Plugin();
var tvKey = new Common.API.TVKeyValue();

var Main =
{
                selected_channel:0,
                selected_page:0,
                chan_array_index:0,
                play_selected_channel:0,
                play_selected_page:0,
                play_chan_array_index:0,
                MODE :-1,
                MainMenu_ID :0,
                LivePlayer_ID :1,
                VODPlayer_ID :2,
                StreamMode :"",
                player :null,
                serieC :false,
                PlayerMode: "",
                hardware :'',
                Selectbox_ID :3,
                logo :true,
                yandextv_mode :false,
                yfix : 0,
                delta : 0,
                scrolling :0,
                yandexload_timer :null,
                yandexonselect_timer:null,
                showinfo_timer:null,
                prev_pl_array :[ ],
                playlist_prev :false,
                prev_ch_array :[ ],
                play_prev :false,
                help_info :false,
                start :false,
                formular :false,
                TVPlugin :null,
                FAV : false,
                DEL : false,
                RED : false,
}

ConsoleLog = function (text)
{

                var tm = new Date();
                var h = tm.getHours();
                var m = tm.getMinutes();
                var s = tm.getSeconds();
                var ms = tm.getMilliseconds();
                text = "[" + h + ":" + (m > 10 ? m : ("0" + m)) + ":" + (s > 10 ? s : ("0" + s)) + "," + ms + "] " + text;
                alert(text);
}



ShowDebugOnScreen = function(text)
{
                document.getElementById("statusbar").style.display="block";
                widgetAPI.putInnerHTML(document.getElementById("statusbar"), text);
}

Main.onLoad = function () 
{
                try
                {

                    this. tvplug = document.getElementById("pluginTV");
                    this.hardware = this.tvplug.GetProductCode(1);
                    if(this.hardware.indexOf("C")>0)
                        Main.serieC = true;

                    if(API.init()  && Player.init() && Display.init() && UrlHelper.init() &&  Audio.init())
                    {
                        this.MODE = this.MainMenu_ID;
                        window.onShow =Main.onShowEventTVKey;	
                        API.getChannel_list();
                    }

                    //setInterval ("Main.UpdateTime();", 1000 );  
                    Main.SetTime();

                }catch(e)
                                {
                                ShowDebugOnScreen(e);
                                alert('error: Main.onLoad ' + e);
                                }

                KeyHandler.create();
                widgetAPI.sendReadyEvent();
                setTimeout("Main.LogoStyle();", 2000);
}

Main.onShowEventTVKey = function()
{
                pluginAPI.SetBannerState(1);
                //pluginAPI.SetBannerState(2); 
                pluginAPI.unregistKey(tvKey.KEY_VOL_UP);
                pluginAPI.unregistKey(tvKey.KEY_VOL_DOWN);
                pluginAPI.unregistKey(tvKey.KEY_MUTE);
                pluginAPI.registKey(tvKey.KEY_MENU);
}

curWidget.onWidgetEvent = function()
{
                Main.onShowEventTVKey();
} 
 
Main.unregistVOLTVKey = function()
{
                pluginAPI.registKey(tvKey.KEY_VOL_UP);
                pluginAPI.registKey(tvKey.KEY_VOL_DOWN);
                pluginAPI.registKey(tvKey.KEY_MUTE);
}

Main.unregistTVKey = function()
{
                if(Main.serieC==false)
                    pluginAPI.unregistKey(tvKey.KEY_TOOLS);
                    pluginAPI.unregistKey(652);
}

Main.registTVKey = function()
{
                if(Main.serieC==false)
                    pluginAPI.registKey(tvKey.KEY_TOOLS);
                    pluginAPI.registKey(652);
}


Main.LogoStyle = function () 
{
                if(API.chan_counter == 0)
                    setTimeout("Setup.setFormular();", 1000);

                if(Main.logo)
                {
                    document.getElementById("logo_bg").style.display="none";
                    document.getElementById("leftHalf").style.display="block";
                    document.getElementById("rightHalf").style.display="block";
                    Main.logo = false;
                    if(this.yandextv_mode == true)
                       setTimeout("Main.yandexstyle();", 10);
                }
}



Main.Menu = function()
{
                Main.clearTimeoutAllTimer();
                try
                {

                                if (API.XML_URL.indexOf('fav.data')!=-1)
                                {
                                    this.FAV = true;
                                    document.getElementById("3.1_help").style.display="none";
                                        if (this.RED == false)
                                        {
                                           widgetAPI.putInnerHTML(document.getElementById("version"), 'Избранное');
                                           document.getElementById("3.2_help").style.display="none";
                                           document.getElementById("3.3_help").style.display="block";
                                           document.getElementById("3.4_help").style.display="none";
                                        }
                                        else
                                        {
                                           widgetAPI.putInnerHTML(document.getElementById("version"), 'Редактирование Избранного');
                                           document.getElementById("3.2_help").style.display="block";
                                           document.getElementById("3.3_help").style.display="none";
                                           document.getElementById("3.4_help").style.display="block";
                                        }
                                }
                                else 
                                {
                                    this.FAV = false;
                                    this.RED = false;
                                    document.getElementById("3.1_help").style.display="block";
                                    document.getElementById("3.2_help").style.display="none";
                                    document.getElementById("3.3_help").style.display="none";
                                    document.getElementById("3.4_help").style.display="none";
                                }
                                document.getElementById("help_navi_menu").style.display="block";
                                document.getElementById("channelList").style.display="";

                                if(API.XML_URL.indexOf('help')!=-1) 
                                {
                                    widgetAPI.putInnerHTML(document.getElementById("version"), 'СПРАВКА !'); 
                                    document.getElementById("10_help").style.display="block";
                                    document.getElementById("3.1_help").style.display="none";
                                    document.getElementById("9_help").style.display="none";
                                }
                                else
                                {
                                if (this.FAV == false)
                                    widgetAPI.putInnerHTML(document.getElementById("version"), 'nStreamLmod v.0.81');
                                    document.getElementById("10_help").style.display="none";

                                    if(API.chan_counter > 500 )
                                        document.getElementById("9_help").style.display="none";
                                    else
                                        document.getElementById("9_help").style.display="block";
                                }

                                if(API.cat_counter >1)
                                    document.getElementById("3_help").style.display="block";
                                else
                                    document.getElementById("3_help").style.display="none";

                                if(Player.state == Player.PLAYING_LIVE || Player.state == Player.PLAYING_VOD)
                                {
                                    document.getElementById("0_help").style.display="none";
                                    document.getElementById("1_help").style.display="block";
                                    document.getElementById("6_help").style.display="block";
                                    document.getElementById("7_help").style.display="none";
                                    if(Player.state == Player.PLAYING_VOD)
                                    document.getElementById("8_help").style.display="block";
                                }
                                else
                                {
                                    document.getElementById("0_help").style.display="block";
                                    document.getElementById("1_help").style.display="none";
                                    document.getElementById("2_help").style.display="block";
                                    document.getElementById("4_help").style.display="block";                                   
                                    document.getElementById("5_help").style.display="block";
                                    document.getElementById("8_help").style.display="none";
                                    var index = this.prev_pl_array.length-1;
                                                if(index>0)
                                                {
                                                    document.getElementById("7_help").style.display="none";
                                                    document.getElementById("6_help").style.display="block";
                                                    if(API.XML_URL.indexOf('start.xml')!=-1)
                                                        Display.status(API.XML_URL);
                                                    else
                                                        Display.hidestatus();
                                                }
                                                else if(API.XML_URL.indexOf('start.xml')!=0)
                                                {
                                                    document.getElementById("6_help").style.display="none";
                                                    document.getElementById("7_help").style.display="block";
                                                    //Display.status(API.XML_URL);
                                                }
                                                else
                                                {
                                                    document.getElementById("6_help").style.display="none";
                                                    document.getElementById("7_help").style.display="none";
                                                    Display.status(API.XML_URL);
                                                }
                                }
                                
                                Main.updatePage();
                                Main.updateChannel();
                                KeyHandler.setFocus(this.MainMenu_ID);
                } catch(e){}
}

Main.ResetSelectedPosition = function()
{
                this.selected_channel = 0;
                this.selected_page = 0;
                this.chan_array_index = 0;
                this.ch_id_selected = 0; 
                this.play_selected_channel = 0;
                this.play_selected_page = 0;
                this. play_chan_array_index = 0;
                this.prev_ch_array = new Array();
}

Main.SaveSelectedPosition = function()
{            
                this.play_selected_channel = this.selected_channel;
                this.play_selected_page = this.selected_page;
                this. play_chan_array_index = this.chan_array_index;
}

Main.SetSelectedPosition = function()
{
                this.selected_channel = this.play_selected_channel;
                this.selected_page = this.play_selected_page ;
                this.chan_array_index = this. play_chan_array_index;
}

Main.showCategorySelector = function()
{
                if(API.cat_counter >1)
                {
                    document.getElementById("rightHalf").style.display="none";
                    KeyHandler.setFocus(Main.Selectbox_ID);
                    Selectbox.setBox('КАТЕГОРИИ', API.categories);
                }
}

Main.updatePage = function()
{

                try
                {
                    var chan = Array();
                    var chan_on_page = 10;

                                if(this.selected_page > API.chan_pages-1)
                                    this.selected_page = 0;

                                if(this.selected_page < 0)
                                    this.selected_page = API.chan_pages-1;

                                for (var index = 0; index < 10; index++)
                                {
                                    document.getElementById("ch"+index).style.display="";
                                    widgetAPI.putInnerHTML(document.getElementById("title"+index), "");
                                    document.getElementById("title"+index).style.width= "320px";
                                    document.getElementById("number"+index).style = "";
                                }

                                if(this.selected_page == API.chan_pages-1)
                                {
                                    chan_on_page = API.last_page_channels_counter;
                                    for (var index = chan_on_page; index < 10; index++)
                                        document.getElementById("ch"+index).style.display="none";
                                    if(this.selected_channel > API.last_page_channels_counter-1)
                                        this.selected_channel = API.last_page_channels_counter-1;
                                }
                                for (var index = 0; index < chan_on_page; index++)
                                {
                                    var chan_array_index = 10*this.selected_page + index;
                                    chan[index] = document.getElementById("chan"+index);
                                    widgetAPI.putInnerHTML(document.getElementById("number"+index), chan_array_index+1);
                                    var logo =API.channels[chan_array_index][3];
                                    var logopapka = "logos/"
                                    var f = API.Forma;
                                    var png =".png";
                                    if(logo.indexOf(":")>= 0)
                                       logopapka = "";
                                    var pl = API.channels[chan_array_index][6];
                                    var lct = API.channels[chan_array_index][4];

                                                if(logo!="" && lct.indexOf(".")!=-1 &&  f==1) //точка в индексе //инфо в лого //прямоугольная иконка 
                                                {
                                                    document.getElementById("img"+index).src=logopapka+logo;
                                                    document.getElementById("img"+index).style.left= "65px";
                                                    document.getElementById("img"+index).style.width= "58px";
                                                } 
                                                else if(logo!="") //инфо в лого  //квадратная иконка
                                                {
                                                    document.getElementById("img"+index).src=logopapka+logo;
                                                    document.getElementById("img"+index).style.left= "75px";
                                                    document.getElementById("img"+index).style.width= "38px";
                                                } 
                                                else if(pl !="" && f==1)//прямоугольная иконка для названия плейлиста, если нет logo
                                                {
                                                    document.getElementById("img"+index).src="logos/open.png";
                                                    document.getElementById("img"+index).style.left= "65px";
                                                    document.getElementById("img"+index).style.width= "58px";
                                                }
                                                else if(pl !="" )//квадратная иконка для названия плейлиста, если нет logo
                                                {
                                                    document.getElementById("img"+index).src="logos/open.png";
                                                    document.getElementById("img"+index).style.left= "75px";
                                                    document.getElementById("img"+index).style.width= "38px";
                                                }
                                                else
                                                {
                                                                if(lct!="" ) //в дескрип.есть инфо
                                                                {
                                                                    var lc = parseInt(API.channels[chan_array_index][4]); 
                                                                    var la = lct-lc; 
                                                                                if(la==0) //в дескрип.есть индекс
                                                                                {
                                                                                                if(lc>0 && lc<=2000 && lct.indexOf(".")!=-1 &&  f==1) //точка в индексе //прямоугольная иконка 
                                                                                                {
                                                                                                    var ylog = 'http://yandex.st/tv/i/logo/'+lc+'.gif';
                                                                                                    document.getElementById("img"+index).src=ylog;
                                                                                                    document.getElementById("img"+index).style.left= "65px";
                                                                                                    document.getElementById("img"+index).style.width= "58px";
                                                                                                } 
                                                                                                else if(lc>0 && lc<=2000) //индекс //квадратная иконка
                                                                                                {
                                                                                                    var ylog = 'http://yandex.st/tv/i/logo/'+lc+'.gif';
                                                                                                    document.getElementById("img"+index).src=ylog;
                                                                                                    document.getElementById("img"+index).style.left= "75px";
                                                                                                    document.getElementById("img"+index).style.width= "38px";
                                                                                                } 
                                                                                                else if(( lc==0 || lc>2000 )&& lct.indexOf(".")!=-1 &&  f==1)//точка в индексе //прямоугольная иконка 
                                                                                                {
                                                                                                    document.getElementById("img"+index).src="logos/image.png";
                                                                                                    document.getElementById("img"+index).style.left= "65px";
                                                                                                    document.getElementById("img"+index).style.width= "58px";
                                                                                                } 
                                                                                                else if( lc==0 || lc>2000 )//квадратная иконка 
                                                                                                {
                                                                                                    document.getElementById("img"+index).src="logos/image.png";
                                                                                                    document.getElementById("img"+index).style.left= "75px";
                                                                                                    document.getElementById("img"+index).style.width= "38px";
                                                                                                }
                                                                                }
                                                                                else  if(API.channels[chan_array_index][1].indexOf(".")!=-1 &&  f==1) //точка в названии  //в дескрип.есть инфо.//прямоугольная иконка  
                                                                                {
                                                                                    var lt = API.channels[chan_array_index][1];
                                                                                    document.getElementById("img"+index).src=logopapka+lt+png ;
                                                                                    document.getElementById("img"+index).style.left= "65px";
                                                                                    document.getElementById("img"+index).style.width= "58px";
                                                                                }
                                                                                else //квадратная иконка по названию
                                                                                { 
                                                                                    var lt = API.channels[chan_array_index][1];  
                                                                                    document.getElementById("img"+index).src=logopapka+lt+png ;
                                                                                    document.getElementById("img"+index).style.left= "75px";
                                                                                    document.getElementById("img"+index).style.width= "38px";
                                                                                }
                                                                }
                                                                else if(API.channels[chan_array_index][1].indexOf(".")!=-1 &&  f==1) //точка в названии  //в дескрип.нет инфо.//прямоугольная иконка 
                                                                {
                                                                    var lt = API.channels[chan_array_index][1];
                                                                    document.getElementById("img"+index).src=logopapka+lt+png ;
                                                                    document.getElementById("img"+index).style.left= "65px";
                                                                    document.getElementById("img"+index).style.width= "58px";
                                                                }
                                                                else   //квадратная иконка по названию
                                                                {
                                                                    var lt = API.channels[chan_array_index][1];
                                                                    document.getElementById("img"+index).src=logopapka+lt+png ;
                                                                    document.getElementById("img"+index).style.left= "75px";
                                                                    document.getElementById("img"+index).style.width= "38px";
                                                                }
                                                }
                                                widgetAPI.putInnerHTML(document.getElementById("title"+index), API.channels[chan_array_index][1]);

                                }

                } catch(e)
                                {
                                    alert("API.updatePage ERROR: "+e);
                                    document.getElementById("statusbar").style.display="block";
                                    widgetAPI.putInnerHTML(Display.statusDiv, '4: ' + e);
                                }
                document.getElementById("main").style.display="block";
}

Main.yandexloadTimer = function()
{
this.yandexload_timer=setTimeout("Main.yandexTVinfo();",200);
}

Main.yandexonselectTimer = function()
{
this.yandexonselect_timer=setTimeout("Main.yandexSelector();",500);
}

Main.showinfoTimer = function()
{
this.showinfo_timer=setTimeout("Main.showinfoList();",200);
}

Main.clearTimeoutAllTimer = function()
{
                clearTimeout(this.yandexload_timer);
                clearTimeout(this.yandexonselect_timer);
                clearTimeout(this.showinfo_timer);
}

Main.updateChannel = function()
{   
                Main.clearTimeoutAllTimer();

                for (var index = 0; index < 10; index++)
                {
                    document.getElementById("chan"+index).style.backgroundImage= "";
                    document.getElementById("number"+index).style.backgroundImage = "";
                }
                this.chan_array_index = 10*this.selected_page + this.selected_channel;
                document.getElementById("number"+this.selected_channel).style.backgroundImage= "url(img/menu1_act.png)";
                document.getElementById("chan"+this.selected_channel).style.backgroundImage= "url(img/menu_act.png)";
                document.getElementById("infoList").style.display="none";
                document.getElementById("ya_info").style.display="none";
                var yt =API.channels[this.chan_array_index][4];
                if(yt!="" ) //в дескрип.есть инфо
                { 
                    var y =parseInt(API.channels[this.chan_array_index][4]);  
                    var ya =yt-y; 
                    Main.scrolling = 0;
                                if(API.channels[this.chan_array_index][4].indexOf('/m.tv.yandex.')!= -1) 
                                {
                                    Main.yandexTVinfoOld();
                                    this.yandextv_mode = true;
                                    this.delta=0;
                                    this.yfix=0;
                                    API.todayDay();
                                }
                                else if(y>0 && y<2001 && ya==0 )
                                {
                                    Main.yandexloadTimer();
                                    this.yandextv_mode = true;
                                    this.delta=0;
                                    this.yfix=0;
                                    API.todayDay();
                                }
                                else
                                {
                                    Main.showinfoTimer();
                                    this.yandextv_mode = false;
                                }
                }
                else 
                {
                    Main.showinfoTimer();
                    this.yandextv_mode = false;
                }
               
}

Main.yandexTVinfo = function()
{ 
                if(Main.yandextv_mode)
                {
                    var reg = API.REG;
                    var cod = API.CODE;
                    var ydays = API.yandex_days;
                    var ych = parseInt(API.channels[this.chan_array_index][4]);
                    var dyandex= '<iframe id="yandex_tv"  src="http://m.tv.yandex.'+reg+'/'+cod+'/?channel='+ych+'&when=2&day='+ydays+'" width="1" height="1"></iframe>';
                    widgetAPI.putInnerHTML(document.getElementById("ya_info"), dyandex);	
                    Main.yandexonselectTimer();
                }
}

Main.yandexTVinfoOld = function()
{
                if(Main.yandextv_mode)
                {
                    var description = API.channels[this.chan_array_index][4].replace("#######",API.yandex_days);
                    widgetAPI.putInnerHTML(document.getElementById("ya_info"), description);
                    Main.yandexonselectTimer();
                }
}

Main.showinfoList = function()
{
                var yt =API.channels[this.chan_array_index][4];
                var y =parseInt(API.channels[this.chan_array_index][4]);
                //var ya =yt-y;
                document.getElementById("ya_date").style.display="none";
                document.getElementById("ya_info").style.display="none";
                document.getElementById("ya_help").style.display="none";
                document.getElementById("infoList").style.display="block";
                if(yt=="" || y==0)
                    widgetAPI.putInnerHTML(document.getElementById("infoList"), 'Дополнительной информации нет !' );
                else 
                    widgetAPI.putInnerHTML(document.getElementById("infoList"), API.channels[this.chan_array_index][4]);
}

Main.yandexSelector = function()
{
                if(Main.yandextv_mode)
                {
                    var logo = document.frames['yandex_tv'].document.getElementsByClassName("logo");
                    widgetAPI.putInnerHTML(logo[0], '');
                    var gone = document.frames['yandex_tv'].document.getElementsByClassName("gone");
                    for(i=0;i<gone.length;i++) gone[i].style.display = 'none';	
                    var b_icon = document.frames['yandex_tv'].document.getElementsByClassName("b-icon");
                    for(i=0;i<b_icon.length;i++) b_icon[i].style.display = 'none';
                    var b_schedule = document.frames['yandex_tv'].document.getElementsByClassName("b-schedule")[0].innerHTML;
                    widgetAPI.putInnerHTML(document.getElementById("ya_info"), b_schedule);
                    document.getElementById("ya_info").style.display="none";
                    setTimeout("Main.yandexstyle();",10);
                }
}

Main.Gone = function()
{
                if(document.getElementsByClassName("gone") && Main.yandextv_mode)
                {
                    className = 'done';
                    var gone = document.getElementsByClassName("gone");
                    for(i=0;i<gone.length;i++) gone[i].style.display = '';
                    for(i=0;i<gone.length;i++) gone[i].style.color = "#999999";	
                }
}

Main.yandexstyle = function()
{ 
                if(Main.yandextv_mode)
                {
                    var time = document.getElementsByClassName("time");
                    for(i=0;i<time.length;i++) time[i].style.padding = "2px";
                    for(i=0;i<time.length;i++) time[i].style.width = "50px";
                    for(i=0;i<time.length;i++) time[i].style.color = '#00ccff';
                    Main.DateYMenu();
                    document.getElementById("ya_date").style.display="block";
                    document.getElementById("ya_info").style.display="block";
                    document.getElementById("ya_help").style.display="block";
                }
}

Main.PlayPrevChannel = function()
{                       
                var index = this.prev_ch_array.length-1;
                if(index>0)
                {
                    var prev_chan = this.prev_ch_array[index-1];
                    this.cat_id = prev_chan[0];
                    this.selected_channel = prev_chan[1];
                    this.selected_page = prev_chan[2];
                    this.chan_array_index = prev_chan[3];
                    this.ch_id_selected = prev_chan[4];
                    Main.PlayChannel();
                    Display.status("предыдущий канал");
                }
                else
                    Display.status("стартовый канал");
}

Main.PlayPrevPlaylist = function()
{
                var index = this.prev_pl_array.length-1;
                if(index>0)
                {
                    var prev_playlist = this.prev_pl_array[index-1];
                    API.XML_URL = prev_playlist[0];
                
                    if(API.XML_URL.indexOf('help.xml')==-1)
                        this.help_info = false;
                    this.playlist_prev = true;
                    this.prev_pl_array.pop();
                    setTimeout("API.getChannel_list();",50);
                    if(this.help_info == true)
                        Display.status("Предыдущая страница");
                    else
                        Display.status("Предыдущий плейлист");
                }
                else if(API.XML_URL.indexOf('start.xml')!=0)
                {
                    this.star =true;
                    Main.playlist();
                    Display.status("Загрузка 'start.xml' ");
                }
                else
                    Display.status("Стартовый плейлист!");
}

Main.SavePrevChannel = function()
{
                var chan_info = new Array(this.cat_id, this.selected_channel, this.selected_page, this.chan_array_index, this.ch_id_selected);	
                if(this.play_prev == false)
                this.prev_ch_array.push(chan_info);
}

Main.SavePrevPlaylist = function()
{
                var list_info = new Array( API.XML_URL);
                if(this.playlist_prev == false)	
                this.prev_pl_array.push(list_info);
}

function trim(str)
{
                return str.replace(/(^\s+)|(\s+$)/g, "");
}

Main.makeTags=function(str, tag)
{
                var res = "";
                if  ((str != null) && (str != "")) 
                res = "<"+tag+">"+"<![CDATA["+trim(str.replace(/[\n\r\t]/g,""))+"]]>"+"</"+tag+">"; 
                return res;        
}

Main.readfavFile  = function(array)
{
                var l;
                var fileSystemObj = new FileSystem();
                var oFile=fileSystemObj.openCommonFile("nstream_l_fav.data", "r");
                if (oFile)
                {
                 while(1)
                        {
                            l = oFile. readLine();
                            if (l==null) 
                            break;
                            array.push(l);
                        }
                        fileSystemObj.closeCommonFile(oFile);
                }
}

Main.writefavFile  = function(array)
{
                var fileSystemObj = new FileSystem();
                var oFile=fileSystemObj.openCommonFile("nstream_l_fav.data", "w");
                if (oFile)
                {
                    for(var i=0; i < array.length; i++)
                    oFile. writeLine(array[i]);
                    fileSystemObj.closeCommonFile(oFile);
                }
}

Main.saveFavorites  = function()
{
                var url1 ="<channel>"+this.makeTags(API.channels[this.chan_array_index][1],"title")
                + this.makeTags(API.channels[this.chan_array_index][2],"stream_url")
                + this.makeTags(API.channels[this.chan_array_index][3],"logo_30x30")
                + this.makeTags(API.channels[this.chan_array_index][4],"description")
                + this.makeTags(API.channels[this.chan_array_index][6],"playlist_url")+"</channel>";

                var tempArray=new Array();
                Main.readfavFile(tempArray); 

                if(tempArray.length<3)
                    {
                        tempArray.splice(0,0,"<items>");
                        tempArray.splice(1,0,url1);
                        tempArray.splice(2,0,"</items>");
                    }
                else 
                    {
                        tempArray.splice(0,1,"<items>");
                        tempArray.splice(1,0,url1);
                    }
                Main.writefavFile(tempArray);
                Display.status("Добавленно в избранное");
                setTimeout("Display.hidestatus();", 1000);
}

Main.delFavorites  = function()
{
                var index = this.chan_array_index + 1;
                var tempArray=new Array();
                Main.readfavFile(tempArray); 

                if(tempArray.length < 4)
                    tempArray.splice(0,3);
                else
                    tempArray.splice(index,1);
                Main.writefavFile(tempArray);
                this.DEL=true;
                Main.openFavorites();
}

Main.moveFavorites  = function(move)
{
                var move = move;
                var index= this.chan_array_index+1;
                var tempArray=new Array();
                Main.readfavFile(tempArray); 

            if(tempArray.length > 3 && tempArray.length > index)
            {
                 if (tempArray.length == index+2 && move == -1) 
                     move = 0;
                 if (index == 1 && move == 1)
                     move = 0;
                this.DEL=true;
  
                var url = tempArray.splice(index,1);
                tempArray.splice(index-move,0, url.toString());
                Main.writefavFile(tempArray);
                Main.openFavorites(); 
            }
}

Main.openFavorites  = function()
{
                var xml = '/mtd_rwcommon/common/nstream_l_fav.data';
                API.XML_URL = xml;
                API.getChannel_list();
}

Main.selectNextChannel = function()
{
                this.selected_channel++;
                if(this.selected_channel>=10 || (this.selected_page == API.chan_pages-1 && this.selected_channel==API.last_page_channels_counter))
                {
                    this.selected_channel = 0;
                    this.selected_page++;
                    Main.updatePage();
                }
                Main.updateChannel();
}

Main.selectPrevChannel = function()
{
                this.selected_channel--;	
                if(this.selected_page == 0 && this.selected_channel<0)
                {
                    this.selected_channel = API.last_page_channels_counter - 1;
                    this.selected_page = API.chan_pages-1;
                }
                else if(this.selected_channel<0)
                {
                    this.selected_channel = 9;
                    this.selected_page--;
                }
                    Main.updatePage();
                    Main.updateChannel();
}

Main.selectNextPage = function()
{
                this.selected_page++;
                Main.updatePage();
                Main.updateChannel();
}

Main.selectPrevPage = function()
{
                this.selected_page--;
                Main.updatePage();
                Main.updateChannel();
}


Main.PlayChannel = function()
{
        try
        {
                if(API.channels[this.chan_array_index][2].indexOf('stop')==0 || API.channels[this.chan_array_index][6].indexOf('stop')==0)
                   Main.Menu();
                else if(API.channels[this.chan_array_index][6]!= "" &&  API.channels[this.chan_array_index][6].indexOf('http://gegen-abzocke.com/xml/portal.xml')!=0 &&  API.channels[this.chan_array_index][6].indexOf('gosha99.xml')<0 && (API.channels[this.chan_array_index][6].indexOf('.xml')>0 || API.channels[this.chan_array_index][6].toLowerCase().indexOf('ex.ua')>0 || API.channels[this.chan_array_index][6].toLowerCase().indexOf('fs.ua')>0 || API.channels[this.chan_array_index][6].toLowerCase().indexOf('uakino.net')>0 || API.channels[this.chan_array_index][6].toLowerCase().indexOf('fex.net')>0 ||  API.channels[this.chan_array_index][6].indexOf('.php')>0 ||  API.channels[this.chan_array_index][6].indexOf('.m3u')>0))
                    Main.playlist();
                else
                {
                                if(Player.state != Player.STOPPED) 
                                {
                                if(Main.PlayerMode == "0") 
                                    Main.stopFPlayer();
                                else
                                    Player.stopVideo();

                                }
                                this.yandextv_mode = false;  
                                Main.SavePrevChannel();
                                Main.SaveSelectedPosition();
                                Main.PlayerMode = ""; 
                                Display.status1(API.channels[Main.chan_array_index][0]);

                                if(API.channels[this.chan_array_index][2].indexOf('rtmp://')==0)
                                {
                                                if(API.channels[this.chan_array_index][2].indexOf('.flv')!= -1)
                                                {
                                                    Main.PlayerMode = "0";
                                                    Main.StreamMode = "rtmp.flv";
                                                }
                                                else
                                                {
                                                    Main.PlayerMode = "0";
                                                    Main.StreamMode = "rtmp";
                                                }
                                }
                                else if(API.channels[this.chan_array_index][2].indexOf('udp://')==0)
                                {
                                    Main.PlayerMode = "1";
                                    Main.StreamMode = "udp";
                                }
                                else if(API.channels[this.chan_array_index][2].indexOf('mms://')==0)
                                {
                                    Main.PlayerMode = "1";
                                    Main.StreamMode = "mms";
                                }
                                else if(API.channels[this.chan_array_index][2].indexOf('rtsp://')==0)
                                {
                                    Main.PlayerMode = "1";
                                    Main.StreamMode = "rtsp";
                                }
                                else if(API.channels[this.chan_array_index][2].indexOf('http://')==0)
                                {
                                                if(API.channels[this.chan_array_index][2].indexOf('.m3u8')!= -1)
                                                {
                                                    Main.PlayerMode = "1";
                                                    Main.StreamMode = "hls";
                                                }
                                                else if(API.channels[this.chan_array_index][2].indexOf('.mp3')!= -1)
                                                {
                                                    Main.PlayerMode = "1";
                                                    Main.StreamMode = "http.mp3";
                                                }
                                                else
                                                {
                                                    Main.PlayerMode = "1";
                                                    Main.StreamMode = "http";
                                                }
                                } 
                                if(Main.PlayerMode =="0")
                                    Main.PlayFlashStream();
                                else if(Main.PlayerMode =="1")
                                    Main.PlayNoFlashStream();
                                else if(Main.PlayerMode == "")
                                {
                                    Display.status(' ЗАБЛОКИРОВАННО !');
                                    setTimeout("Main.Menu();",3000);
                                }
                                else if(Main.PlayerMode == "" && ( API.channels[this.chan_array_index][6].indexOf('http://gegen-abzocke.com/xml/portal.xml')==0 ||  API.channels[this.chan_array_index][6].indexOf('gosha99.xml')>-1))
                                {
                                    Display.status('неподдерживаемый тип или неправильный адрес ');
                                    setTimeout("Main.Menu();",3000);
                                }
                }

        }catch(e)   {
                        ShowDebugOnScreen('Main.PlayChannel <br>' + e);
                    }
}

Main.PlayNoFlashStream = function()
{
                Display.hidemenu();
                document.getElementById("screen_size").style.display="block";
                widgetAPI.putInnerHTML(document.getElementById("resolution"), '');
                Main.UpdatePlayerStatusbar();
                var url = UrlHelper.parse_url(API.channels[this.chan_array_index][2]);  
                if(Main.StreamMode == "hls")
                url = url + "|COMPONENT=HLS";
                Player.setVideoURL(url); alert("url= "+url);
                Player.playVideo(); 
                this.play_prev = false;
}

Main.PlayFlashStream = function()
{
                Player.state = Player.LOADING;
                Player.next=false;
                Display.hidemenu();
                document.getElementById("screen_size").style.display="none";
                widgetAPI.putInnerHTML(document.getElementById("resolution"), '');
                document.getElementById("flashplayer").style.display="block";
                widgetAPI.putInnerHTML(document.getElementById("flashplayer"), "");
                Main.UpdatePlayerStatusbar();
                var flash_stream_url = API.channels[this.chan_array_index][2];
                var params = "";	
                if(Main.StreamMode == "rtmp")
                params = "file=" + flash_stream_url;
                if(Main.StreamMode == "rtmp.flv")
                params =  "flv=" + flash_stream_url;
                var p;
                p='<object type="application/x-shockwave-flash" id="rmtpplayerHD" width="960" height="540">';
                p=p+'<param name="movie" value="nflashplayer.swf" />';
                p=p+'<param name="FlashVars" value="' + params + '" /></object>'; 	
                pluginAPI.setOffScreenSaver();
                widgetAPI.putInnerHTML(document.getElementById("flashplayer"), p);
                this.play_prev = false;
                setTimeout("Main.setPlayer();",1000);
}

Main.setPlayer = function()
{
                delete Main.player;
                Main.player = window["rmtpplayerHD"];
                Main.unregistTVKey();
                Player.state = Player.PLAYING_LIVE;
                KeyHandler.setFocus(this.LivePlayer_ID);
}

Main.stopFPlayer = function()
{
                delete Main.player; 
                document.getElementById("flashplayer").style.display="none";
                document.getElementById("statusbar").style.display="none";  
                widgetAPI.putInnerHTML(document.getElementById("flashplayer"), "");     
                Player.state = Player.STOPPED;
                Main.registTVKey();
}

Main.UpdatePlayerStatusbar = function()
{
                var index = this.chan_array_index;
                widgetAPI.putInnerHTML(document.getElementById("ch_number"),index+1);
                widgetAPI.putInnerHTML(document.getElementById("ch_name"),API.channels[index][1]);

                var logo =API.channels[index][3];
                var logopapka = "logos/"
                var png =".png";
                var f = API.Forma;
                if(logo.indexOf(":")>= 0)
                    logopapka = "";
                var lct = API.channels[index][4];

                if(logo!="" && lct.indexOf(".")!=-1 && f==1) //точка в индексе //инфо в лого //прямоугольная иконка 
                {
                    document.getElementById("ch_img").src=logopapka+logo;
                    document.getElementById("ch_img").style.left= "74px";
                    document.getElementById("ch_img").style.width= "66px";
                } 
                else if(logo!="") //инфо в лого  //квадратная иконка
                {
                    document.getElementById("ch_img").src=logopapka+logo;
                    document.getElementById("ch_img").style.left= "82px";
                    document.getElementById("ch_img").style.width= "44px";
                } 
                else
                {  
                    var lt = API.channels[index][1]; 
                                                        
                                if(lct!="" ) //в дескрип.есть инфо.
                                {
                                    var lc = parseInt(API.channels[index][4]); 
                                    var la = lct-lc;
                                                if(la=="") //в дескрип.есть индекс
                                                {
                                                                if(lc>0 && lc<=2000 && lct.indexOf(".")!=-1 &&  f==1) //точка в индексе //прямоугольная иконка
                                                                {
                                                                    var ylog = 'http://yandex.st/tv/i/logo/'+lc+'.gif';
                                                                    document.getElementById("ch_img").src=ylog;
                                                                    document.getElementById("ch_img").style.left= "74px";
                                                                    document.getElementById("ch_img").style.width= "66px";
                                                                } 
                                                                else if(lc>0 && lc<=2000) //индекс //квадратная иконка
                                                                {
                                                                    var ylog = 'http://yandex.st/tv/i/logo/'+lc+'.gif';
                                                                    document.getElementById("ch_img").src=ylog;
                                                                    document.getElementById("ch_img").style.left= "82px";
                                                                    document.getElementById("ch_img").style.width= "44px";
                                                                } 
                                                                else if(( lc==0 || lc>2000 )&& lct.indexOf(".")!=-1 &&  f==1)//точка в индексе //прямоугольная иконка 
                                                                {
                                                                    document.getElementById("ch_img").src="";
                                                                } 
                                                                else if( lc==0 || lc>2000 )//квадратная иконка 
                                                                {
                                                                    document.getElementById("ch_img").src="";
                                                                }
                                                }
                                                else  if(lt.indexOf(".")!=-1 && f==1) //точка в названии  //в дескрип.есть инфо. //прямоугольная иконка  
                                                {         
                                                    document.getElementById("ch_img").src=logopapka+lt+png ;
                                                    document.getElementById("ch_img").style.left= "74px";
                                                    document.getElementById("ch_img").style.width= "66px";
                                                }
                                                else //квадратная иконка по названию
                                                {
                                                    document.getElementById("ch_img").src=logopapka+lt+png ;
                                                    document.getElementById("ch_img").style.left= "82px";
                                                    document.getElementById("ch_img").style.width= "44px";
                                                }
                                }
                                else   if(lt.indexOf(".")!=-1 && f==1) //точка в названии  //в дескрип.нет инфо.   //прямоугольная иконка 
                                {    
                                    document.getElementById("ch_img").src=logopapka+lt+png ;
                                    document.getElementById("ch_img").style.left= "74px";
                                    document.getElementById("ch_img").style.width= "66px";
                                }
                                else   //квадратная иконка по названию
                                { 
                                    document.getElementById("ch_img").src=logopapka+lt+png ;
                                    document.getElementById("ch_img").style.left= "82px";
                                    document.getElementById("ch_img").style.width= "44px";
                                }
                }
}

Main.playlist = function()
{
                this.playlist_prev = false;
                if(this.help_info ==true)
                var xml = 'help/starthelp.xml';
                else if(this.star ==true)
                {
                    var xml = 'start.xml';
                    this.star = false;
                }
                else 
                    var xml =API.channels[this.chan_array_index][6];
                API.XML_URL = xml;
                if(API.XML_URL.indexOf('help')==-1)
                {
                    Display.status("Загрузка плейлиста !"); 
                    setTimeout("API.getChannel_list();",50);
                }
                else 
                {
                    API.getChannel_list();
                    this.help_info =true;
                }
}

Main.onUnload = function()
{
                Player.deinit();
                alert("DEINIT");
}

Main.SetTime = function()
{
                var timePlugin = document.getElementById("pluginTime");
                var now=timePlugin.GetEpochTime();
                now=timePlugin.ConvertEpochToLocalTime(now);
                var arTime=now.split("/");
                if (arTime.length!=6)
                    return;
                var hours =  parseInt(arTime[3]);
                var minutes =  parseInt(arTime[4]);
                var totalmin = hours*60+minutes; 
                var fix = Number(new Date()) +  API.timeFixmSec;
                var now1 = new Date(fix);
                var hours1 = now1.getHours();
                var minutes1 = now1.getMinutes();
                var totalmin1 = hours1*60+minutes1; 
                var dmin = Math.abs(totalmin - totalmin1);
                if (dmin<80)
                    setInterval ("Main.UpdateTime1();", 1000 );
                else
                    setInterval ("Main.UpdateTime();", 1000 );
}

Main.UpdateTime1 = function()
{
                var timePlugin = document.getElementById("pluginTime");
                var now = timePlugin.GetEpochTime();
                now = timePlugin.ConvertEpochToLocalTime(now);
                var arTime=now.split("/");
                if (arTime.length!=6)
                    return;
                var timeValue = arTime[3]+':'+arTime[4]+':'+arTime[5];
                document.getElementById('widget_time').innerHTML=timeValue;
                document.getElementById('time').innerHTML=timeValue;
                Main.DateMenu();
}

Main.UpdateTime = function()
{ 
                var fix = Number(new Date()) + API.timeFixmSec;
                var now = new Date(fix);
                var hours = now.getHours();
                var minutes = now.getMinutes();
                var seconds = now.getSeconds();
                var timeValue = ((hours < 10) ? "0":"") + + hours;
                timeValue  += ((minutes < 10) ? ":0":":") + minutes;
                timeValue  += ((seconds < 10) ? ":0":":") + seconds;
                document.getElementById('widget_time').innerHTML=timeValue; 
                document.getElementById('time').innerHTML=timeValue; 
                Main.DateMenu();
}

Main.DateMenu = function()
{
                var fix = Number(new Date()) + API.timeFixmSec;
                var Unixtime = new Date(fix );
                var days= new Array ("Воскресенье", "Понедельник", "Вторник", "Среда", "Четверг","Пятница", "Суббота");
                var monts = new Array ("Января", "Февраля","Марта", "Апреля", "Мая", "Июня","Июля", "Августа","Сентября", "Октября","Ноября","Декабря");
                var WeekDay = days[Unixtime.getDay()];
                var Day = Unixtime.getDate();
                var Month = monts[Unixtime.getMonth()];
                var dateValue ="Сегодня : " + WeekDay +" "+ Day +" "+ Month;
                document.getElementById('widget_date').innerHTML=dateValue; 
}

Main.DateYMenu = function()
{
                if (this.delta>12 || this.delta==-7)
                { 
                    this.delta=0;
                    this.yfix=0;
                    API.todayDay();
                    Main.yandexTVinfo();
                }
                    var fix = Number(new Date()) + API.timeFixmSec + this.yfix;
                    var Ut = new Date(fix );
                    var h = Ut.getHours();
                if(h<=4)
                {
                    fix = fix - 14400000;
                    Ut = new Date(fix );
                }
                    var days= new Array ("Воскресенье", "Понедельник", "Вторник", "Среду", "Четверг","Пятницу", "Субботу");
                    var monts = new Array ("Января", "Февраля","Марта", "Апреля", "Мая", "Июня","Июля", "Августа","Сентября", "Октября","Ноября","Декабря");
                    var Day = Ut.getDate();
                    var WeekDay = days[Ut.getDay()];
                    var Month = monts[Ut.getMonth()];
                    var dateValue ="Программа передач на " +  WeekDay +" "+ Day +" "+ Month+" : ";
                    document.getElementById('ya_date').innerHTML=dateValue; 
}
