var Display =
{
    statusDiv : null,
    FIRSTIDX : 0,
    LASTIDX : 4,
    currentWindow : 0,

    SELECTOR : 0,
    LIST : 1,
    
    videoList : new Array()
}

Display.init = function()
{
    var success = true;
    
    this.statusDiv = document.getElementById("status");

    if (!this.statusDiv)
    {
        success = false;
    }
    
    return success;
}

Display.setTotalTime = function(total)
{
    this.totalTime = total;
}

Display.setTime = function(time)
{
    var timePercent = (100 * time) / this.totalTime;
    var timeElement = document.getElementById("timeInfo_time");
    var timeHTML = "";
    var timeHour = 0;
    var timeMinute = 0;
    var timeSecond = 0;
    var totalTimeHour = 0;
    var totalTimeMinute = 0;
    var totalTimesecond = 0;
    
    document.getElementById("progressBar").style.width = timePercent + "%";
    
    //if(Player.state == Player.PLAYING)    {
        totalTimeHour = Math.floor(this.totalTime/3600000);
        timeHour = Math.floor(time/3600000);
        
        totalTimeMinute = Math.floor((this.totalTime%3600000)/60000);
        timeMinute = Math.floor((time%3600000)/60000);
        
        totalTimeSecond = Math.floor((this.totalTime%60000)/1000);
        timeSecond = Math.floor((time%60000)/1000);
        
        timeHTML = timeHour + ":";
        
        if(timeMinute == 0)
            timeHTML += "00:";
        else if(timeMinute <10)
            timeHTML += "0" + timeMinute + ":";
        else
            timeHTML += timeMinute + ":";
            
        if(timeSecond == 0)
            timeHTML += "00/";
        else if(timeSecond <10)
            timeHTML += "0" + timeSecond + "/<span class=\"total\">";
        else
            timeHTML += timeSecond + "/<span class=\"total\">";
            
        timeHTML += totalTimeHour + ":";
        
        if(totalTimeMinute == 0)
            timeHTML += "00:";
        else if(totalTimeMinute <10)
            timeHTML += "0" + totalTimeMinute + ":";
        else
            timeHTML += totalTimeMinute + ":";
            
        if(totalTimeSecond == 0)
            timeHTML += "00" + "</span>";
        else if(totalTimeSecond <10)
            timeHTML += "0" + totalTimeSecond + "</span>";
        else
            timeHTML += totalTimeSecond + "</span>";
   // }    else        timeHTML = "0:00:00/<span class=\"total\">0:00:00</span>";
    
    widgetAPI.putInnerHTML(timeElement, timeHTML);    
}

/**
 * Установка информации о позиции в видео в "0"
 */
Display.flush = function() {
    var timeElement = document.getElementById("timeInfo_time");
    timeHTML = "0:00:00/<span class=\"total\">0:00:00</span>";
    widgetAPI.putInnerHTML(timeElement, timeHTML);    
    document.getElementById("progressBar").style.width = "0%";
}

Display.status = function(status)
{
    widgetAPI.putInnerHTML(this.statusDiv, status);
}

Display.setVolume = function(level)
{
    document.getElementById("volumeBar").style.width = level + "%";
    var volumeElement = document.getElementById("volumeInfo");
    widgetAPI.putInnerHTML(volumeElement, "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" + Audio.getVolume());
}

Display.setVideoList = function(nameList)
{
    var listHTML = "";
    
    var i=0;
    for (var name in nameList)
    {
        this.videoList[i] = document.getElementById("video"+i);
        listHTML = nameList[name] ;
        widgetAPI.putInnerHTML(this.videoList[i], listHTML);
        i++;
    }
    this.videoList[this.FIRSTIDX].style.backgroundImage= "url(Images/listBox/selector.png)";
    if(i>5)
    {
        document.getElementById("next").style.opacity = "1.0";
        document.getElementById("previous").style.opacity = "1.0";
    }
    listHTML = "1 / " + i;
    widgetAPI.putInnerHTML(document.getElementById("videoCount"), listHTML);
}

Display.setVideoListPosition = function(position, move)
{    
    var listHTML = "";
    
    listHTML = (position + 1) + " / " + Data.getVideoCount();
    widgetAPI.putInnerHTML(document.getElementById("videoCount"), listHTML);
    
    if(Data.getVideoCount() < 5)
    {
        for (var i = 0; i < Data.getVideoCount(); i++)
        {
            if(i == position)
                this.videoList[i].style.backgroundImage= "url(Images/listBox/selector.png)";
            else
                this.videoList[i].style.backgroundImage= "url(none)";
        }
    }
    else if((this.currentWindow!=this.LASTIDX && move==Main.DOWN) || (this.currentWindow!=this.FIRSTIDX && move==Main.UP))
    {
        if(move == Main.DOWN)
            this.currentWindow ++;
        else
            this.currentWindow --;
            
        for (var i = 0; i <= this.LASTIDX; i++)
        {
            if(i == this.currentWindow)
                this.videoList[i].style.backgroundImage= "url(Images/listBox/selector.png)";
            else
                this.videoList[i].style.backgroundImage= "url(none)";
        }
    }
    else if(this.currentWindow == this.LASTIDX && move == Main.DOWN)
    {
        if(position == this.FIRSTIDX)
        {
            this.currentWindow = this.FIRSTIDX;
            
            for(i = 0; i <= this.LASTIDX; i++)
            {
                listHTML = Data.videoNames[i] ;
                widgetAPI.putInnerHTML(this.videoList[i], listHTML);
                
                if(i == this.currentWindow)
                    this.videoList[i].style.backgroundImage= "url(Images/listBox/selector.png)";
                else
                    this.videoList[i].style.backgroundImage= "url(none)";
            }
        }
        else
        {            
            for(i = 0; i <= this.LASTIDX; i++)
            {
                listHTML = Data.videoNames[i + position - this.currentWindow] ;
                widgetAPI.putInnerHTML(this.videoList[i], listHTML);
            }
        }
    }
    else if(this.currentWindow == this.FIRSTIDX && move == Main.UP)
    {
        if(position == Data.getVideoCount()-1)
        {
            this.currentWindow = this.LASTIDX;
            
            for(i = 0; i <= this.LASTIDX; i++)
            {
                listHTML = Data.videoNames[i + position - this.currentWindow] ;
                widgetAPI.putInnerHTML(this.videoList[i], listHTML);
                
                if(i == this.currentWindow)
                    this.videoList[i].style.backgroundImage= "url(Images/listBox/selector.png)";
                else
                    this.videoList[i].style.backgroundImage= "url(none)";
            }
        }
        else
        {            
            for(i = 0; i <= this.LASTIDX; i++)
            {
                listHTML = Data.videoNames[i + position] ;
                widgetAPI.putInnerHTML(this.videoList[i], listHTML);
            }
        }
    }
}

Display.setDescription = function(description)
{
    var descriptionElement = document.getElementById("description");
    
    widgetAPI.putInnerHTML(descriptionElement, description);
}

Display.hide_controls_bar = function()
{
    if(Visual.newVersion())
    {
        $("#videoBox_bottom").slideUp("slow");
        $("#videoInfo").slideUp("slow");
    }
    else
    {
        $("#videoBox_bottom").hide();
        $("#videoInfo").hide();
    }
    $("#form_beginform").hide();
    $(".beginfrom").show();
    //document.getElementById("main").style.display="none";
    id_active_player = ACT_PLAY;
    Visual.SelectPlayerElem();
}


Display.show_controls_bar = function()
{
    if (Player.is_contols_locked) Visual.HideBarPlayer(); else  Visual.ShowBarPlayer();
    if(Visual.newVersion())
    {
        $("#videoBox_bottom").slideDown("slow");
        $("#videoInfo").slideDown("slow");
    }
    else
    {
        $("#videoBox_bottom").show();
        $("#videoInfo").show();
    }
}



Display.show_vol_bar = function() {
    if(Visual.newVersion())
        $("#volume").slideDown("slow");
    else
        $("#volume").show();
}

Display.hide_vol_bar = function() {
    if(Visual.newVersion())
        $("#volume").slideUp("slow");
    else
        $("#volume").hide();
}

Display.hide = function()
{
    
    $("#videoBox_bottom").slideUp("slow");
    $("#videoInfo").slideUp("slow");
    $("#form_beginform").hide();
    if(Visual.newVersion())
        $("#volume").slideUp("slow");
    else
        $("#volume").hide();
    $(".beginfrom").show();
    //document.getElementById("main").style.display="none";
    id_active_player = ACT_PLAY;
    Visual.SelectPlayerElem();
}

Display.show = function(vol)
{
    if (Player.is_contols_locked) Visual.HideBarPlayer(); else  Visual.ShowBarPlayer(vol);
    //document.getElementById("main").style.display="block";
    if(!vol)    {

        if(Visual.newVersion())
        {
            $("#videoBox_bottom").slideDown("slow");
            $("#videoInfo").slideDown("slow");
        }
        else
        {
            $("#videoBox_bottom").show();
            $("#videoInfo").show();
        }

    }
    else
    {
        if(Visual.newVersion())
            $("#volume").slideDown("slow");
        else
            $("#volume").show();
    }
}

Display.setMute = function() 
{
    document.getElementById("volumeBar").style.width = "0%";
	$("#volumeIcon").addClass("mute");
    var volumeElement = document.getElementById("volumeInfo");
    widgetAPI.putInnerHTML(volumeElement, "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;0");
}

Display.unsetMute = function() 
{
    document.getElementById("volumeBar").style.width = Audio.getVolume() + "%";
	$("#volumeIcon").removeClass("mute");
    var volumeElement = document.getElementById("volumeInfo");
    widgetAPI.putInnerHTML(volumeElement, "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" + Audio.getVolume());
}