
/*
//         
Alf = {
	T9keys: "", //    ,     
	T9words: new Array(), //     9
	T9on: "t9 ",
	T9off: "t9 ",
    RUS_S: "Rus_S",
    ENG_S: "Eng_S",
    RUS_B: "Rus_B",
    ENG_B: "Eng_B",
    SPEC: "Spec",
	// 
	Codes: {Rus_S: new Array(),
			Eng_S: new Array(),
			Rus_B: new Array(),
			Eng_B: new Array(),
            Spec: new Array()},
	CODE_TIMER: 1000, // ,    
	codeTimer: null, // ,    

	curCode: "",
	posSymbol: 0, //   

	mode: "Rus_S", //    
	modeT9: "t9 " //    (9   )
}

//    
Alf.setCodesSymbols = function ()
{
	Alf.Codes.Rus_S[0] = {Elem: "0", Val: " "};
	Alf.Codes.Rus_S[1] = {Elem: "1", Val: "1"};
	Alf.Codes.Rus_S[2] = {Elem: "2", Val: "2"};
	Alf.Codes.Rus_S[3] = {Elem: "3", Val: "3"};
	Alf.Codes.Rus_S[4] = {Elem: "4", Val: "4"};
	Alf.Codes.Rus_S[5] = {Elem: "5", Val: "5"};
	Alf.Codes.Rus_S[6] = {Elem: "6", Val: "6"};
	Alf.Codes.Rus_S[7] = {Elem: "7", Val: "7"};
	Alf.Codes.Rus_S[8] = {Elem: "8", Val: "8"};
	Alf.Codes.Rus_S[9] = {Elem: "9", Val: "9"};

	Alf.Codes.Eng_S[0] = {Elem: "0", Val: " "};
	Alf.Codes.Eng_S[1] = {Elem: "1", Val: "1"};
	Alf.Codes.Eng_S[2] = {Elem: "2", Val: "abcd2"};
	Alf.Codes.Eng_S[3] = {Elem: "3", Val: "efgh3"};
	Alf.Codes.Eng_S[4] = {Elem: "4", Val: "ijk4"};
	Alf.Codes.Eng_S[5] = {Elem: "5", Val: "lmn5"};
	Alf.Codes.Eng_S[6] = {Elem: "6", Val: "opq6"};
	Alf.Codes.Eng_S[7] = {Elem: "7", Val: "rst7"};
	Alf.Codes.Eng_S[8] = {Elem: "8", Val: "uvw8"};
	Alf.Codes.Eng_S[9] = {Elem: "9", Val: "xyz9"};

	Alf.Codes.Rus_B[0] = {Elem: "0", Val: " "};
	Alf.Codes.Rus_B[1] = {Elem: "1", Val: "1"};
	Alf.Codes.Rus_B[2] = {Elem: "2", Val: "2"};
	Alf.Codes.Rus_B[3] = {Elem: "3", Val: "Ũ3"};
	Alf.Codes.Rus_B[4] = {Elem: "4", Val: "4"};
	Alf.Codes.Rus_B[5] = {Elem: "5", Val: "5"};
	Alf.Codes.Rus_B[6] = {Elem: "6", Val: "6"};
	Alf.Codes.Rus_B[7] = {Elem: "7", Val: "7"};
	Alf.Codes.Rus_B[8] = {Elem: "8", Val: "8"};
	Alf.Codes.Rus_B[9] = {Elem: "9", Val: "9"};

	Alf.Codes.Eng_B[0] = {Elem: "0", Val: " "};
	Alf.Codes.Eng_B[1] = {Elem: "1", Val: "1"};
	Alf.Codes.Eng_B[2] = {Elem: "2", Val: "ABCD2"};
	Alf.Codes.Eng_B[3] = {Elem: "3", Val: "EFGH3"};
	Alf.Codes.Eng_B[4] = {Elem: "4", Val: "IJK4"};
	Alf.Codes.Eng_B[5] = {Elem: "5", Val: "LMN5"};
	Alf.Codes.Eng_B[6] = {Elem: "6", Val: "OPQ6"};
	Alf.Codes.Eng_B[7] = {Elem: "7", Val: "RST7"};
	Alf.Codes.Eng_B[8] = {Elem: "8", Val: "UVW8"};
	Alf.Codes.Eng_B[9] = {Elem: "9", Val: "XYZ9"};

    Alf.Codes.Spec[0] = {Elem: "0", Val: ".,:;"};
    Alf.Codes.Spec[1] = {Elem: "1", Val: "!\"'"};
    Alf.Codes.Spec[2] = {Elem: "2", Val: "@"};
    Alf.Codes.Spec[3] = {Elem: "3", Val: "#"};
    Alf.Codes.Spec[4] = {Elem: "4", Val: "$"};
    Alf.Codes.Spec[5] = {Elem: "5", Val: "%"};
    Alf.Codes.Spec[6] = {Elem: "6", Val: "^+-"};
    Alf.Codes.Spec[7] = {Elem: "7", Val: "&/"};
    Alf.Codes.Spec[8] = {Elem: "8", Val: "*[]"};
    Alf.Codes.Spec[9] = {Elem: "9", Val: "(){}"};
}

//         
Alf.getNextSymbol = function (curSym, num_elem)
{
	var Mas = null;
	switch (Alf.mode)
	{
        case Alf.RUS_S:
            Mas = Alf.Codes.Rus_S[num_elem].Val;
        break;
        case Alf.ENG_S:
            Mas = Alf.Codes.Eng_S[num_elem].Val;
        break;
        case Alf.RUS_B:
            Mas = Alf.Codes.Rus_B[num_elem].Val;
        break;
        case Alf.ENG_B:
            Mas = Alf.Codes.Eng_B[num_elem].Val;
        break;
        case Alf.SPEC:
            Mas = Alf.Codes.Spec[num_elem].Val;
        break;
	}
	if (curSym != "" && curSym != null && curSym != undefined)
	{
		if (Mas.indexOf(curSym) < Mas.length - 1)
			return Mas[Mas.indexOf(curSym) + 1];
		else
			return Mas[0];
	}
	else
		return Mas[0];
}

Alf.pasteSymbol = function (symbol, input_name)
{
	var res = $("." + input_name).text();
    res = res.substring(0, res.length - 1); //     
	$("." + input_name).text(res + symbol);
}

//     
Alf.DelLastSymbol = function (input_name)
{
	var res = $("." + input_name).text();
    res = res.substring(0, res.length - 1);
	$("." + input_name).text(res);
    Alf.posSymbol = res.length;
    clearTimeout(Alf.codeTimer);
}

Alf.stepCodeTimer = function (num_elem, input_name)
{
    if (Alf.codeTimer != null)
		clearTimeout(Alf.codeTimer);
	//    
	var res = $("." + input_name).text();
	if (res == "") //    
	{
		Alf.posSymbol = 0;
		$("." + input_name).text(Alf.getNextSymbol(num_elem, parseInt(num_elem)));
	}
	else //   ,     
	{
		if (Alf.posSymbol >= res.length) //     .  
		{
			res += Alf.getNextSymbol(num_elem, parseInt(num_elem));
			$("." + input_name).text(res);
		}
		else
        {
			Alf.pasteSymbol(Alf.getNextSymbol(res[Alf.posSymbol], parseInt(num_elem)), input_name);
        }
	}
    Alf.codeTimer = setTimeout(function()
	{
		//Alf.pasteSymbol(Alf.getNextSymbol(res[Alf.posSymbol], parseInt(num_elem)));
		Alf.posSymbol++;
	}, Alf.CODE_TIMER);
}

Alf.setCode = function (num, input_name)
{
	if (Alf.curCode == num) //  ,   (.. )
	{
	    Alf.stepCodeTimer(num, input_name);
	}
	else
	{
	    ///               
	    if (Alf.codeTimer != null) {
	        ///        
	        clearTimeout(Alf.codeTimer);                
	    }
	    var res = $("." + input_name).text();
	    
	    if (Alf.posSymbol < res.length) {
	        /// ,     -   
	        Alf.posSymbol++;
	    }
	    Alf.stepCodeTimer(num, input_name);
	    Alf.curCode = num;
	}
}

Alf.pasteT9word = function (input_name, word)
{
	if (T9.length > 0)
	{
		Alf.T9keys += "0"; //     
		var num = 0;
		for (var i = 0; i < Alf.T9keys.length; i++) //      
			if (Alf.T9keys[i] == "0") 
				num++;
		Alf.T9words.length = num; //     
		var str = "";
		if (word == null)
			Alf.T9words[Alf.T9words.length-1] = T9[0]; //         T9
		else
			Alf.T9words[Alf.T9words.length-1] = word; //        
		for (var i = 0; i < Alf.T9words.length; i++)
		{
			str += Alf.T9words[i] + " ";
		}
		$("." + input_name).text(str);
		T9.length = 0;
		setInfo.placeT9words(); //  
	}
}

//         
Alf.setT9Code = function (num, input_name)
{
	if (num == "0" || num == "1") //      
	{
		Alf.pasteT9word(input_name, null);
	}
	else //    
	{
		Alf.T9keys += num; //    Alf.T9keys
		pos = 0;
		for (var i = 0; i < Alf.T9keys.length; i++)
			if (Alf.T9keys[i] == "0") 
				pos = i;
		if (pos > 0) pos++;
		var val = Alf.T9keys.substr(pos); // ,    
		getInfo.getT9words(val, (Alf.mode == Alf.RUS_S || Alf.mode == Alf.RUS_B) ? "ru" : "en");
	}
}

//    
Alf.delT9Code = function (input_name)
{
	alert(Alf.T9keys);
	
	var k = Alf.T9keys[Alf.T9keys.length-1];
	if (k == "0" && Alf.T9words.length > 0) //   
	{
		Alf.T9words.length--;
	}
	if (Alf.T9keys.length > 1)
	{
		Alf.T9keys = Alf.T9keys.substr(0, Alf.T9keys.length-1);
		k = Alf.T9keys[Alf.T9keys.length-1];
		Alf.T9keys = Alf.T9keys.substr(0, Alf.T9keys.length-1);
	}
	if (k != "0") //  
	{
		Alf.setT9Code(k, input_name);
	} 
	
	alert(Alf.T9keys + ", " + k);
}
*/
