
// снять выделение с элементов меню
Visual.disselectMenuItems = function (part_name, activeElem)
{
    if (openCat == NAV_AUTO) $(".menu_auto > li").addClass("red");
    if (openCat == NOT_ACTIVE) $(".menu > li:eq(0)").addClass("red");
    $(".menu > li:eq(" + openCat + ")").addClass("red");
    switch (part_name)
    {
        case NAME_MENU_CAT_GEN:
            switch (activeElem)
            {
                case 0:
                case 1:
                case 2:
                case 3:
                case 4:
                    $(".menu > li:eq(" + activeElem +")").removeClass("current");
                    break;
                case 5:
                    $(".menu_bot li:eq(" + 0 +")").removeClass("red");
                    $(".menu_bot li:eq(" + 0 +")").removeClass("current");
                    break;
                case 6:
                    $(".menu_bot li:eq(" + 1 +")").removeClass("red");
                    $(".menu_bot li:eq(" + 1 +")").removeClass("current");
                    break;
                case AUTO_SUB_MENU_1:
                case AUTO_SUB_MENU_2:
                case AUTO_SUB_MENU_3:
                    $(".menu_auto li").removeClass("current");
                    break;
                case SUB_MENU_1:
                case SUB_MENU_2:
                case SUB_MENU_3:
                    $(".sub_menu li a").removeClass("current");
                    break;
            }
            break;
        case NAME_CONTENT:
            switch (mode_nav)
            {
                case NAV_PROMO:
                    $(".promo_preview").removeClass("promo_focus");
                    break;
                case NAV_POP:
                    $(".picture_list_item li:eq(" + activeElem +")").removeClass("current");
                    break;
                case NAV_NEW:
                    $(".picture_new_list_item li:eq(" + activeElem +")").removeClass("current");
                    break;
            }
            break;
        case NAME_FAVORITES:
            switch(active_fav)
            {
                case NAME_SERIALS_FAV:
                    $(".user_favorites .picture_list_comp li:eq(" + activeElem +")").removeClass("current");
                    break;
                case NAME_VIDEO_FAV:
                    $(".user_favorites .picture_list_vid li:eq(" + activeElem +")").removeClass("current");
                    break;
            }
            break;
    }
}

// выделить элемент верхнего меню
Visual.selectTopMenu = function (no)
{
    switch (no)
    {
        case 2000:
            $(".menu_auto > li").removeClass("red");
            $(".menu_auto > li").addClass("current");
            break;
        //case 2001: break;
        case 2002:
            $(".menu_auto > li").removeClass("current");
            $("#sub_menu2002").addClass("current");
            break;
        case 2003:
            $("#sub_menu2003").addClass("current");
            break;
        default:
            if (no == 5 || no == 6)
            {
                var no_m = no - 5;
                $(".menu_bot li:eq(" + no_m + ")").removeClass("red");
                $(".menu_bot li:eq(" + no_m + ")").addClass("current");
            }
            break;
    }
}

// выделить элемент нижнего меню
Visual.selectBotMenu = function (no)
{
    $(".menu_bot li:eq(" + no + ")").addClass("current");
}

Visual.hideAllSubMenu = function () 
{
    $("ul.sub_menu").hide();
}

Visual.showCurrentSubMenu = function (category) 
{
    $("ul#sub_menu" + category).show();
}

// показать элементы меню (с подменю)
Visual.ShowAllMenu = function ()
{
    switch (mode_nav)
    {
        case NAV_PROMO:
            $(".promo_preview").addClass("promo_focus");
            break;
        case NAV_POP:
            $(".picture_list_item li:eq(" + aciveContent +")").addClass("current");
            break;
        case NAV_NEW:
            $(".picture_new_list_item li:eq(" + aciveContent +")").addClass("current");
            break;
        default:
            switch (activeCat)
            {
                case 0:
                case 1:
                case 2:
                case 3:
                case 4:
                    if (openCat == activeCat)
                    {
                        $(".menu > li:eq(" + openCat +")").removeClass("red");
                        $(".menu > li:eq(" + openCat +")").addClass("current");
                    }
                    else
                    {
                        $(".menu > li:eq(" + activeCat +")").removeClass("red"); //
                        $(".menu > li:eq(" + activeCat +")").addClass("current");
                    }
                    break;
                case 5:
                    Visual.selectBotMenu(0);
                    break;
                case 6:
                    Visual.selectBotMenu(1);
                    break;
                case NAV_AUTO:
                    $(".menu_auto > li").removeClass("red");//
                    $(".menu_auto > li").addClass("current");
                    break;
                case AUTO_SUB_MENU_1:
                case AUTO_SUB_MENU_2:
                case AUTO_SUB_MENU_3:
                    Visual.selectTopMenu(activeCat);
                    break;
                case SUB_MENU_1:
                case SUB_MENU_2:
                case SUB_MENU_3:
                    var no = openCat-1;
                    switch (activeCat)
                    {
                        case SUB_MENU_1:
                            $("#sort_menu_genre" + no).addClass("current");
                            break;
                        case SUB_MENU_2:
                            $("#sort_menu_country" + no).addClass("current");
                            break;
                        case SUB_MENU_3:
                            $("#sort_menu_year" + no).addClass("current");
                            break;
                    }
                    Visual.selectTopMenu(openCat); // потому что в activeCat лежит активное подменю
                    break;
            }
            break;
    }
}

Visual.selectRedSubmenu = function ()
{
    if (selectCat >= 1000) // выделить красным подменю
    {
        var no_m = openCat-1;
        switch (selectCat)
        {
            case SUB_MENU_1:
                $("#sort_menu_genre" + no_m).addClass("red");
                break;
            case SUB_MENU_2:
                $("#sort_menu_country" + no_m).addClass("red");
                break;
            case SUB_MENU_3:
                $("#sort_menu_year" + no_m).addClass("red");
                break;
        }
    }
}

// снять выделение со всех элементов блока-фильтра сезонов
Visual.disselectFilterSeason = function (no)
{
    $(".serial .selectseason").removeClass("current");
    $(".select_season .season_block li:eq(" + no + ")").removeClass("current");
    $(".select_season .more").removeClass("current");
    $(".select_season .back").removeClass("current");
    $(".select_season .close").removeClass("current");
}

// снять выделение со всех элементов блока-фильтра
Visual.disselectFilterYearBlock = function (no)
{
    Visual.selectRedSubmenu();
    switch (active_year_block)
    {
        case NAME_LEFT_COL:
            $(".select_year .filter_window_inner ul.leftcol li:eq(" + no + ")").removeClass("current");
            break;
        case NAME_YEAR_1:
            $(".select_year .filter_window_inner ul.year_1").removeClass("current");
            break;
        case NAME_YEAR_2:
            $(".select_year .filter_window_inner ul.year_2").removeClass("current");
            break;
        case FILTER_YEAR_CLOSE:
            $(".select_year .close").removeClass("current");
            break;
        case FILTER_YEAR_SELECT:
            $(".select_year .filter_window_inner ul.leftcol li#selectdiap").removeClass("current");
            break;
    }
}

// выделить необходимый элемент блока-фильтра
Visual.selectFilterYearBlock = function (no)
{
    switch (active_year_block)
    {
        case NAME_LEFT_COL:
            $(".select_year .filter_window_inner ul.leftcol li:eq(" + no + ")").addClass("current");
            break;
        case NAME_YEAR_1:
            $(".select_year .filter_window_inner ul.year_1").addClass("current");
            break;
        case NAME_YEAR_2:
            $(".select_year .filter_window_inner ul.year_2").addClass("current");
            break;
        case FILTER_YEAR_CLOSE:
            $(".select_year .close").addClass("current");
            break;
        case FILTER_YEAR_SELECT:
            $(".select_year .filter_window_inner ul.leftcol li#selectdiap").addClass("current");
            break;
    }
}

Visual.hideFilterYearDiap = function ()
{
    $(".select_year .filter_window_inner .select_diapazons").hide();
    $(".select_year .filter_window").removeClass("maxwidth");
}

Visual.showFilterYearDiap = function ()
{
    $(".select_year .filter_window").addClass("maxwidth");
    $(".select_year .filter_window_inner .select_diapazons").show();
}

Visual.disselectFilterYear = function ()
{
    switch (active_year_block)
    {
        case NAME_YEAR_1:
            $(".select_year .filter_window_inner .select_diapazons .year_1 .year_in li:eq(" + active_year_Elem + ")").removeClass("current");
            break;
        case NAME_YEAR_2:
            $(".select_year .filter_window_inner .select_diapazons .year_2 .year_in li:eq(" + active_year_Elem + ")").removeClass("current");
            break;
    }
}

Visual.selectFilterYear = function ()
{
    switch (active_year_block)
    {
        case NAME_YEAR_1:
            $(".select_year .filter_window_inner .select_diapazons .year_1 .year_in li:eq(" + active_year_Elem + ")").addClass("current");
            break;
        case NAME_YEAR_2:
            $(".select_year .filter_window_inner .select_diapazons .year_2 .year_in li:eq(" + active_year_Elem + ")").addClass("current");
            break;
    }

}

Visual.scrollFilterYearBlock = function (act)
{
    var el = (act == "down")? ":eq(0)" : ":last";
    var el_to = (act == "down")? ":last" : ":eq(0)";
    var no = (act == "down") ? active_year_Elem - 1 : active_year_Elem + 1;
    var str = "year_1";
    switch (active_year_block)
    {
        case NAME_YEAR_1:
            str = "year_1";
            break;
        case NAME_YEAR_2:
            str = "year_2";
            break;
    }
    if(act == "down")
        $(".select_year .filter_window_inner .select_diapazons ." + str + " .year_in li:eq(0)").clone().insertAfter($(".select_year .filter_window_inner .select_diapazons ." + str + " .year_in li:last"));
    else if(act == "up")
        $(".select_year .filter_window_inner .select_diapazons ." + str + " .year_in li:last").clone().insertBefore($(".select_year .filter_window_inner .select_diapazons ." + str + " .year_in li:eq(0)"));
    $(".select_year .filter_window_inner .select_diapazons ." + str + " .year_in li" + el).remove();
    $(".select_year .filter_window_inner .select_diapazons ." + str + " .year_in li:eq(" + no + ")").removeClass("current");
    $(".select_year .filter_window_inner .select_diapazons ." + str + " .year_in li:eq(" + active_year_Elem + ")").addClass("current");
    return $(".select_year .filter_window_inner .select_diapazons ." + str + " .year_in li:eq(" + active_year_Elem + ")").text();
}

// снять выделение со всех элементов блока-фильтра
Visual.disselectFilterBlock = function (no)
{
    Visual.selectRedSubmenu();
    $(".select_gen_count_year .genre_block li:eq(" + no + ")").removeClass("current");
    $(".more").removeClass("current");
    $(".back").removeClass("current");
    $(".close").removeClass("current");
}

// выделить необходимый элемент блока-фильтра сезона
Visual.selectFilterSeason = function (no)
{
    switch (no)
    {
        case SEASON_FILTER_MORE:
            $(".select_season .more").addClass("current");
            break;
        case SEASON_FILTER_BACK:
            $(".select_season .back").addClass("current");
            break;
        case SEASON_FILTER_CLOSE:
            $(".select_season .close").addClass("current");
            break;
        default:
            $(".select_season .season_block li:eq(" + no + ")").addClass("current");
            break;
    }
}

// выделить необходимый элемент блока-фильтра
Visual.selectFilterBlock = function (no)
{
    switch (no)
    {
        case FILTER_MORE:
            $(".more").addClass("current");
            break;
        case FILTER_BACK:
            $(".back").addClass("current");
            break;
        case FILTER_CLOSE:
            $(".close").addClass("current");
            break;
        default:
            $(".select_gen_count_year .genre_block li:eq(" + no + ")").addClass("current");
            break;
    }
}

// обрезать строку str до количества элементов val
Visual.CutName = function(str, val)
{
	if(str.length > val)
		return str.substring(0, val) + "...";
    else
		return str;
}

Visual.ChangeSubMenuItems = function ()
{
    for (var i = 0; i < Category.length; i++)
    {
        $("#sort_menu_genre" + i).html("Любой жанр");
        $("#sort_menu_country" + i).html("Любая страна");
        $("#sort_menu_year" + i).html("Любой год");
    }
    var name_gen = (filterGenre == NOT_ACTIVE) ? "Любой жанр" : nameGenre;
    var name_count = (filterCountry == NOT_ACTIVE) ? "Любая страна" : nameCountry;
    //var name_year = (parseInt(filterYear) > 0) ? filterYear : "Любой год";
    var name_year = (year_from != NOT_ACTIVE && year_to != NOT_ACTIVE) ?  year_from + "-" + year_to : "Любой год";
    if (openCat > 0 && Category[openCat-1].years != null && Category[openCat-1].years.length > 0) // исправление самсунгов
        if (year_from == Category[openCat-1].years[Category[openCat-1].years.length-1] && year_to == Category[openCat-1].years[0])
            name_year = "Любой год";
	// обрезание названия, если оно длинное		
	name_gen = Visual.CutName(name_gen, 12);
	name_count = Visual.CutName(name_count, 12);
	name_year = Visual.CutName(name_year, 12);
    var no = openCat - 1;
    $("#sort_menu_genre" + no).html(name_gen);
    $("#sort_menu_country" + no).html(name_count);
    $("#sort_menu_year" + no).html(name_year);
}

// очистить элементы контента
Visual.HideClearContents = function ()
{
    $(".picture_list_item").empty();
    $(".picture_new_list_item").empty();
    $(".picture_new_title").hide();
}

// снять селекты со всех элементов
Visual.disselectPreviewItems = function ()
{
    $(".top_buttons .show").removeClass("current");
    $(".top_buttons .favorites").removeClass("current");
    $(".top_buttons .reviews").removeClass("current");
    $(".preview .menu_bot li").removeClass("current");
    $(".preview .img_preview_wrap").removeClass("current");
// добавить снятие с актеров и режиссеров
//...
}

// выделить активный элемент
Visual.SelectAllPreview = function ()
{
    Visual.disselectPreviewItems();
    switch (active_prev)
    {
        case NAME_PLAY_FILM:
            $(".top_buttons .show").addClass("current");
            break;
        /*case NAME_POSTER_FILM:
			$(".preview .img_preview_wrap").addClass("current");
		break;*/
        case NAME_TO_RECENSION:
            $(".top_buttons .reviews").addClass("current");
            break;
        case NAME_TO_FAVORITE:
            $(".top_buttons .favorites").addClass("current");
            break;
        case NAME_GOTO_BACK:
            $(".preview .menu_bot > li:eq(0)").addClass("current");
            break;
        case NAME_GOTO_MAIN:
            $(".preview .menu_bot > li:eq(1)").addClass("current");
            break;
    }
}

Visual.disselectCompItems = function ()
{
    $("#nextserie li.rightmenuitem").removeClass("current");
    $(".compilation .top_buttons .show").removeClass("current");
    $(".top_buttons .favorites").removeClass("current");
    $(".top_buttons .reviews").removeClass("current");
    $(".compilation .menu_bot li").removeClass("current");
    $(".compilation #mini_series_list > li.rightmenuitem").removeClass("current");
    $(".compilation .to_series_list").removeClass("current");
}

Visual.SelectAllCompil = function ()
{
    Visual.disselectCompItems();
    switch (comp_active_prev)
    {
        case COMP_NAME_PLAY_SERIE:
            $(".compilation #nextserie li.rightmenuitem").addClass("current");
            break;
        case COMP_NAME_TO_RECENSION:
            $(".compilation .top_buttons .reviews").addClass("current");
            break;
        case COMP_NAME_SHOW:
            $(".compilation .top_buttons .show").addClass("current");
            break;
        case COMP_NAME_TO_FAVORITE:
            $(".compilation .top_buttons .favorites").addClass("current");
            break;
        case COMP_NAME_GOTO_BACK:
            $(".compilation .menu_bot > li:eq(0)").addClass("current");
            break;
        case COMP_NAME_GOTO_MAIN:
            $(".compilation .menu_bot > li:eq(1)").addClass("current");
            break;
        case COMP_NAME_OTHER_PLAY_SERIE:
            $(".compilation #mini_series_list > li.rightmenuitem:eq(" + comp_activeSerie + ")").addClass("current");
            break;
        case COMP_NAME_GOTO_ALL_SERIES:
            $(".compilation .to_series_list").addClass("current");
            break;
    }
}

Visual.setScrollTopForList = function (act, hidden_r, no_r)
{
    if(act == "down")
    {
        $.each($(".serial .serials ul.episode"), function(ind, elem){
            if(ind < hidden_r)
                $(elem).hide();
            else
                $(elem).show();
        })
    }
    else if(act == "up")
    {
        var start_ind = ((no_r - hidden_r) > 0)? no_r - hidden_r : 0;
        var end_ind = no_r;
        $.each($(".serial .serials ul.episode"), function(ind, elem){
            if(ind >= start_ind && ind <= end_ind)
                $(elem).show();
        })
    }
}

Visual.disselectListCompItems = function ()
{
    $(".serial .menu_bot li").removeClass("current");
    $(".serial .serialmenu li").removeClass("current");
    $(".selectcurseason .selectseason").removeClass("current");
    $(".serial .serials ul li.episodeitem").removeClass("current");
    $(".serial .serials ul li.episodeitem").removeClass("current");
}

Visual.doScrollingSerieList = function (key_action)
{
    var len_in_leftcol = parseInt(CompInfo[index_season_no].episode.length/2 + 0.5); // длина левой колонки
    var res = comp_list_activeSerie - len_in_leftcol;
    if (res >= 0)
        $(".serial .serials li.right:eq(" + res  + ")").addClass("current");
    var no_r = 0; //номер текущего ряда
    if(comp_list_activeSerie < len_in_leftcol)
        no_r = comp_list_activeSerie;
    else
        no_r = comp_list_activeSerie - len_in_leftcol;
    var serials_height = $(".serial .serials").height() + 10;
    var serials_pos = $(".serial .serials").position().top + 20;
    var cur_pos = $(".serial .serials ul.episode:eq(" + no_r + ") + div.clear").position().top - serials_pos;
    var cur_height = $(".serial .serials ul.episode:eq(" + no_r + ")").height();
    //alert(no_r + ", " + serials_height + ", " + cur_pos);
    if(cur_pos > serials_height && key_action == "down")
    {
        for(var i=0; i<no_r; i++)
        {
            $(".serial .serials ul.episode:eq(" + i + ")" ).hide();
            $(".serial .serials ul.episode:eq(" + i + ") + div.clear").hide();
        }
    }
    if(cur_pos <= 0 && key_action == "up")
    {
        if (no_r >=0)
        {
            $(".serial .serials ul.episode:eq(" + no_r + ")").show();
            $(".serial .serials ul.episode:eq(" + no_r + ") + div.clear").show();
			$(".serial .serials ul.episode:eq(" + no_r + ")").css('position', 'relative');
        }
    }

    var BarHeight = $(".serial .serials ul.episode").length; // высота бара
    var BarCurPos = no_r + 1;
    var nt = (500 * BarCurPos) / BarHeight - 45;

    if (BarCurPos <= BarHeight)
        $(".scrollbar2 .scrollbar_bg2 .handler2").css("top", parseInt(nt));
}

Visual.SelectListCompil = function (key_action) 
{
    Visual.disselectListCompItems();
    switch (comp_list_active_prev)
    {
        case COMPLIST_NAME_PLAY_SERIE_ITEM:
            $(".serial .serials li.left:eq(" + comp_list_activeSerie + ")").addClass("current");
            Visual.doScrollingSerieList(key_action);
            break;
        case COMPLIST_NAME_GOTO_BACK:
            $(".serial .menu_bot > li:eq(0)").addClass("current");
            break;
        case COMPLIST_NAME_GOTO_MAIN:
            $(".serial .menu_bot > li:eq(1)").addClass("current");
            break;
        case COMPLIST_NAME_GOTO_COMPIL:
            $(".serial .serialmenu li:eq(0)").addClass("current");
            break;
        case COMPLIST_NAME_SELECT_SEASON:
            $(".selectcurseason .selectseason").addClass("current");
            break;
    }
}

Visual.disselectAllRecension = function ()
{
    $(".recension .menu_bot li").removeClass("current");
    $(".recension .serialmenu li").removeClass("current");
    $(".recension .scrollbar").removeClass("current");
    $(".recension .show").removeClass("current");
    $(".recension .favorites").removeClass("current");
    $(".recension .about").removeClass("current");
}

Visual.SelectAllRecension = function ()
{
    Visual.disselectAllRecension();
    switch (rec_active)
    {
        case RECENSION_NAME_GOTO_BACK:
            $(".recension .menu_bot > li:eq(0)").addClass("current");
            break;
        case RECENSION_NAME_GOTO_MAIN:
            $(".recension .menu_bot > li:eq(1)").addClass("current");
            break;
        case RECENSION_NAME_GOTO_PREV:
            $(".recension .about").addClass("current");
            //$(".recension .serialmenu li:eq(0)").addClass("current");
            break;
        /*
        case RECENSION_NAME_BEST:
            $(".recension .serialmenu li:eq(1)").addClass("current");
        break;
        case RECENSION_NAME_ALL:
            $(".recension .serialmenu li:eq(2)").addClass("current");
        break;
		*/
        /*
        case RECENSION_NAME_SCROLLING:
            $(".recension .scrollbar").addClass("current");
        break;
		*/
        case RECENSION_NAME_SHOW:
            $(".recension .show").addClass("current");
            break;
        case RECENSION_NAME_FAVORITE:
            $(".recension .favorites").addClass("current"); 
            break;    
    }
}

Visual.RecensionToScroll = function (act)
{
    var center_col_inner_height = $(".recension .place_recension").height() + 30;
    var content_height = 360;
    var marginstep = 100;
    var marginTop =  parseInt($(".recension .place_recension").css("margin-top"));
    var marginTopEnd = center_col_inner_height - content_height;
    if(act == "down")
    {
        if(center_col_inner_height - content_height > 0)
        {
            if((marginTop - marginstep) >=  -marginTopEnd)
                $(".recension .place_recension").css("margin-top", marginTop - marginstep);
            else
                $(".recension .place_recension").css("margin-top", -marginTopEnd);
        }
    }
    else if(act == "up")
    {
        if(parseInt($(".recension .place_recension").css("margin-top"))+ marginstep < 0)
            $(".recension .place_recension").css("margin-top", parseInt($(".recension .place_recension").css("margin-top")) + marginstep);
        else
        {
            $(".recension .place_recension").css("margin-top", 0);
            rec_active = RECENSION_NAME_SHOW;
            Visual.SelectAllRecension();
        }
    }
    
    if(act != null)
    {
        var topH = 500*(-1)*parseInt($(".recension .place_recension").css("margin-top"))/$(".place_recension").height();
        $(".recension .scrollbar_bg2 .handler2").css("top", topH);
    }
    else
    {
        $(".recension .place_recension").css("margin-top", 0);
        $(".recension .scrollbar_bg2 .handler2").css("top", 0);
    }
}

Visual.ShowHideRecButton = function()
{
    //Visual.HideMiniPreloader(); // скрыть прелоадер
    if (Recension.length > 0) // показать кнопку с кол-вом рецензий
    {
        $(".reviews").show();
        //$(".reviews .review_count").text(Recension.length);
        isBlockRecBut = false;
    }
    else // скрыть кнопку нахер!
    {
        $(".reviews").hide();
        //$(".reviews .review_count").text("0");
        isBlockRecBut = true;
    }
}

Visual.ShowHideScrollBar = function ()
{
    if($(".recension .center_col_inner").height() > 540)
        $(".recension .scrollbar").show();
    else
        $(".recension .scrollbar").hide();
}

Visual.disselectAllSeek = function ()
{
    $(".menu_cat_gen .menu_bot > li:eq(0)").removeClass("current");
    $(".menu_cat_gen .menu_bot > li:eq(0)").addClass("red");
    $(".seek .search_enter_wrap").removeClass("current");
    $(".seek .allsearchres").removeClass("current");
    $(".seek .rel_res_item").removeClass("current");
    //$(".seek .search_text").removeClass("current");
    $(".seek .search_input").removeClass("current");
}

Visual.SelectAllSeek = function ()
{
    Visual.disselectAllSeek();
    switch (seek_active)
    {
        case NAME_GOTO_SEEK:
            $(".menu_cat_gen .menu_bot > li:eq(0)").removeClass("red");
            $(".menu_cat_gen .menu_bot > li:eq(0)").addClass("current");
            break;
        case NAME_SEARCH:
            $(".seek .search_enter_wrap").addClass("current");
            break;
        case NAME_SEARCH_INPUT:
            $(".seek .search_input").addClass("current");
            //$(".seek .search_text").addClass("current");
            break;
        case NAME_GOTO_ALLRESULTS:
            $(".seek .allsearchres").addClass("current");
            break;
        case NAME_RELRESULTS:
            $(".seek .rel_res_item:eq(" + active_res + ")").addClass("current");
            break;
    }
}

Visual.clearOldResults = function ()
{
    $(".relevant_res li div").empty();
    $(".relevant_res li").empty();
    $(".relevant_res").empty();
}

Visual.disselectAllResults = function ()
{
    $(".picture_list_item li").removeClass("current");
    $(".seek_menu li").removeClass("current");
}

Visual.ShowAllResults = function ()
{
    Visual.disselectAllResults();
    switch (allres_active)
    {
        case ALLRESULTS:
            $(".all_results .picture_list_item li:eq(" + active_res +")").addClass("current");
            break;
        case ALLRES_GOTO_BACK:
            $(".seek_menu li:eq(1)").addClass("current");
            break;
        case ALLRES_GOTO_MAIN:
            $(".seek_menu li:eq(2)").addClass("current");
            break;
        case ALLRES_GOTO_NEWSEEK:
            $(".seek_menu li:eq(0)").addClass("current");
            break;
    }
}

Visual.ShowHideAllSearchButton = function ()
{
    if(Search.length > 2)
        $(".allsearchres").show();
    else
        $(".allsearchres").hide();
}

// сунуть букавы алфавита на страницу
Visual.pasteLiters = function ()
{
    switch (Alf.mode)
    {
        case Alf.RUS_S:
            $(".key1 .rus").text(Alf.Codes.Rus_S[1].Val.substring(0, Alf.Codes.Rus_S[1].Val.length - 1));
            $(".key2 .rus").text(Alf.Codes.Rus_S[2].Val.substring(0, Alf.Codes.Rus_S[2].Val.length - 1));
            $(".key3 .rus").text(Alf.Codes.Rus_S[3].Val.substring(0, Alf.Codes.Rus_S[3].Val.length - 1));
            $(".key4 .rus").text(Alf.Codes.Rus_S[4].Val.substring(0, Alf.Codes.Rus_S[4].Val.length - 1));
            $(".key5 .rus").text(Alf.Codes.Rus_S[5].Val.substring(0, Alf.Codes.Rus_S[5].Val.length - 1));
            $(".key6 .rus").text(Alf.Codes.Rus_S[6].Val.substring(0, Alf.Codes.Rus_S[6].Val.length - 1));
            $(".key7 .rus").text(Alf.Codes.Rus_S[7].Val.substring(0, Alf.Codes.Rus_S[7].Val.length - 1));
            $(".key8 .rus").text(Alf.Codes.Rus_S[8].Val.substring(0, Alf.Codes.Rus_S[8].Val.length - 1));
            $(".key9 .rus").text(Alf.Codes.Rus_S[9].Val.substring(0, Alf.Codes.Rus_S[9].Val.length - 1));
            //$(".key0 .rus").text("пробел");
            $(".key_red .ru").text("Рус");
            //$(".key_green .locase").text("абв");
            break;
        case Alf.ENG_S:
            $(".key1 .rus").text(Alf.Codes.Eng_S[1].Val.substring(0, Alf.Codes.Eng_S[1].Val.length - 1));
            $(".key2 .rus").text(Alf.Codes.Eng_S[2].Val.substring(0, Alf.Codes.Eng_S[2].Val.length - 1));
            $(".key3 .rus").text(Alf.Codes.Eng_S[3].Val.substring(0, Alf.Codes.Eng_S[3].Val.length - 1));
            $(".key4 .rus").text(Alf.Codes.Eng_S[4].Val.substring(0, Alf.Codes.Eng_S[4].Val.length - 1));
            $(".key5 .rus").text(Alf.Codes.Eng_S[5].Val.substring(0, Alf.Codes.Eng_S[5].Val.length - 1));
            $(".key6 .rus").text(Alf.Codes.Eng_S[6].Val.substring(0, Alf.Codes.Eng_S[6].Val.length - 1));
            $(".key7 .rus").text(Alf.Codes.Eng_S[7].Val.substring(0, Alf.Codes.Eng_S[7].Val.length - 1));
            $(".key8 .rus").text(Alf.Codes.Eng_S[8].Val.substring(0, Alf.Codes.Eng_S[8].Val.length - 1));
            $(".key9 .rus").text(Alf.Codes.Eng_S[9].Val.substring(0, Alf.Codes.Eng_S[9].Val.length - 1));
            //$(".key0 .rus").text("space");
            $(".key_red .ru").text("Eng");
            //$(".key_green .locase").text("abc");
            break;
        case Alf.RUS_B:
            $(".key1 .rus").text(Alf.Codes.Rus_B[1].Val.substring(0, Alf.Codes.Rus_B[1].Val.length - 1));
            $(".key2 .rus").text(Alf.Codes.Rus_B[2].Val.substring(0, Alf.Codes.Rus_B[2].Val.length - 1));
            $(".key3 .rus").text(Alf.Codes.Rus_B[3].Val.substring(0, Alf.Codes.Rus_B[3].Val.length - 1));
            $(".key4 .rus").text(Alf.Codes.Rus_B[4].Val.substring(0, Alf.Codes.Rus_B[4].Val.length - 1));
            $(".key5 .rus").text(Alf.Codes.Rus_B[5].Val.substring(0, Alf.Codes.Rus_B[5].Val.length - 1));
            $(".key6 .rus").text(Alf.Codes.Rus_B[6].Val.substring(0, Alf.Codes.Rus_B[6].Val.length - 1));
            $(".key7 .rus").text(Alf.Codes.Rus_B[7].Val.substring(0, Alf.Codes.Rus_B[7].Val.length - 1));
            $(".key8 .rus").text(Alf.Codes.Rus_B[8].Val.substring(0, Alf.Codes.Rus_B[8].Val.length - 1));
            $(".key9 .rus").text(Alf.Codes.Rus_B[9].Val.substring(0, Alf.Codes.Rus_B[9].Val.length - 1));
            //$(".key0 .rus").text("пробел");
            $(".key_red .ru").text("Рус");
            //$(".key_green .locase").text("АБВ");
            break;
        case Alf.ENG_B:
            $(".key1 .rus").text(Alf.Codes.Eng_B[1].Val.substring(0, Alf.Codes.Eng_B[1].Val.length - 1));
            $(".key2 .rus").text(Alf.Codes.Eng_B[2].Val.substring(0, Alf.Codes.Eng_B[2].Val.length - 1));
            $(".key3 .rus").text(Alf.Codes.Eng_B[3].Val.substring(0, Alf.Codes.Eng_B[3].Val.length - 1));
            $(".key4 .rus").text(Alf.Codes.Eng_B[4].Val.substring(0, Alf.Codes.Eng_B[4].Val.length - 1));
            $(".key5 .rus").text(Alf.Codes.Eng_B[5].Val.substring(0, Alf.Codes.Eng_B[5].Val.length - 1));
            $(".key6 .rus").text(Alf.Codes.Eng_B[6].Val.substring(0, Alf.Codes.Eng_B[6].Val.length - 1));
            $(".key7 .rus").text(Alf.Codes.Eng_B[7].Val.substring(0, Alf.Codes.Eng_B[7].Val.length - 1));
            $(".key8 .rus").text(Alf.Codes.Eng_B[8].Val.substring(0, Alf.Codes.Eng_B[8].Val.length - 1));
            $(".key9 .rus").text(Alf.Codes.Eng_B[9].Val.substring(0, Alf.Codes.Eng_B[9].Val.length - 1));
            //$(".key0 .rus").text("space");
            $(".key_red .ru").text("Eng");
            //$(".key_green .locase").text("ABC");
            break;
        case Alf.SPEC:
            $(".key1 .rus").text(Alf.Codes.Spec[1].Val);
            $(".key2 .rus").text(Alf.Codes.Spec[2].Val);
            $(".key3 .rus").text(Alf.Codes.Spec[3].Val);
            $(".key4 .rus").text(Alf.Codes.Spec[4].Val);
            $(".key5 .rus").text(Alf.Codes.Spec[5].Val);
            $(".key6 .rus").text(Alf.Codes.Spec[6].Val);
            $(".key7 .rus").text(Alf.Codes.Spec[7].Val);
            $(".key8 .rus").text(Alf.Codes.Spec[8].Val);
            $(".key9 .rus").text(Alf.Codes.Spec[9].Val);
            $(".key0 .rus").text(Alf.Codes.Spec[0].Val);
            $(".key_red .ru").text("Spec");
            //$(".key_green .locase").text("Spec");
            break;
    }
    switch (Alf.modeT9)
    {
        case Alf.T9on:
            $(".key_green .t9").text(Alf.T9on);
            break;
        case Alf.T9off:
            $(".key_green .t9").text(Alf.T9off);
            break;
    }
}

Visual.disselectAllAuto = function ()
{
    $(".autorisation .black_button").removeClass("current");
    $(".menu_bot li:eq(1)").removeClass("current");
    $(".menu_bot li:eq(1)").addClass("red");
    $(".autorisation .logininput").removeClass("current");
    $(".autorisation .passwdinput").removeClass("current");
}

Visual.selectAllAuto = function ()
{
    Visual.disselectAllAuto();
    switch (auto_active)
    {
        case NAME_GOTO_AUTO:
            $(".menu_bot li:eq(1)").removeClass("red");
            $(".menu_bot li:eq(1)").addClass("current");
            break;
        case NAME_SELECT_AUTO:
            $(".autorisation .autoway").addClass("current");
            break;
        case NAME_SUBMIT:
            $(".autorisation .enterbutton").addClass("current");
            break;
        case NAME_LOGIN_INPUT:
            $(".autorisation .logininput").addClass("current");
            break;
        case NAME_PASSWD_INPUT:
            $(".autorisation .passwdinput").addClass("current");
            break;
    }
}

Visual.ShowHideForm = function ()
{
    if(my_action == NAME_SELECT_AUTORISATION)
    {
        $(".autorisation .logininput").css("visibility", "hidden");
        $(".autorisation .passwdinput").css("visibility", "hidden");
        $(".autorisation .enter").css("visibility", "hidden");
    }
    else
    {
        $(".autorisation .logininput").css("visibility", "visible");
        $(".autorisation .passwdinput").css("visibility", "visible");
        $(".autorisation .enter").css("visibility", "visible");
    }
}

Visual.disselectFilterAuto = function ()
{
    $(".select_auto .close").removeClass("current");
    $(".select_auto .auto_block ul li").removeClass("current");
}

Visual.selectFilterAuto = function (no)
{
    Visual.disselectFilterAuto();
    switch(active_auto)
    {
        case FILTER_AUTOSELECT_CLOSE:
            $(".select_auto .close").addClass("current");
            break;
        default:
            $(".select_auto .auto_block ul li:eq(" + active_auto + ")").addClass("current");
            break;
    }
}

// сменить текст на кнопке выбора типа авторизации
Visual.SetTextOnTypeAutoBut = function()
{
    $(".autoway a").empty();
    var str = "";
    switch (soc_type)
    {
        case VK:
            str = "ВКонтакте";
            break;
        case FB:
            str = "Facebook";
            break;
        case IVI:
            str = "ivi.ru";
            break;
        case YA:
            str = "Яндекс";
            break;
        case TWT:
            str = "Twitter";
            break;
    }
    $(".autoway a").text(str);
}

Visual.ShowReportWindow = function (msg)
{
    $(".report_window .filter_window_inner").text(msg);
    $("input").css("visibility", "hidden");
}

Visual.HideReportWindow = function ()
{
    $(".report_window .report_window_inner").empty();
    $("input").css("visibility", "visible");
}

Visual.disselectAllFavorites = function (prev)
{
    switch(active_fav)
    {
        case NAME_SERIALS_FAV:
            $(".user_favorites .picture_list_comp li:eq(" + prev +")").removeClass("current");
            break;
        case NAME_VIDEO_FAV:
            $(".user_favorites .picture_list_vid li:eq(" + prev +")").removeClass("current");
            break;
    }
}

Visual.selectAllFavorites = function ()
{
    switch(active_fav)
    {
        case NAME_SERIALS_FAV:
            $(".user_favorites .picture_list_comp li:eq(" + active_fav_item +")").addClass("current");
            break;
        case NAME_VIDEO_FAV:
            $(".user_favorites .picture_list_vid li:eq(" + active_fav_item +")").addClass("current");
            break;
    }
}

//показать прелоадер
Visual.ShowPreloader = function (isContent)
{
    isBlockKeys = true;
    $(".preloader_wrap").show();
    if(isContent)
    {
        $(".preloader").addClass("onContent");
        $(".logo2").show(); // логотип около лоадера
    }
}

// спрятать прелоадер
Visual.HidePreloader = function ()
{
    isBlockKeys = false;
    $(".preloader").removeClass("onContent");
    if($(".preloader_wrap").css("display") != "none")
    {
        $(".preloader_wrap").hide();
        $(".logo2").hide(); // логотип около лоадера
    }
}

//снимает красное выделение с кружка
Visual.disselectPromoItem = function (prev)
{
    $(".dot_nav div:eq(" + prev + ")").removeClass("sel");
}
//выделяет кружок красным
Visual.selectPromoItem = function ()
{
    $(".dot_nav div:eq(" + aciveContent + ")").addClass("sel");
}

Visual.showT9 = function ()
{
    $(".t9layer").show();
}

Visual.hideT9 = function ()
{
    $(".t9layer").hide();
}

Visual.disselectT9Item = function (prev)
{
    $(".t9layer ul li:eq(" + prev + ")").removeClass("select");
}

Visual.selectT9Item = function ()
{
    $(".t9layer ul li:eq(" + active_t9_item + ")").addClass("select");
}

Visual.setPosition = function ()
{
    $("." + my_action + " .filter_window").css("top", 270 - $("." + my_action + " .filter_window").height()/2);
    $("." + my_action + " .filter_window").css("left", 480 - $("." + my_action + " .filter_window").width()/2);
}

Visual.diselectKeyItem = function ()
{
    $("." + seek_active).removeClass("current");
}

Visual.selectKeyItem = function ()
{
    $("." + seek_active).addClass("current");
}

Visual.pressKeyItem = function ()
{
    var elem = seek_active;
    $("." + elem).addClass("pressed");
    setTimeout(function(){
        $("." + elem).removeClass("pressed");
    }, 500);
}

Visual.HideBarPlayer = function ()
{
    $("#videoInfo").hide();
    $("#videoBox_bottom").addClass("min_height");
    $("#form_beginform").hide();
    $("#videoBox_bottom .black_button").hide();
    $("#videoControl").hide();
    //$("#volume").slideUp("slow");
}

Visual.ShowBarPlayer = function ()
{
    $("#videoBox_bottom").removeClass("min_height");
    $("#videoBox_bottom .black_button").show();
    $("#videoControl").show();
    //$("#volume").slideDown("slow");
}

Visual.PutBarOnTop = function ()
{
    $(".scrollbar2 .scrollbar_bg2 .handler2").css("top", 0);
}

// показать ебучий мини прелоадер
Visual.ShowMiniPreloader = function()
{
    $(".reviews img").remove("img");
    $(".reviews").append("<img src=\"img/mini-loader.gif\"/>"); 
}

// скрыть ебучий мини прелоадер
Visual.HideMiniPreloader = function()
{
    $(".reviews img").remove("img");
}

Visual.disselectNTF = function ()
{
    $(".ntf_window .but_yes").removeClass("current");
    $(".ntf_window .but_no").removeClass("current");
}

Visual.selectNTF = function ()
{
    switch(active_ntf)
    {
        case NTF_YES:
            $(".ntf_window .but_yes").addClass("current");
            break;
        case NTF_NO:
            $(".ntf_window .but_no").addClass("current");
            break;
    }
}

// скрыть элементы главной страницы
Visual.HideMainPage = function ()
{
    $(".content_wrap").css("visibility", "hidden"); 
    $(".menu_cat_gen").css("visibility", "hidden");
}

Visual.ShowMainPage = function ()
{
    if (ShowMain >= 3)
    {
        $(".content_wrap").css("visibility", "visible"); 
        $(".menu_cat_gen").css("visibility", "visible");
    }
}

Visual.newVersion = function ()
{
    return (parseInt(navigator.userAgent.substr(navigator.userAgent.indexOf("Maple")+6, 9)) >= 6) ? true : false;
}