﻿var KeyHandler = {
    tvKey : null,
    MainMenuAnchor : null,
    SelectboxAnchor : null,
    PlayerAnchor : null,
}

KeyHandler.create = function() {
    this.MainMenuAnchor   = document.getElementById("MainMenu_Anchor");
    this.SelectboxAnchor  = document.getElementById("Selectbox_Anchor");
    this.PlayerAnchor     = document.getElementById("Player_Anchor");
	this.FlashPlayerAnchor = document.getElementById("Flash_Player_Anchor");

    
	this.tvKey = new Common.API.TVKeyValue();
	
}

KeyHandler.setFocus = function(menuID) {  

	ConsoleLog("KeyHandler.setFocus");
  
    switch(menuID)
    {
		case Main.MainMenu_ID:
			this.MainMenuAnchor.focus();
			break;
		case Main.Selectbox_ID:
			this.SelectboxAnchor.focus();
			break;
		case Main.Player_ID:
			this.PlayerAnchor.focus();
			break;
		case Main.Flash_Player_ID:
			this.FlashPlayerAnchor.focus();
			break;
		default:
			alert("Unhandled key");
    }    
}

KeyHandler.MainMenuKeyDown = function()
{
    var keyCode0 = event.keyCode;
	/*
	alert(window.innerWidth);
	alert(window.innerHeight);
	alert(document.body.clientWidth);
	alert(document.body.clientHeight);
	Display.status(window.innerWidth + ' ' + window.innerHeight + ' ' + document.body.clientWidth + ' ' + document.body.clientHeight);
	*/

	switch(keyCode0)
    {    			
		case this.tvKey.KEY_RED:
			alert("showVideoTypes");
			Selectbox.selector_mode = 1;
			Main.showVideoTypes();
			break;
			
		case this.tvKey.KEY_GREEN:
			alert("showCategories");
			Selectbox.selector_mode = 2;
			Main.showCategories();
			break;
		
		case this.tvKey.KEY_YELLOW:			
			alert("MestoVocheredi");
			Main.MestoVocheredi();
			break;
			
		case this.tvKey.KEY_BLUE:
			alert("Search");
			if(Main.mode == "search")
			{
				Main.mode = "";
				Main.vod_query = "";
				Main.updatePage();
			}
			else
				Search.setFormular();
			break;
			
		case this.tvKey.KEY_DOWN:
			Main.selectNextItem();
			break;
            
        case this.tvKey.KEY_UP:
            Main.selectPrevItem();
            break;            

		case this.tvKey.KEY_LEFT:
            Main.selectPrevPage();
            break;
            
        case this.tvKey.KEY_RIGHT:
            Main.selectNextPage();
            break;

        case this.tvKey.KEY_VOL_UP:
            Audio.setRelativeVolume(0);
			Display.setVolume();
            break;
            
        case this.tvKey.KEY_VOL_DOWN:
            Audio.setRelativeVolume(1);
			Display.setVolume();
            break;
			
		case this.tvKey.KEY_MUTE:
			Audio.muteMode();
            break;
			
		case this.tvKey.KEY_TOOLS:
            Setup.setFormular();
            break;
			
		case this.tvKey.KEY_INFO:
			Main.updateInfoSwicher();
            break;
	
		case this.tvKey.KEY_EXIT:
			Audio.setVolume(10);
			widgetAPI.blockNavigation(event);
			widgetAPI.sendReturnEvent();
			alert("EXIT");
            break;    
            break;
			
        case this.tvKey.KEY_ENTER:
			Main.videoplay_mode = 0;
			document.getElementById("main").display="none";
			if(Main.vod_info[10]!=0)
				Main.showSeasons();
			else
				Main.PlayFilm();
			alert("Unhandled key");
            break;

        case this.tvKey.KEY_PLAY:
			Main.videoplay_mode = 1;
			document.getElementById("main").display="none";
			if(Main.vod_info[10]!=0)
				Main.showSeasons();
			else
				Main.PlayFilm();
			alert("Unhandled key");
            break;
			
	    case this.tvKey.KEY_RETURN:
			widgetAPI.blockNavigation(event);
			if(Main.MODE == Main.Player_ID)
			{
			KeyHandler.setFocus(Main.Player_ID);
			Display.showplayer();
            Display.hidemenu();
			}
			
            break;
			
	    case this.tvKey.KEY_STOP:
			Main.playerModus();			
            break;
			
	    case this.tvKey.KEY_PAUSE:
			Main.showAudiotracks();			
            break;					
					
        default:
            alert("Unhandled key");
            break;
    }

}	

KeyHandler.SelectboxKeyDown = function()
{
	var keyCode1 = event.keyCode;
			
	switch(keyCode1)
    {
		case this.tvKey.KEY_DOWN:;
            Selectbox.selectNextItem();
            break;
            
        case this.tvKey.KEY_UP:
			Selectbox.selectPrevItem();
            break;   

		case this.tvKey.KEY_RIGHT:
            Selectbox.selectNextPage();
            break;
            
        case this.tvKey.KEY_LEFT:
			Selectbox.selectPrevPage();
            break;  			
			
        case this.tvKey.KEY_ENTER:
			//Main.videoplay_mode = 1;
			Selectbox.SelectEpisode();
            break;
			
	    case this.tvKey.KEY_RETURN:
			widgetAPI.blockNavigation(event);
			Selectbox.selectbox_html.style.display="none";
			KeyHandler.setFocus(Main.MainMenu_ID);
			Main.MODE = Main.MainMenu_ID;
			break;
			
		case this.tvKey.KEY_GREEN:
			if(Main.MODE == Main.Player_ID)
			{
				KeyHandler.setFocus(Main.Player_ID);
				Selectbox.selectbox_html.style.display="none";
				Display.hidemenu();
				Display.showplayer();
			}
			break;
			
		default:
            alert("Unhandled key");
            break;
	}
}

	
KeyHandler.FlashPlayerKeyDown = function()
{
	var keyCode2 = event.keyCode;
	ConsoleLog("FlashPlayerKeyDown");
	
	/*
	alert(window.innerWidth);
	alert(window.innerHeight);
	alert(document.body.clientWidth);
	alert(document.body.clientHeight);
	*/
	
	//Main.player.info(window.innerWidth + ' ' + window.innerHeight + ' ' + document.body.clientWidth + ' ' + document.body.clientHeight);
			
	switch(keyCode2)
    {
		case this.tvKey.KEY_EXIT:
	    case this.tvKey.KEY_RETURN:
		case this.tvKey.KEY_STOP:
			widgetAPI.blockNavigation(event);
			KeyHandler.setFocus(Main.MainMenu_ID);
			document.getElementById("mybody").style.width= "960px";
			document.getElementById("mybody").style.height= "540px";
			document.getElementById("flashplayer").style.display="none";
			document.getElementById("main").style.display="block";
			widgetAPI.putInnerHTML(document.getElementById("flashplayer"), "");
            break;
			
		case this.tvKey.KEY_PLAY:
			ConsoleLog("tvKey.KEY_PLAY1");
			Main.player.resume();
			ConsoleLog("tvKey.KEY_PLAY2");
            break;

		case this.tvKey.KEY_PAUSE:
			Main.player.pause();
            break;
			
		case this.tvKey.KEY_RED:	
			alert("Main.PlayResizedWindow(1920,1080)");
			Main.PlayResizedWindow(1920, 1080);
			break;

		case this.tvKey.KEY_GREEN:
			alert("Main.PlayResizedWindow(1280,720)");
			Main.PlayResizedWindow(1280, 720);
			break;
		
		case this.tvKey.KEY_YELLOW:
			alert("Main.PlayResizedWindow(960,540)");
			Main.PlayResizedWindow(960, 540);
			break;
			
		case this.tvKey.KEY_BLUE:
			alert("Unhandled key");
			break;

		case this.tvKey.KEY_ENTER:	
			Main.player.info(Main.vod_list[Main.vod_selected_item][1]);
			break;

		case this.tvKey.KEY_FF:
			Main.MinutesJump(10);
			Main.player.set_text("+10 min.");
            break;
        
        case this.tvKey.KEY_RW:
			Main.MinutesJump(-10);
			Main.player.set_text("-10 min.");
            break;

		 case this.tvKey.KEY_LEFT:
			Main.MinutesJump(-1);
			Main.player.set_text("-1 min.");
            break;
            
        case this.tvKey.KEY_RIGHT:
			Main.MinutesJump(1);
			Main.player.set_text("+1 min.");
            break; 
			
		case this.tvKey.KEY_DOWN:	
			//Main.MinutesJump(-5);
            break;
			
		case this.tvKey.KEY_UP:
			//Main.MinutesJump(5);
            break;

	    case this.tvKey.KEY_0:
			Main.PercentJump(0);
			Main.player.set_text("0%.");
			break;
			
	    case this.tvKey.KEY_1:
			Main.PercentJump(10);
			Main.player.set_text("10%.");
			break;
			
	    case this.tvKey.KEY_2:
			Main.PercentJump(20);
			Main.player.set_text("20%.");
			break;
			
	    case this.tvKey.KEY_3:
			Main.PercentJump(30);
			Main.player.set_text("30%.");
			break;
			
	    case this.tvKey.KEY_4:
			Main.PercentJump(40);
			Main.player.set_text("40%.");
			break;
			
	    case this.tvKey.KEY_5:
			Main.PercentJump(50);
			Main.player.set_text("50%.");
			break;
			
	    case this.tvKey.KEY_6:
			Main.PercentJump(60);
			Main.player.set_text("60%.");
			break;
			
	    case this.tvKey.KEY_7:
			Main.PercentJump(70);
			Main.player.set_text("70%.");
			break;
			
	    case this.tvKey.KEY_8:
			Main.PercentJump(80);
			Main.player.set_text("80%.");
			break;
			
	    case this.tvKey.KEY_9:
			Main.PercentJump(90);
			Main.player.set_text("90%.");
			break;

        case this.tvKey.KEY_VOL_UP:
            Audio.setRelativeVolume(0);
			Main.player.set_text("Volume: " + Audio.getVolume());
            break;
            
        case this.tvKey.KEY_VOL_DOWN:
            Audio.setRelativeVolume(1);
			Main.player.set_text("Volume: " + Audio.getVolume());
            break;
			
		case this.tvKey.KEY_MUTE:
			Audio.muteMode();
            break;		default:
            alert("Unhandled key");
            break;
	}
}

KeyHandler.PlayerKeyDown = function()
{
	var keyCode2 = event.keyCode;
			
	switch(keyCode2)
    {
		case this.tvKey.KEY_RETURN:
			Main.MODE = Main.Player_ID;
			widgetAPI.blockNavigation(event);
			KeyHandler.setFocus(Main.MainMenu_ID);
			Display.hideplayer();
            Display.showmenu();
			break;

		 case this.tvKey.KEY_LEFT:
			Player.MinutesJump(-1);
            break;
            
        case this.tvKey.KEY_RIGHT:
			Player.MinutesJump(1);
            break; 
			
		case this.tvKey.KEY_DOWN:	
			Player.MinutesJump(-5);
            break;
			
		case this.tvKey.KEY_UP:
			Player.MinutesJump(5);
            break;

        case this.tvKey.KEY_FF:
            Player.MinutesJump(10);
            break;
        
        case this.tvKey.KEY_RW:
            Player.MinutesJump(-10);
            break;
			
        case this.tvKey.KEY_ENTER:
			Display.showplayer();
            break;

		case this.tvKey.KEY_PLAY:
			Player.resumeVideo();
            break;
            
         case this.tvKey.KEY_PAUSE:
			Player.pauseVideo();
			break;

        case this.tvKey.KEY_STOP:
			Player.stopVideo();
			break;
			
	    case this.tvKey.KEY_0:
			Player.PercentJump(0);
			Display.status("0%");
			break;
			
	    case this.tvKey.KEY_1:
			Player.PercentJump(1);
			break;
			
	    case this.tvKey.KEY_2:
			Player.PercentJump(2);
			break;
			
	    case this.tvKey.KEY_3:
			Player.PercentJump(3);
			break;
			
	    case this.tvKey.KEY_4:
			Player.PercentJump(4);
			break;
			
	    case this.tvKey.KEY_5:
			Player.PercentJump(5);
			break;
			
	    case this.tvKey.KEY_6:
			Player.PercentJump(6);
			break;
			
	    case this.tvKey.KEY_7:
			Player.PercentJump(7);
			break;
			
	    case this.tvKey.KEY_8:
			Player.PercentJump(8);
			break;
			
	    case this.tvKey.KEY_9:
			Player.PercentJump(9);
			break;
			
		case 147://KEY_INFOLINK
			widgetAPI.blockNavigation(event);
            break;

		case this.tvKey.KEY_TOOLS:
            widgetAPI.blockNavigation(event);
            pluginAPI.ShowTools(1);
            break;
			
        case this.tvKey.KEY_VOL_UP:
            Audio.setRelativeVolume(0);
			Display.setVolume();
            break;
            
        case this.tvKey.KEY_VOL_DOWN:
            Audio.setRelativeVolume(1);
			Display.setVolume();
            break;
			
		case this.tvKey.KEY_EXIT:
			widgetAPI.blockNavigation(event);    
            break;
			
		case this.tvKey.KEY_MUTE:
			Audio.muteMode();
            break;

		case 653:	
		case 1249:// FULL SCREEN  BD
            if (Player.getSize()>=2)
                Player.setSize(0, 1);
			else
				Player.setSize(Player.getSize()+1, 1);
            break;
			
		default:
            alert("Unhandled key");
            break;
	}
}