﻿var Selectbox =
{
	html : null,
	selected_item : 0,
	selected_page : 0,
	select_list : [ ],
	selectbox_html : null,
	title : null,
	items_counter : 0,
	last_page_items_counter : 0,
	pages_counter : 0,
	selector_selected_item : 0,
	selector_mode : 0,
}

Selectbox.setBox = function(title, select_list)
{
	this.selected_item = 0;
	this.selected_page = 0;
	Selectbox.countPages(select_list);
	this.title = title;
	this.select_list = select_list;
	Selectbox.updateBox();
}
	
Selectbox.updateBox = function()
{
	this.selectbox_html = document.getElementById("selectbox");
	this.selectbox_html.style.display="";
	
	var items_on_page = 10;

	this.html= '<div><div style="text-align:center;width:100%;"><b>' + this.title + '</b></div><br><ul>';
	
	if(this.selected_page > this.pages_counter-1)
		this.selected_page = 0;
		
	if(this.selected_page < 0)
		this.selected_page = this.pages_counter-1;
		
	if(this.selected_page == this.pages_counter-1)
	{
		items_on_page = this.last_page_items_counter;
		if(this.selected_item > this.last_page_items_counter-1)
			this.selected_item = this.last_page_items_counter-1;
	}
		
	for (var index = 0; index < items_on_page; index++)
	{
		var style="";
		var item_array_index = 10*this.selected_page + index;
		if(index == this.selected_item)
		{
			this.selector_selected_item = this.select_list[item_array_index][0];
			style='style="color:#ffffff; border: 1px solid #ffffff" ';
			/*
			widgetAPI.putInnerHTML(document.getElementById("pr1_time"), this.select_list[item_array_index][1] + '-' + this.select_list[item_array_index][2]);
			widgetAPI.putInnerHTML(document.getElementById("pr1_name"), this.select_list[item_array_index][3]);
			widgetAPI.putInnerHTML(document.getElementById("pr1_descr"), this.select_list[item_array_index][4]);
			*/
		}
		// var etitle="";
		// if(this.select_list[item_array_index][4]!="")
		//	etitle = '&nbsp;&nbsp;('+this.select_list[item_array_index][4]+')';
		//this.html+= '<li  id="selector"' +style+ '>' + this.select_list[item_array_index][1] + '-' + this.select_list[item_array_index][2]  + '&nbsp;&nbsp;' + this.select_list[item_array_index][3] + etitle +'</li>';
		this.html+= '<li  id="selector"' +style+ '>' + this.select_list[item_array_index][1] +'</li>';
	}
	var help_html = '<div><div id="navi_button"><img src="img/buttons/back.png"></img></div><span id="navi_helpertext">к сериалам</span>';
	
	if(Main.MODE == Main.Player_ID)
		help_html+=	'<div id="navi_button"><img src="img/buttons/green.png"></img></div><span id="navi_helpertext">к просмотру</span></div>';
	else
		help_html+=	'<div id="navi_button"><img src="img/buttons/move.png"></img></div><span id="navi_helpertext">выбор</span>';
	
	help_html+=	'<div id="navi_button"><img src="img/buttons/enter.png"></img></div><span id="navi_helpertext">ОК</span></div>';
		
	this.html+='</ul>'+help_html+'</div>';

	widgetAPI.putInnerHTML(this.selectbox_html, this.html);

}

Selectbox.countPages = function (episodes_list)
{
	this.items_counter = episodes_list.length;

	this.last_page_items_counter = this.items_counter % 10;
	if(this.last_page_items_counter==0)
		this.last_page_items_counter = 10;
	
	if ( this.last_page_items_counter > 0 && this.last_page_items_counter < 5)
		this.pages_counter = Math.round(this.items_counter / 10) + 1;
	else
		this.pages_counter = Math.round(this.items_counter / 10);
		
}

Selectbox.selectNextItem = function()
{
	this.selected_item++;
	if(this.selected_item>=10 || (this.selected_page == this.pages_counter-1 && this.selected_item==this.last_page_items_counter))
	{
		this.selected_item = 0;
		this.selected_page++;
	}
	Selectbox.updateBox();
}
		
Selectbox.selectPrevItem = function()
{
	this.selected_item--;
	
	if(this.selected_page == 0 && this.selected_item<0)
	{
		this.selected_item = this.last_page_items_counter - 1;
		this.selected_page = this.pages_counter-1;
	}
	
	if(this.selected_item<0)
	{
		this.selected_item = 9;
		this.selected_page--;		
	}
	Selectbox.updateBox();
}

Selectbox.selectNextPage = function()
{
	this.selected_page++;
	Selectbox.updateBox();
}

Selectbox.selectPrevPage = function()
{
	this.selected_page--;
	Selectbox.updateBox();
}

Selectbox.SelectEpisode = function()
{
	
	this.selectbox_html.style.display="none";
	if(this.selector_mode<3)
		Main.load_film_list(this.selector_selected_item);
	else if(this.selector_mode==3)
	{
		Main.showEpisodes(this.selector_selected_item);
	}
	else if(this.selector_mode==4)
	{
		Main.playEpisode(this.selector_selected_item);
	}
	else if(this.selector_mode==5)
	{
		Main.audio_track_id = this.selector_selected_item;
		KeyHandler.setFocus(Main.MainMenu_ID);
		Main.MODE = Main.MainMenu_ID;		
		widgetAPI.putInnerHTML(document.getElementById("tracks"), this.select_list[this.selector_selected_item][1]);
	}
	
}