﻿var URLtoXML =
{
   /*начало Блок параметров для портала*/
   prefixURL : "",
   kBUrl : "",
   kEUrl : "",
   kBImg : "",
   kEImg : "",
   kBDes : "",
   kEDes : "",
   kBTit : "",
   kETit : "",
   kLogo : "",

   //Ссылки на следующую и предыдущую страницы
   kBNeP : "",
   kENeP : "",
   kBPrP : "",
   kEPrP : "",

   //определение страницы со стримом
   kPStm : "",
   kPBDs : "",
   kPEDs : "",
   prefixSRL : "",
   kPBUr : "",
   kPEUr : "",
   kPBTt : "",
   kPETt : "",
   /*конец Блок параметров для портала*/

   prefixXML : "<![CDATA[",
   endedXML : "]]>",
   prefixTAG : "<a href='",
   endedTAG : "'>",
   prefixImg : "<img src='",
   endedImg : "' width='150' align='left'/>",
   endedIco : "' align='left'/>",

   prefixTBL : "<table cellspacing='2' cellpadding='0' border='0' align='center' width='100%'><tr><td align='left' valign='top'>",
   endedTBL : "</td></tr></table>",

   //строка, куда соберем список
   outTXT : "",
   sNextPage : "следующая страница",
   sPrevPage : "предыдущая страница",
   //входящая в парсер ссылка
   mURL : "", 

   mSecReq : 30000, //таймаут запроса в миллисекундах
   fMode : false, //режим обмена данными (асинхронный=true синхронный=false)
   fCancel : false, //флаг отмены запроса по таймауту
   fComplete : false, //флаг завершения формирования XML плейлиста
   nStart : 0, //начальный символ поиска в ответе нужных данных
   outFmt : "xml", //формат выходного плейлиста: XML, RSS, M3U
   xmlEncoding : "UTF-8", //кодировка, выставляемая в выходных XML

   arrVideoExt : [".avi", ".asf", ".asx", ".3gp", ".3g2", ".3gp2", ".3gpp", ".flv", ".mp4", ".mp4v", ".m4v", ".m2v", ".m2ts", ".m2t", ".mp2v", ".mov", ".mpg", ".mpe", ".mpeg", ".mkv", ".swf", ".mts", ".wm", ".wmx", ".wmv"],
   arrMediaExt : [".png", ".gif", ".jpg", ".jpeg", ".bmp", ".ico", ".mp3", ".dts", ".ac3", ".srt"],
   //двумерный массив строк, которые нужно заменить в тексте - первый вариант на второй
   arrReplWordsFrwd : [["",""]],
   arrReplWordsBkwd : [["",""]],
   arrReplWordsTitl : [["",""]],
   arrReplWordsImge : [["",""]],
   arrReplWordsDesc : [["",""]],
   //массив строк-масок регулярных выражений, подлежащих удалению из текста
   arrDelWords : [""], 

   //Маски поиска-парсинга
   sPatTag : "<[^<^>]*>", //html tag

   xmlHTTP : null, //объект работы с интернет
   timeout : null,
   fHasXML : null, //интервальная проверка окончания формирования плейлиста
   xmlObjt : null  //XML объект для выдачи результата
}

//Инициализация поисковых блоков порталов
URLtoXML.InitParsePortal = function(sURL){
var prefix = "";

   //запоминаем входящую ссылку
   this.mURL=sURL;
   //двумерный массив строк, которые нужно заменить в тексте - первый вариант на второй
   this.arrReplWordsBkwd = [["&amp;", "&"], ["&lt;", "<"], ["&gt;", ">"], ["&apos;", "'"], ["&quot;", "\""]];
   this.arrReplWordsFrwd = [["&", "&amp;"], ["<", "&lt;"], [">", "&gt;"], ["'", "&apos;"], ["\"", "&quot;"]];
   this.arrReplWordsTitl = [["&", "&amp;"], ["<", "&lt;"], [">", "&gt;"], ["'", "&apos;"], ["\"", "&quot;"]];
   this.arrReplWordsDesc = [["h1>", "b>"], ["</*p>","<br>"], ["\\s*<br>\\s*<br>", "<br>"]];
   this.arrReplWordsImge = [];
   //массив строк-масок регулярных выражений, подлежащих удалению из текста
   this.arrDelWords = ["<\\s*a[^<^>]*>", "<\\s*/\\s*a\\s*>", "<\\s*/*\\s*span[^>]*>", "<\\s*/*\\s*div[^>]*>", "<\\s*/*\\s*img[^>]*>", "<\\s*/*\\s*strong[^>]*>", "<\\s*/*\\s*ul[^>]*>"]; 

   //если все-таки ищем для FEX, то запоминаем префикс портала
   if (sURL.toLowerCase().indexOf('fex.net') >= 0){
      prefix = "http://fex.net";
   }else if (sURL.toLowerCase().indexOf('ex.ua') >= 0){ //для EX.UA
      prefix = "http://www.ex.ua";
   }else if (sURL.toLowerCase().indexOf('fs.ua') >= 0){ //для FS.UA
      prefix = "http://fs.ua";
   }else /*if (sURL.toLowerCase().indexOf('uakino.net') >= 0)*/{ //для UAKINO.NET
      prefix = "http://uakino.net";
   }

   if (sURL.toLowerCase().indexOf('fex.net') >= 0 || sURL.toLowerCase().indexOf('ex.ua') >= 0){
      //По умолчанию основные параметры определяем для EX.UA
      this.prefixURL = prefix + "/view/";
      this.kBUrl = "<td><a href='/view/";
      this.kEUrl = "'>";
      this.kBImg = "<img src='";
      this.kEImg = "'";

      this.kBDes = "";
      this.kEDes = "</td>";
      this.kBTit = "alt='";
      this.kETit = "'>";

      this.kLogo =""; //prefix + "/i/i_disk.jpg"; //ссылка на логотип стримов

      //Ссылки на следующую и предыдущую страницы
      this.kBNeP = '';
      this.kENeP = '';
      this.kBPrP = '';
      this.kEPrP = '';

      //определение страницы со стримом
      this.kPStm = "filelist";
      this.kPBIm = "<table width=100% cellpadding=0 cellspacing=0 border=0><tr><td valign=top> <img src='";
      this.kPEIm = "'";

      this.kPBDs = "<table width=100% cellpadding=0 cellspacing=0 border=0><tr><td valign=top>";
      this.kPEDs = "</td>";
      this.prefixSRL = prefix + "/get/";
      this.kPBUr = "<a href='/get/";
      this.kPEUr = "'";
      this.kPBTt = "title='";
      this.kPETt = "'";

      //добавляем к началу массива элементы замены
      this.arrReplWordsFrwd.unshift(["\\?r=23775&rv=1,1", "?v=1,0&per=20"]);
      this.arrReplWordsTitl.unshift(["\\s*\\d+\\.\\.\\d+\\s*", ""]);
      this.arrReplWordsDesc.unshift(["перейти на последнюю страницу", "последняя страница"]);
      this.arrReplWordsDesc.unshift(["перейти на следующую страницу, Ctrl &rarr;", this.sNextPage]);
      this.arrReplWordsDesc.unshift(["перейти на предыдущую страницу, Ctrl &larr;", this.sPrevPage]);
      this.arrReplWordsDesc.unshift(["перейти на первую страницу","первая страница"]);
      this.arrReplWordsImge.unshift(["/t2/arr_", prefix + "/t2/arr_"]);

   }else if (sURL.toLowerCase().indexOf('fs.ua') >= 0){
      this.prefixURL = prefix + '/';
      this.kBUrl = '<a class="subject-link m-themed" href="/';
      this.kEUrl = '">';
      this.kBImg = '<img src="';
      this.kEImg = '"';

      this.kBDes = '';
      this.kEDes = '</td>';
      this.kBTit = "alt='";
      this.kETit = "'";

      this.kLogo = ""; //ссылка на логотип стримов

      //Ссылки на следующую и предыдущую страницы
      this.kBNeP = '<a class="next-link"href="/';
      this.kENeP = '">';
      this.kBPrP = '<a class="previous-link" href="/';
      this.kEPrP = '">';
      
      //определение страницы со стримом
      this.kPStm = 'b-files-folders';
      this.kPBIm = '<img src="';
      this.kPEIm = '"';

      this.kPBDs = '<div class="item-info">';
      this.kPEDs = '</div>';
      this.prefixSRL = prefix + '/';
      this.kPBUr = '<li> <a href="/';
      this.kPEUr = '"';
      this.kPBTt = '">';
      this.kPETt = '</a>';

      //добавляем к началу массива элементы замены
      this.arrReplWordsTitl.unshift(["Не фильтровать", ""], ["Список файлов", ""], ["<\\s*/*\\s*span[^>]*>", ""]);
      this.arrReplWordsDesc.unshift(['<\\s*tr[^>]*>', '']);
      this.arrReplWordsDesc.unshift(['<\\s*/*\\s*td[^>]*>', '']);
      this.arrReplWordsDesc.unshift(['<\\s*/+\\s*tr[^>]*>', '<br>']);

      //добавляем к концу массива элементы на удаление
      this.arrDelWords.push("<\\s*/*\\s*table[^>]*>");

   }else /*if (sURL.toLowerCase().indexOf('uakino.net') >= 0)*/{
      this.prefixURL = prefix + '/';
      this.kBUrl = '<li class="file';
      this.kEUrl = '" class';
      this.kBImg = '<img src="';
      this.kEImg = '"';

      this.kBDes = '<strong>';
      this.kEDes = '</span>';
      this.kBTit = 'title="';
      this.kETit = '"';

      this.kLogo = ""; //ссылка на логотип стримов

      //Ссылки на следующую и предыдущую страницы
      this.kBNeP = '<a href="';
      this.kENeP = '">&raquo;</a>';
      this.kBPrP = '<a href="';
      this.kEPrP = '">&laquo;</a>';
      
      //определение страницы со стримом
      this.kPStm = '<meta property="og:video" content="';
      this.kPBIm = '<meta property="og:image" content="';
      this.kPEIm = '">';

      this.kPBDs = '<meta name="description" content="';
      this.kPEDs = '">';
      this.prefixSRL = prefix + '/';
      this.kPBUr = '<meta property="og:video" content="';
      this.kPEUr = '">';
      this.kPBTt = 'uakino.net/media/video/';
      this.kPETt = '">';

      //добавляем к началу массива элементы замены
      this.arrReplWordsFrwd.unshift(['c-left">', ''], ['">', ''], [' <a href="', '']);
      this.arrReplWordsDesc.unshift(['<\\s*/*\\s*li[^>]*>', '<br>']);
   }

}

//обработка ссылки
URLtoXML.Proceed = function(sURL, sFmt){

   sURL=URLtoXML.trim(sURL);
   //инициализируем поисковые блоки
   URLtoXML.InitParsePortal(sURL);
   //определяем формат выходного плейлиста
   this.outFmt = sFmt;

   //очищаем строку-приемник конечного плейлиста
   this.outTXT="";
   this.fComplete=false;

   //инициализируем связь с интернетом
   if (this.xmlHTTP != null) {
      this.xmlHTTP = null;
   }
   this.xmlHTTP=new XMLHttpRequest();

   //отсылаем пустой запрос и ловим страницу в строку
   this.xmlHTTP.open("GET", sURL, this.fMode); //?асинхронно
   this.xmlHTTP.onreadystatechange = function (){ 
      if (URLtoXML.xmlHTTP.readyState == 4){ 
         if (URLtoXML.fCancel){ //если вернулись сюда с отмены запроса
            //сбрасываем флаг прерывания запроса по таймауту
            URLtoXML.fCancel=false;
            
            //генерим конечный плейлист с ошибкой таймаута
            URLtoXML.outTXT = URLtoXML.getHeadXML();
            URLtoXML.outTXT = URLtoXML.outTXT + URLtoXML.addBlockXML("Timeout", "", "End of time for server response: " + URLtoXML.mSecReq + 'ms', 0, "", false); 
            URLtoXML.outTXT = URLtoXML.outTXT + URLtoXML.getBottomXML();
            URLtoXML.fComplete=true;
         }else{ //если получен ответ с сервера до таймаута
            //таймаут работает только в асинхронном режиме
            if (URLtoXML.fMode) {clearTimeout(URLtoXML.timeout);}
            
            //генерим конечный плейлист на основании полученных данных
            URLtoXML.outTXT = URLtoXML.getHeadXML();
            URLtoXML.outTXT = URLtoXML.outTXT + URLtoXML.ParseXMLData(); 
            URLtoXML.outTXT = URLtoXML.outTXT + URLtoXML.getBottomXML();
            URLtoXML.fComplete=true;
         }
      } 
   }; 
   this.xmlHTTP.setRequestHeader("User-Agent","Opera/9.80 (Windows NT 5.1; U; ru) Presto/2.9.168 Version/11.51");
   this.xmlHTTP.send(); 
   
   if (this.fMode) {
      //таймаут включаем только в асинхронном режиме
      this.timeout = setTimeout('URLtoXML.stopRequest()', this.mSecReq);
      //запускаем периодическую проверку окончания создания плейлиста
      this.fHasXML = setInterval("URLtoXML.checkReadyXML()", 300);
   }else{
      //если синхронный режим - возвращаем ответ
      if (this.fComplete) {return URLtoXML.GetResult();}
      //frm.xml_text.value= this.outTXT; //удалить
   }
}

//проверка окончания формирования XML плейлиста
URLtoXML.checkReadyXML = function(){
   if (this.fComplete){
       //если уже сформирован, то отключаем проверку
       clearInterval(this.fHasXML);
       //запускаем функцию выдачи результата, если включен асинхронный режим, иначе ответ уже был получен
       if (this.fMode){
          /*frm.xml_text.value= URLtoXML.GetResult()
          + "\n" + this.outTXT;*/
          return URLtoXML.GetResult();
       }
   }
}

//функция вывода результата
URLtoXML.GetResult = function(){

   //чистим переменную перед выводом
   if (this.xmlObjt != null) {
      this.xmlObjt = null;
   }

   //Если нужен вывод в виде объекта XML
   if (this.outFmt.toLowerCase().indexOf("xml") >= 0 || this.outFmt.toLowerCase().indexOf("rss") >= 0){
      var parser = new DOMParser();
      this.xmlObjt = parser.parseFromString (this.outTXT, "text/xml");

      //XML пустой
      if (!this.xmlObjt.documentElement.hasChildNodes()){
         alert("Generated XML playlist is empty.");
         return null;
      }else{
         return this.xmlObjt;
      }
   }else{ //иначе просто выводим сгенерированную строку
      return this.outTXT;
   }
}

//отмена запроса
URLtoXML.stopRequest = function(){
   this.fCancel=true;
   this.xmlHTTP.abort();
}

//из полученного ответа вытаскиваем нужные данные
URLtoXML.ParseXMLData = function(){
var TMPnStart, sOut, sUrl, sImg, nImg, sDes, sTit, sLogo, sRes, fStream;

   //очищаем строку результата работы парсера
   sRes="";

   //если ответ от сервера корректный
   if (this.xmlHTTP.status == 200)
   {
      //сразу удаляем переводы строк для удобного поиска
      sOut = URLtoXML.DelTrash(this.xmlHTTP.responseText);
      
      //определяем символ начала поиска объявлений на странице
      this.nStart=0;
      
      //определяем, что за страница: конечный фильм или список фильмов
      if (sOut.toLowerCase().indexOf(this.kPStm) < 0){ //именно список
         //разбираем строку на объявления
         while (this.nStart >= 0){
            //ищем данные
            sUrl = URLtoXML.trim(URLtoXML.FindVal(sOut, this.nStart, this.kBUrl, this.kEUrl, false));
            //если есть очередная ссылка - ищем другие данные
            if (sUrl != "") {
               //приводим ссылку к нормальному виду
               sUrl = this.prefixURL + sUrl;
               //производим необходимые замены в ссылке
               sUrl = URLtoXML.ReplWords(sUrl, this.arrReplWordsFrwd);
               
               //перед описанием ищем картинку без сдвига счетчика
               TMPnStart = this.nStart;
               sImg = URLtoXML.trim(URLtoXML.FindVal(sOut, this.nStart, this.kBImg, this.kEImg, false));
               nImg = this.nStart; //запоминаем, если вдруг нашли картинку дальше описания
               //возвращаем значение глобального поиска
               this.nStart = TMPnStart;
               //если нашли - заворачиваем в удобный вид
               if (sImg != ""){
                  //производим необходимые замены в картинке
                  sImg = URLtoXML.ReplWords(sImg, this.arrReplWordsImge);
               }

               //ищем описание
               sDes = URLtoXML.FindVal(sOut, this.nStart, this.kBDes, this.kEDes, false);
               //Если нашли описание
               if (sDes != "") {
                  //если найденная выше картинка находится ЗА описанием, то очищаем ее
                  if (nImg >= this.nStart){
                     sImg = "";
                  }
                  //добавляем к описанию ссылку
                  sDes = this.prefixTAG + sUrl + this.endedTAG + sDes;
                  //производим необходимые замены в описании
                  sDes = URLtoXML.ReplWords(sDes, this.arrReplWordsDesc);
                  
                  //Ищем заголовок в описании
                  TMPnStart = this.nStart;
                  sTit = URLtoXML.FindVal(sDes, 0, this.kBTit, this.kETit, false);
                  //возвращаем значение глобального поиска
                  this.nStart = TMPnStart;
                  
                  //Если нашли заголовок
                  if (sTit != "") {
                     //тримаем
                     sTit = URLtoXML.trim(sTit);
                  }else{
                     //если заголовка нет, то просто чистим описание, удаляя теги и мусор
                     sTit = sDes;
                     //циклично удаляем теги, потому как бывают вложенные
                     while (sTit != sTit.replace(new RegExp(this.sPatTag, 'gim'), " ")){
                        sTit = sTit.replace(new RegExp(this.sPatTag, 'gim'), " ");
                     }
                     //далее чистим повторяющиеся пробелы и мусор
                     sTit = URLtoXML.DelTrash(sTit);
                  }

                  //Из описания удаляем ненужные данные (ссылки, картинки, блоки и другую дребедень)
                  sDes = URLtoXML.DelWords(sDes);
                  //далее чистим повторяющиеся пробелы и мусор
                  sDes = URLtoXML.DelTrash(sDes);

                  //а теперь слева добавляем картинку к описанию
                  if (sImg != ""){
                     //для лого производим необходимые замены в ссылке спецсимволов
                     sLogo = URLtoXML.ReplWords(sImg, this.arrReplWordsFrwd);

                     //заворачиваем в картинку маленькую для списка
                     sImg = this.prefixImg + sImg + this.endedIco;
                     sDes = sImg + sDes;
                  }else{
                     sLogo = "";
                  }

                  //добавляем к описанию заголовок и концовку таблицы
                  sDes = this.prefixTBL + sDes + this.endedTBL;

                  //после генерации заголовка заворачиваем описание в обертку для XML (иначе выше заголовок мог быть не найден при удалении тегов из описания)
                  sDes = this.prefixXML + sDes + this.endedXML;
                  //ссылку и титул оборачивать нельзя - все замены произошли выше
                  //sUrl = this.prefixXML + sUrl + this.endedXML;
                  //sTit = this.prefixXML + sTit + this.endedXML;
                  //Для заголовка обертку не одеваем, а просто заменяем спецсимволы XML
                  sTit = URLtoXML.ReplWords(sTit, this.arrReplWordsTitl);
                  

                  //!!!если присутствует уточненный заголовок, то добавляем блок в выходную строку!!!
                  if (sTit != "") {
                     sRes = sRes + URLtoXML.addBlockXML(sTit, sUrl, sDes, 0, sLogo, false);
                  }
               }
               //alert("title= "+sTit+"\n\nurl= "+sUrl+"\n\ndescription= "+sDes);
            }else if (this.nStart >= 0){ //ссылка была найдена, но она пустая (для предотвращения зацикливания)
               //раз нет ссылки, то ищем описание вхолостую для сдвига счетчика поиска
               sDes = URLtoXML.FindVal(sOut, this.nStart, this.kBDes, this.kEDes, false);
            } //end if sURL
         } //end while

         //Ищем ссылки навигации, если есть
         /*---------------------------------------Navigation-------------------------------------*/
         //next page
         if (this.mURL.toLowerCase().indexOf("uakino.net") < 0){
            sUrl = URLtoXML.trim(URLtoXML.FindVal(sOut, 0, this.kBNeP, this.kENeP, false));
         }else{
            //для uakino сначала позиционируемся на конец ссылки
            sUrl = URLtoXML.FindVal(sOut, 0, this.kENeP, "", false);
            //и ищем начало ссылки в обратную сторону
            sUrl = URLtoXML.trim(URLtoXML.FindVal(sOut, this.nStart, this.kBNeP, this.kENeP, true));
         }
         if (sUrl != ""){
            //приводим ссылку к нормальному виду
            sUrl = this.prefixURL + sUrl;
            //производим необходимые замены в ссылке
            sUrl = URLtoXML.ReplWords(sUrl, this.arrReplWordsFrwd);
            //вытаскиваем иконки навигации с EX.UA
            sLogo = "http://www.ex.ua/t2/arr_rg.gif";
            //генерим блок со ссылкой
            sUrl = URLtoXML.addBlockXML(this.sNextPage, sUrl, this.sNextPage, 0, sLogo, false);
            //одеваем навигацию в XML
            sRes = sUrl + sRes + sUrl;
         }

         //previous page
         if (this.mURL.toLowerCase().indexOf("uakino.net") < 0){
            sUrl = URLtoXML.trim(URLtoXML.FindVal(sOut, 0, this.kBPrP, this.kEPrP, false));
         }else{
            //для uakino сначала позиционируемся на конец ссылки
            sUrl = URLtoXML.FindVal(sOut, 0, this.kEPrP, "", false);
            //и ищем начало ссылки в обратную сторону
            sUrl = URLtoXML.trim(URLtoXML.FindVal(sOut, this.nStart, this.kBPrP, this.kEPrP, true));
         }
         if (sUrl != ""){
            //приводим ссылку к нормальному виду
            sUrl = this.prefixURL + sUrl;
            //производим необходимые замены в ссылке
            sUrl = URLtoXML.ReplWords(sUrl, this.arrReplWordsFrwd);
            //вытаскиваем иконки навигации с EX.UA
            sLogo = "http://www.ex.ua/t2/arr_lg.gif";
            //генерим блок со ссылкой
            sUrl = URLtoXML.addBlockXML(this.sPrevPage, sUrl, this.sPrevPage, 0, sLogo, false);
            //одеваем навигацию в XML
            sRes = sUrl + sRes + sUrl;
         }

         //если данных нет, то генерим соответствующий ответ в виде XML
         if (sRes == ""){
            sRes = sRes + URLtoXML.addBlockXML("PlayList data not found.", "", this.prefixXML + "<font color='red'><b>Not found any correct data for generate PlayList!</b></font>" + this.endedXML, 0, "", false);
         }

      /*###################################################################################################*/
      }else{ //иначе парсим именно страницу со стримом
         //перед описанием ищем картинку без сдвига счетчика
         TMPnStart = this.nStart;
         sImg = URLtoXML.trim(URLtoXML.FindVal(sOut, this.nStart, this.kPBIm, this.kPEIm, false));
         nImg = this.nStart; //запоминаем, если вдруг нашли картинку дальше описания
         //возвращаем значение глобального поиска
         this.nStart = TMPnStart;
         //если нашли - заворачиваем в удобный вид
         if (sImg != ""){
            //производим необходимые замены в картинке
            sImg = URLtoXML.ReplWords(sImg, this.arrReplWordsImge);
         }

         sLogo = "";
         //ищем описание единожды
         sDes = URLtoXML.trim(URLtoXML.FindVal(sOut, this.nStart, this.kPBDs, this.kPEDs, false));
         //Если нашли описание
         if (sDes != "") {
            //если найденная выше картинка находится ЗА описанием, то очищаем ее, но не для uakino
            if (nImg >= this.nStart && this.mURL.toLowerCase().indexOf("uakino.net") < 0){
               sImg = "";
            }
            //производим необходимые замены в опмсании
            sDes = URLtoXML.ReplWords(sDes, this.arrReplWordsDesc);
            //Из описания удаляем ненужные данные (ссылки, картинки, блоки и другую дребедень)
            sDes = URLtoXML.DelWords(sDes);
            //далее чистим повторяющиеся пробелы и мусор
            sDes = URLtoXML.DelTrash(sDes);

            //а теперь слева добавляем картинку к описанию
            if (sImg != ""){
               //для лого производим необходимые замены в ссылке спецсимволов
               sLogo = URLtoXML.ReplWords(sImg, this.arrReplWordsFrwd);

               //заворачиваем в картинку большую для стрима
               sImg = this.prefixImg + sImg + this.endedImg;
               sDes = sImg + sDes;
            }

            //добавляем к описанию заголовок и концовку таблицы
            sDes = this.prefixTBL + sDes + this.endedTBL;
         }else{sDes = "Description not found";}

         fStream = false;
         //дальше до конца страницы собираем ссылки на стримы
         while (this.nStart >= 0){
            //ищем данные
            TMPnStart = this.nStart;
            sUrl = URLtoXML.trim(URLtoXML.FindVal(sOut, this.nStart, 'href="http://fs.ua/', '"', false));
            if (sUrl != ""){
               //если нашли конечный файл - просто добавляем к нему префикс
               sUrl = this.prefixSRL + sUrl;
               fStream = true;
            }else{
               //если нету конечного, возвращаем счетчик и ищем подссылку
               this.nStart = TMPnStart;
               sUrl = URLtoXML.trim(URLtoXML.FindVal(sOut, this.nStart, '<a href="?folder=', '"', false));
               if (sUrl != ""){
                  //если нашли, то в глобальной ссылке откидываем параметры и добавляем к ней найденные
                  sUrl = this.mURL.substring(0, this.mURL.indexOf("?")) + "?folder=" + sUrl;
                  fStream = true;
               }else if (!fStream){ //не ищем, если ранее были найдены ссылки конечных стримов выше
                  //если нет ссылок выше - возвращаем счетчик и ищем по-обычному
                  this.nStart = TMPnStart;
                  sUrl = URLtoXML.trim(URLtoXML.FindVal(sOut, this.nStart, this.kPBUr, this.kPEUr, false));
                  if (sUrl != "" && this.mURL.toLowerCase().indexOf("uakino.net") < 0){
                     //приводим ссылку к нормальному виду, но не для uakino
                     sUrl = this.prefixSRL + sUrl;
                  }		 
               }
            }

            //sUrl = URLtoXML.trim(URLtoXML.FindVal(sOut, this.nStart, this.kPBUr, this.kPEUr, false));
            //если есть очередная ссылка - ищем другие данные
            if (sUrl != "") {
               //приводим ссылку к нормальному виду
               //sUrl = this.prefixSRL + sUrl;
               //производим необходимые замены в ссылке
               sUrl = URLtoXML.ReplWords(sUrl, this.arrReplWordsFrwd);

               //Ищем заголовок, без сдвига счетчика
               TMPnStart = this.nStart;
               if (this.mURL.toLowerCase().indexOf("uakino.net") >= 0){ //для uakino ищем с начала
                  sTit = URLtoXML.trim(URLtoXML.FindVal(sOut, 0, this.kPBTt, this.kPETt, false));
               }else{
                  sTit = URLtoXML.trim(URLtoXML.FindVal(sOut, this.nStart, this.kPBTt, this.kPETt, false));
               }
               //возвращаем значение глобального поиска
               this.nStart = TMPnStart;

               //Для заголовка обертку не одеваем, а просто заменяем спецсимволы XML
               //и удаляем ненужные ссылки потоков
               sTit = URLtoXML.trim(URLtoXML.ReplWords(sTit, this.arrReplWordsTitl));

               //ставим глобальную иконку со страницы стрима портала на все найденные стримы
               //производим необходимые замены в ссылке иконки
               //sLogo = URLtoXML.ReplWords(this.kLogo, this.arrReplWordsFrwd);

               //если есть файл потока или его название - пробуем вывести
               if (sTit.length >= 3){ //длина больше 2, чтобы отсечь мусор
                  //добавляем блок в выходную строку, если только это видео-файл
                  if (URLtoXML.checkNameVideo(sTit)){
                     //заворачиваем описание в обертку для XML именно при выводе, чтобы не засорять для сбора строки ниже, если видео не найдено
                     sRes = sRes + URLtoXML.addBlockXML(sTit, sUrl, this.prefixXML + sDes + this.endedXML, 0, sLogo, true);
                  //если найденная ссылка - не картинка, звук и не медиа
                  }else if (!URLtoXML.checkNameMedia(sTit)){ 
                     //выводим, как ссылку на плейлист, а не стрим и без лого
                     sRes = sRes + URLtoXML.addBlockXML(sTit, sUrl, this.prefixXML + sDes + this.endedXML, 0, "", false);
                  }
               }
               //alert("title= "+sTit+"\n\nurl= "+sUrl+"\n\ndescription= "+sDes);
            } //end if sURL
         } //end while

         //если данных нет, то генерим соответствующий ответ в виде XML с использованием описания, найденного выше
         if (sRes == ""){
            sRes = sRes + URLtoXML.addBlockXML("Video files not found.", "", this.prefixXML + sDes + "<br><font color='red'><b>Not found any files with video extentions!</b></font>" + this.endedXML, 0, "", false);
         }
        
      } //end if stream
      
      /*//alert(sRes);
      //если данных нет, то генерим соответствующий ответ в виде XML
      if (sRes == "") {
         sRes = sRes + URLtoXML.addBlockXML("Data not found", "", "Not found any correct data", 0, "", false);
      }*/

   }else{ //ответ сервера некорректный
      //alert('Not correct answer status: ' + this.xmlHTTP.status);
      sRes = sRes + URLtoXML.addBlockXML("Error response server status.", "", this.prefixXML + "<font color='red'><b>Not correct server response status: " + this.xmlHTTP.status + "!</b></font>" + this.endedXML, 0, "", false);
   }

   //возвращаем полученный результат
   return sRes;
}

//возвращает шапку XML для плейлиста
URLtoXML.getHeadXML = function(){
   if (this.outFmt.toLowerCase().indexOf("xml") >= 0){ 
      return ''
      +'<?xml version="1.0" encoding="' + this.xmlEncoding + '" ?>\n'
      +'<items>\n'
      +'<category>\n'
      +'   <category_id>0</category_id>\n'
      +'   <category_title>Video</category_title>\n'
      +'</category>\n';
   }else if (this.outFmt.toLowerCase().indexOf("rss") >= 0){
      return ''
      +'<?xml version="1.0" encoding="' + this.xmlEncoding + '" ?>\n'
      +'<rss version="2.0">\n'
      +'<channel>\n'
      +'<title>Online media portal</title>\n';
   }else{
      return ''
      +'#EXTM3U\n';
   }
}

//возвращает сгенерированный блок XML с данными
URLtoXML.addBlockXML = function(sTit, sUrl, sDes, nCat, sLogo, fStream){
var sResult;
   sResult = "";
   sLogo = URLtoXML.trim(sLogo);

   if (this.outFmt.toLowerCase().indexOf("xml") >= 0){ 
      sResult = ''
      +'<channel>\n'
      +'   <title>'+sTit+'</title>\n';
      
      //если страница потока
      if (fStream){
         sResult = sResult
         +'   <stream_url>'+sUrl+'</stream_url>\n';
      }else{ //страница списка видео
         sResult = sResult
         +'   <playlist_url>'+sUrl+'</playlist_url>\n';
      }

      //если есть иконка, то генерим тег с ней
      if (sLogo != ""){
         sResult = sResult
         +'   <logo_30x30>'+sLogo+'</logo_30x30>\n';
      }

      sResult = sResult
      +'   <description>'+sDes+'</description>\n'
      +'   <category_id>'+nCat+'</category_id>\n'
      +'</channel>\n';

   }else if (this.outFmt.toLowerCase().indexOf("rss") >= 0){
      sResult = ''
      +'<item>\n'
      +'   <title>'+sTit+'</title>\n'
      +'   <description>'+sDes+'</description>\n';

      //если страница потока
      if (fStream){
         sResult = sResult
         +'   <enclosure url="'+sUrl+'" type="video/avc1"/>\n';
      }else{ //страница списка видео
         sResult = sResult
         +'   <enclosure url="'+sUrl+'" type="text/xml"/>\n';
      }

      //если есть иконка, то генерим тег с ней
      if (sLogo != ""){
         sResult = sResult
         +'   <icon url="'+sLogo+'"/>\n';
      }

      sResult = sResult
      +'</item>\n';
   
   }else{
      sResult = ''
      +'#EXTINF:0,'+sTit+'\n'
      +URLtoXML.ReplWords(sUrl, this.arrReplWordsBkwd)
      +'\n';
   }

   return sResult;
}

//возвращает окончание XML для плейлиста
URLtoXML.getBottomXML = function(){
   if (this.outFmt.toLowerCase().indexOf("xml") >= 0){ 
      return ''
      +'</items>';
   }else if (this.outFmt.toLowerCase().indexOf("rss") >= 0){
      return ''
      +'</channel>\n'
      +'</rss>\n';
   }else{
      return '';
   }
}

//поиск значения на странице и вычленение его
URLtoXML.FindVal = function(sOut, nBeg, keyBVal, keyEVal, bLast){
var nEnd, sRes;
    //приводим к нижнему регистру
    sRes = sOut.toLowerCase();

    //ищем строчку значения (с начала или с конца строки)
    if (bLast){
       nBeg = sRes.lastIndexOf(keyBVal.toLowerCase(), nBeg);
    }else{
       nBeg = sRes.indexOf(keyBVal.toLowerCase(), nBeg );
    }

    //если значение найдено
    if (nBeg >= 0){
       //передвигаем начало поиска на след. символ за первичным ключом
       nBeg = nBeg + keyBVal.length;
       //ищем вторичный ключ
       nEnd = sRes.indexOf(keyEVal.toLowerCase(), nBeg);
       //если не нашли окончание значения - становимся в конец строки +1 символ
       if (nEnd < 0){ 
          nEnd = sRes.length;
          //возвращаем положение глобального поиска на конец строки
          this.nStart = nEnd
       }else{
          //возвращаем положение глобального поиска на след. символ за вторичным ключом
          this.nStart = nEnd + keyEVal.length;
       }
       //вычленяем значение
       sRes = sOut.substring(nBeg, nEnd);
    }else{
       //не найден первичный ключ
       sRes = "";
       //конец поиска - маска не найдена
       this.nStart = nBeg;
    }
    return sRes;
}

//проверка имени файла на принадлежность к видео
URLtoXML.checkNameVideo = function(sName){
var wrd;

    //проверяем вхождения встречающихся в массиве расширений слова
    for (var i in this.arrVideoExt){
       //слово из массива
       wrd = this.arrVideoExt[i];
       if (sName.lastIndexOf(wrd.toLowerCase()) == sName.length-wrd.length && sName.length >= wrd.length){
          return true;
       }
    }
    //возвращаем отказ, если раньше не вернули согласие
    return false;
}

//проверка имени файла на принадлежность к медиа
URLtoXML.checkNameMedia = function(sName){
var wrd;

    //проверяем вхождения встречающихся в массиве расширений слова
    for (var i in this.arrMediaExt){
       //слово из массива
       wrd = this.arrMediaExt[i];
       if (sName.lastIndexOf(wrd.toLowerCase()) == sName.length-wrd.length && sName.length >= wrd.length){
          return true;
       }
    }
    //возвращаем отказ, если раньше не вернули согласие
    return false;
}

//удаление "мусора" из строки
URLtoXML.DelTrash = function(str){
    //заменяем мусор на пробелы
    str = str.replace(new RegExp("&nbsp;", 'gim'), " ");
    str = str.replace(new RegExp("\t", 'gim'), " "); //табуляция
    str = str.replace(new RegExp("\n", 'gim'), " "); //конец строки
    str = str.replace(new RegExp("\r", 'gim'), " "); //перевод каретки

    //заменяем все "длинные" пробелы на один
    while (str.indexOf("  ") >= 0){
      str = str.replace(new RegExp("  ", 'gim'), " ");
    }
    
    return URLtoXML.trim(str);
}

//удаление исключенных слов из результата
URLtoXML.DelWords = function(sVal){
var wrd, sRes;

    sRes = sVal;
    //удаляем из входной строки все встречающиеся в массиве исключений слова
    for (var i in this.arrDelWords){
       //слово из массива
       wrd = this.arrDelWords[i];
       sRes = sRes.replace(new RegExp(wrd, 'gim'), "");
    }
    
    //возвращаем результат
    return sRes;
}

//замена слов в результате по массиву замен
URLtoXML.ReplWords = function(sVal, arrRepl){
var wrd, sRes;

    sRes = sVal;
    //идем по внешнему массиву и выдергиваем слова поиска
    for (var i in arrRepl){
       //искомое слово из массива - первый элемент массива
       wrd = arrRepl[i][0];
       //заменяем в выходной строке искомое слово на нужный вариант из справочника - второй элемент массива
       sRes = sRes.replace(new RegExp(wrd, 'gim'), arrRepl[i][1]);
    }
    
    //возвращаем результат
    return sRes;
}

URLtoXML.trim = function(str){
   while (str.charAt(str.length-1)==" "){
      str = str.substring(0,str.length-1);
   }
   
   while (str.charAt(0)==" "){
      str=str.substring(1);
   }
   
   return str;
}
/*
URLtoXML.IsNumeric = function(val){
    if (isNaN(parseFloat(val))) {
       return false;
    }
    return true;
}
*/