﻿/**
 *@file sungtae77.kim
 *@brief sungtae77.kim
 *@author sungtae77.kim
 *@date sungtae77.kim
 */
/* for XHR Connection */
var tokenXHR = null;
var infoXHR = null;

// 개발 서버 URL 
var vYoutubeURL = "http://devinfolink.pavv.co.kr/openapi/service/dict/vendor";
// 운영 서버 URL
//var vYoutubeURL = "http://infolink.pavv.co.kr/openapi/service/dict/vendor";

/* SP Define require */
var vDictTokenKey  = "Youtubetoken";
var vDictYoutubeID = "Youtubeid";
var vDictYoutubePW = "Youtubepw";


var uccNNaviToken = "";
var uccYouTubeID = "";
var uccYouTubePW = "";
var uccYouTubeToken = "";


/* Sample Vendor Key */
g_venkey= "995f9c8d-aae3-420b-8027-b67b55e3939f";
//App key 
g_appkey = "af1f1f32-794b-1da7-a1c9-000100040002-f8e011d0-0366-480f-8591-e637a0bccae9";
// sample dev key
g_devkey = "AI39si6KOGJrNA6RGfv_wH3ue3UYrEHPxYdT5_VrTrO9u1GLawmoPeVh4rcxrm76zappiyNoI0nEt3jaVWjBFT7ffEKRIfWEyQ";
//var GOOGLE_DEVELOPER_ID = "AI39si6KOGJrNA6RGfv_wH3ue3UYrEHPxYdT5_VrTrO9u1GLawmoPeVh4rcxrm76zappiyNoI0nEt3jaVWjBFT7ffEKRIfWEyQ";
//var GOOGLE_DEVELOPER_SERIAL = "3Vo4JUYhWZvfWWpdFWGdGw==";

// ======================================================
// id, pw, token을 받아오기 위한 XHR 구현 부분
// ======================================================
function checkReadyStateLogin(obj, type, chk) {
    TRACE(type + ", readyState = " + obj.readyState);
    if(obj.readyState == 4) {        
        TRACE(type + ", status = " + obj.status);
        if(obj.status == 200 || obj.status == 201) {
			//writeLoginInfoFile();
			if(chk == true){ //login category 일 경우
				stopLoadingonList();
				curPopup = POPUP_LOGIN_NOTICE;
				openPopupWithTimer(IDS_LOGON_SUCCEED, popupCallback, 5);	
			}				
			showLoginStatus();
			return true;
        } else {
			TRACE( " obj.status = " + obj.status);
            TRACE("XHR Network ERROR!!!! " + type, TRACE_LEVEL.INFO);

			if(chk == true){	//login category 일 경우
				lastFocusID = loginTextInput1;
				stopLoadingonList();
				curPopup = POPUP_LOGIN_NOTICE;
				openPopupWithTimer(IDS_LOGON_FAIL, popupCallback, 5);	
			}			
			//************로그인 실패시******************//
//			curPopup = POPUP_AUTHEN_ERROR;
//			openPopupWithTimer(RCManager.loadRC("STR_ERR_LOGIN"), popupCallback, 5);
			
			bLogin = false;			
			bLoginLock = false;
			bLoginMode = false;
			showLoginStatus();	
			// 로그인 실패해도 Device 인증 해야함 
			if(chk != true){					//login category가 아닐 경우 
				getDeviceKey(false);		
			}			
        }		
    }
    return false;
}

/**
 * id, pw from hubsite
 */
function getInfoFromHubSite(tmpToken) {
    TRACE("Start getInfoFromHubSite()");
	startLoadingonList(); 		
	/* token을 받기 위해서는 GetYoutubeToken함수를 호출해주고
		Parameter로 callback함수 이름을 넣는다. */
    var vParam = "k="+vDictTokenKey+"&k="+vDictYoutubeID+"&k="+vDictYoutubePW;
    url = vYoutubeURL + "?" + vParam;
    if (window.XMLHttpRequest) 	{
        // code for Mozilla, etc.
        if(infoXHR==null) {
            infoXHR=new XMLHttpRequest();
             if (infoXHR.overrideMimeType) {
                infoXHR.overrideMimeType('text/xml');
            }
        }else{
			infoXHR.destroy();
			infoXHR=new XMLHttpRequest();
             if (infoXHR.overrideMimeType) {
                infoXHR.overrideMimeType('text/xml');
            }
		}
    } else if (window.ActiveXObject) {
        // code for IE
        infoXHR = new ActiveXObject("Microsoft.XMLHTTP")
    }
    if (infoXHR!=null) {
        infoXHR.onreadystatechange=onLoadYouTubeInfo;
        infoXHR.open("GET",url,true);

//        infoXHR.setRequestHeader('Token', tmpToken);
        infoXHR.setRequestHeader("AppKey", g_appkey);
        infoXHR.setRequestHeader("VenKey", g_venkey);

        infoXHR.send(null);
    } else 	{
        TRACE("Your browser does not support XMLHTTP.", TRACE_LEVEL.INFO);
    }

    TRACE("End getInfoFromHubSite()");
}

function onLoadYouTubeInfo() {
	if(checkReadyStateLogin(infoXHR, "infoXHR")) {
		// code for IE
        response = infoXHR.responseXML.documentElement;

        var xmldata = GetXMLDataByName(response, "entry")
        for (var i = 0; i < xmldata.length ; i++) {
            if (xmldata[i].getAttribute("name") == vDictYoutubeID) {
                uccYouTubeID = xmldata[i].getAttribute("value");
            } else if (xmldata[i].getAttribute("name") == vDictYoutubePW) {
                uccYouTubePW = xmldata[i].getAttribute("value");
            } else {
                continue;
            }
        }
        TRACE("uccYouTubeID = " + uccYouTubeID);
        
		if ( uccYouTubeID == null || (uccYouTubeID && uccYouTubeID.length <= 0) )	 {
			bLogin = false;
		} else {
			bLogin = true;
		}
        ///////////////////////////////
        //YouTube Token을 얻어오는 로직을 호출한다.
        getYouTubeToken(uccYouTubeID, uccYouTubePW);
	}
}

function getInfoFromFile(){
	 TRACE("Start getInfoFromFile()");
	 checkLoginInfoFile();

	 if(readLoginInfoFile()){

	 	 loadYouTubeInfoFromFile();
//		 getDeviceKey(false);
	 } else {
	 	getDeviceKey(false);
	 }	
     TRACE("End getInfoFromFile()");
}

function loadYouTubeInfoFromFile(){
	 TRACE("Start loadYouTubeInfoFromFile()");
 	uccYouTubeID = loginID;
	uccYouTubePW = loginPW;
	
	if ( uccYouTubeID == null || (uccYouTubeID && uccYouTubeID.length <= 0) )	 {
		bLogin = false;
	} else {
		bLogin = true;
	}
	bLoginLock = true;
	getYouTubeToken(uccYouTubeID, uccYouTubePW);

	TRACE("End loadYouTubeInfoFromFile()");
}


/**
 * from youtube
 */
function getYouTubeToken(id, pw) {
	TRACE ("Start getYouTubeToken()");
	//startLoadingonList();
	//document.getElementById("loadingImg").focus();
    var url = "https://www.google.com/youtube/accounts/ClientLogin";
    var Youtubedata = "Email="+id+"&Passwd="+pw+"&service=youtube&source=sample";
//	TRACE("Youtubedate :" + Youtubedata );
	
    if (window.XMLHttpRequest) 	{
        // code for Mozilla, etc.
        if(tokenXHR==null) {
            tokenXHR=new XMLHttpRequest();
             if (tokenXHR.overrideMimeType) {
                tokenXHR.overrideMimeType('text/xml');
            }
        }else {
			tokenXHR.destroy();
			tokenXHR=new XMLHttpRequest();
             if (tokenXHR.overrideMimeType) {
                tokenXHR.overrideMimeType('text/xml');
            }
		}
    } else if (window.ActiveXObject) {
        // code for IE
        tokenXHR = new ActiveXObject("Microsoft.XMLHTTP")
    }
    if (tokenXHR!=null) {
		startLoadingonList();
        tokenXHR.onreadystatechange=onLoadYouTubeToken;
        tokenXHR.open("POST",url,true);
	    tokenXHR.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
//        tokenXHR.setRequestHeader("Content-length", Youtubedata.length);
//        tokenXHR.setRequestHeader("Connection", "close");

        tokenXHR.send(Youtubedata);
    } else 	{
        TRACE("Your browser does not support XMLHTTP.", TRACE_LEVEL.INFO);
    }
	TRACE ("End getYouTubeToken()");
}

function onLoadYouTubeToken() {
	if(checkReadyStateLogin(tokenXHR, "tokenXHR", false )) {
		// code for IE
		//response = infoXHR.responseXML.documentElement;
//		alert("tokenXHR.responseText :: "+tokenXHR.responseText);
    	var auth = tokenXHR.responseText;
    	var authindex = "";
    	var tmp = "";
    	var token = "";
    
    	authindex = auth.indexOf("Auth=");
    	tmp = auth.substr(authindex + 5, auth.length - authindex);
    
    	authindex = tmp.indexOf("YouTubeUser=");		
    	token = tmp.substr(0, authindex - 1);
		
		var tmpYouTubeID = tmp.substr(authindex);
		tmpYouTubeID = tmpYouTubeID.split('=');
//		alert("tmpYouTubeID "+tmpYouTubeID[1]);
		uccYouTubeID = tmpYouTubeID[1].replace(/\s/g,"");
    	
    	uccYouTubeToken = token;
//        TRACE("uccYouTubeToken = " + uccYouTubeToken);
		if (  uccYouTubeToken != null || uccYouTubeToken.length >= 0 )	 {
			bLogin = true;
			TRACE("bLoginChk = "+ bLoginChk);
		//	if(isLogin() != true){
		//		getDeviceKey(false);
		//	}				
		} else {
			bLogin = false;
		}				
		bLoginLock = false;
		stopLoadingonList();
		showLoginStatus();
		// 로그인 뒤 Device 인증 
		getDeviceKey(false);
			
	} 
}

/**
 * from youtube
 */
function checkYouTubeTokenValid() {
    
}

/*
 * Return Type  : DOM Object
 * Name         : GetXMLDataByName
 * Parameter    : query
 *      element : ElementName
 * Description  :
 *      get node object of Matched tag name
 */
function GetXMLDataByName(data, element) {
    TRACE("Start GetXMLDataByName()");

    if (!data) {
        TRACE("Empty Data");
        return null;
    }
	
    var vResult = data.getElementsByTagName(element);

    TRACE("End GetXMLDataByName()");
    return vResult;
}


/**
 * from Set
 */
function getNNaviToken() {
	var fs = new FileSystem();
    
	fp = fs.openCommonFile("token.info", "r");
    if(fp) {		// returns true-false
        var strLine;
        strLine = fp.readLine();
        fs.closeFile(fp);					// closes file
        return strLine;
    } else {
        return "";    
    }
}

function testLogic() {
    // Log4JS 초기화 부분
    checkBrowser4Log();
    setLogLevel(DEBUG);
//    setLogLevel(INFO);
//    setLogLevel(ERROR);

    TRACE("Start testLogic()");

//    uccNNaviToken = "5e13eb0f+stkim_77+387bb75de4af7ef5613e96e75ddd84030043cb4d";
    uccNNaviToken = getNNaviToken();
    TRACE(uccNNaviToken, DEBUG);

	// Test Code
    getInfoFromHubSite(uccNNaviToken);
    
    TRACE("End testLogic()");
}

