var my = {
    selectedVideo : 0,
    mode : 0,
    mute : 0,

    UP : 0,
    DOWN : 1,

    WINDOW : 0,
    FULLSCREEN : 1,

    NMUTE : 0,
    YMUTE : 1
}

var widgetAPI = new Common.API.Widget(); // Создание объекта общего модуля
var tvKey = new Common.API.TVKeyValue();
var pluginAPI = new Common.API.Plugin();

var ACT_REWIND    = "rewind";
var ACT_LOREWIND  = "lorewind";
var ACT_PLAY      = "play";
//var ACT_PAUSE      = "pause";
var ACT_LOFORWARD = "loforward";
var ACT_FORWARD   = "forward";
var ACT_GOTO_PREV = "gotopreview";
var ACT_GOTO_MAIN = "gotomain";
var ACT_BEGINFROM = "beginfrom";
var ACT_BEGINFROM_FORM = "form_beginform"

var ACT_BEGINFROM_CLOSE = "beginfrom_close"; //закрыть форму Смотреть с...
var ACT_BEGINFROM_GOTO = "goto";
var ACT_PREV_SERIE = "prev_serie";
var ACT_NEXT_SERIE = "next_serie";

var ACT_HOUR = "beginfrom_hour";
var ACT_MIN  = "beginfrom_min";
var ACT_SEC  = "beginfrom_sec";

var ShowAdv = false; // флаг показа рекламы
/**
 * Мега переменная
 */
var totalTime = 0;

var id_active_player = ACT_PLAY; // указатель на активный элемент

var current_episode = NOT_ACTIVE; //текущий эпизон
var current_siason_no = NOT_ACTIVE; //текущий сезон

onShowEventHandler = function()
{
	pluginAPI.registKey(tvKey.KEY_SOURCE);
	pluginAPI.registKey(tvKey.KEY_MENU);
}

// точка входа для самсунга
my.onLoad = function () 
{
	AppCommonPlugin = document.getElementById("pluginObjectAppCommon");
	AppCommonPlugin.RegisterAllKey();
    document.getElementById("anchor").focus();
	window.onShow = onShowEventHandler;
    widgetAPI.sendReadyEvent();
}

my.onunLoad = function()
{
	Player.stopVideo();
	pluginAPI.unregistKey(tvKey.KEY_SOURCE);
    pluginAPI.unregistKey(tvKey.KEY_MENU);
}

my.onAdvStart = function(v_id, adv_id) {
    if (v_id > 0 && adv_id > 0) // уведомляем DA о просмотре рекламы
    {
        getInfo.markAdvDA(v_id, adv_id); // уведомляем DA о просмотре рекламы
        getInfo.saveShowAdv(v_id, adv_id); // сохраняем просмотр рекламы к себе в БД
    }
    Visual.HideBarPlayer();
    Display.show();
    /*
    plashkaTimer = setTimeout(function(){
        Display.hide();
    }, PLASHKA_TIMER);
	*/
    Display.setVolume( Audio.getVolume() );
    Display.flush();
//Player.setVideoURL(AdvUrl.url_hi);
//Player.playVideo();
}

/**
 * Сброс и засечка времени на скрытие плашки
 */
function stepTimer(is_vol_keys_pressed)
{
    clearTimeout(plashkaTimer);    
    if (is_vol_keys_pressed != undefined) {
        if ($("#videoBox_bottom").css("display") != "none") {
            plashkaTimer = setTimeout(function(){
                Display.hide_controls_bar();
            }, PLASHKA_TIMER);
        }
        
        clearTimeout(volbarTimer);
        Display.show_vol_bar();        
        volbarTimer = setTimeout(function(){
            Display.hide_vol_bar();
        }, VOLBAR_TIMER);
        return;
    }
    Display.show_controls_bar();
    plashkaTimer = setTimeout(function(){
        Display.hide_controls_bar();
    }, PLASHKA_TIMER); 
}


// установить проигрывание фильма
function setPlayVideo()
{
    Player.deinit();
    if ( Player.init() && Audio.init() && Display.init())
    {
        if (VideoUrl.id > 0) getInfo.markVideoDA(VideoUrl.id); // уведомляем DA о просмотре фильма
        Visual.ShowBarPlayer();        
        /*plashkaTimer = setTimeout(function(){Display.hide();}, PLASHKA_TIMER);*/
        Display.setVolume( Audio.getVolume() );
        Display.flush();
        Player.setVideoURL(VideoUrl.url_hi);
        Player.playVideo();
    }
}

// установить проигрывание рекламы
function setPlayAdv()
{
    Player.deinit();
    if ( Player.init() && Audio.init() && Display.init())
    {
        if (VideoUrl.id > 0 && AdvUrl.id > 0) // уведомляем DA о просмотре рекламы
        {
            getInfo.markAdvDA(VideoUrl.id, AdvUrl.id); // уведомляем DA о просмотре рекламы
            getInfo.saveShowAdv(VideoUrl.id, AdvUrl.id); // сохраняем просмотр рекламы к себе в БД
        }
        Visual.HideBarPlayer();        
        /*plashkaTimer = setTimeout(function(){Display.hide();}, PLASHKA_TIMER);*/
        Display.setVolume( Audio.getVolume() );
        Display.flush();
        Player.setVideoURL(AdvUrl.url_hi);
        Player.playVideo();
    }
}


// Выделить активный элемент плеера
Visual.SelectPlayerElem = function ()
{
    $("#" + ACT_REWIND).removeClass("current");
    //document.getElementById(ACT_LOREWIND).style.opacity = "0.2";
    $("#" + ACT_PLAY).removeClass("current");
    //document.getElementById(ACT_PAUSE).style.opacity = "0.2";
    //document.getElementById(ACT_LOFORWARD).style.opacity = "0.2";
    $("#" + ACT_FORWARD).removeClass("current");
    $("." + ACT_GOTO_PREV).removeClass("current");
    $("." + ACT_GOTO_MAIN).removeClass("current");
    $("." + ACT_BEGINFROM).removeClass("current");
    $("." + ACT_BEGINFROM_GOTO).removeClass("current");
    $("." + ACT_BEGINFROM_CLOSE).removeClass("current");
    $("." + ACT_PREV_SERIE).removeClass("current");
    $("." + ACT_NEXT_SERIE).removeClass("current");
    $("." + ACT_HOUR).removeClass("current");
    $("." + ACT_MIN).removeClass("current");
    $("." + ACT_SEC).removeClass("current");
	
    if (id_active_player == ACT_GOTO_PREV || id_active_player == ACT_GOTO_MAIN || id_active_player == ACT_BEGINFROM || id_active_player == ACT_PREV_SERIE  || id_active_player == ACT_NEXT_SERIE)
        $("." + id_active_player).addClass("current");
    else
    {
        if (id_active_player == ACT_HOUR || id_active_player == ACT_MIN || id_active_player == ACT_SEC || id_active_player == ACT_BEGINFROM_GOTO || id_active_player == ACT_BEGINFROM_CLOSE)
            $("." + id_active_player).addClass("current");
        else
            $("#" + id_active_player).addClass("current");
    }
}

Visual.clearTimeInput = function()
{
    $("input[name='" + ACT_HOUR + "']").val("");
    $("input[name='" + ACT_MIN + "']").val("");
    $("input[name='" + ACT_SEC + "']").val("");
}

// показать Х
Visual.ShowX = function ()
{
    $("#videoBox_x").show();
    setTimeout(function(){
        $("#videoBox_x").hide();
    }, 500);	
}

// совершить акт навигации в плеере
Navigator.doPlayerNav = function (action)
{
    if (!Player.is_contols_locked)
    {
        switch (action)
        {
            case MY_UP:
                switch (id_active_player)
                {
                    case ACT_HOUR:
                    case ACT_MIN:
                    case ACT_SEC:
                    case ACT_BEGINFROM:
                        if ($("." + ACT_NEXT_SERIE).css("display") != "none")
                            id_active_player = ACT_NEXT_SERIE;
                        else if ($("." + ACT_PREV_SERIE).css("display") != "none")
                            id_active_player = ACT_PREV_SERIE;
                        else
                            id_active_player = ACT_BEGINFROM;
                        $("#" + ACT_BEGINFROM_FORM).hide();
                        $("." + ACT_BEGINFROM).show();
                        Visual.SelectPlayerElem();
                        if (id_active_player == ACT_BEGINFROM) 
                            clearTimeout(plashkaTimer);
                        break;
                    case ACT_GOTO_PREV:
                        if (!Player.is_contols_locked)
                        {
                            if ($("." + ACT_NEXT_SERIE).css("display") != "none")
                                id_active_player = ACT_NEXT_SERIE;
                            else if ($("." + ACT_PREV_SERIE).css("display") != "none")
                                id_active_player = ACT_PREV_SERIE;
                            Visual.SelectPlayerElem();
                        /*
	                        //$("#timeInfo").hide();
	                        $("#" + ACT_BEGINFROM_FORM).show();
	                        $("." + ACT_BEGINFROM).hide();
	                        id_active_player = ACT_HOUR;
	                        Visual.SelectPlayerElem();
							*/
                        }
                        break;
                    case ACT_BEGINFROM_GOTO:
                        id_active_player = ACT_HOUR;
                        Visual.SelectPlayerElem();
                        break;
                    case ACT_BEGINFROM_CLOSE:
                        id_active_player = ACT_BEGINFROM_GOTO;
                        Visual.SelectPlayerElem();
                        break;
                    case ACT_GOTO_MAIN:
                        if (!Player.is_contols_locked)
                        {
                            id_active_player = ACT_GOTO_PREV;
                            Visual.SelectPlayerElem();
                        }
                        break;
                    case ACT_REWIND:
                    //case ACT_LOREWIND:
                    case ACT_PLAY:
                    // case ACT_LOFORWARD:
                    case ACT_FORWARD:
                        if (!Player.is_contols_locked)
                        {
                            if ($("." + ACT_NEXT_SERIE).css("display") != "none")
                                id_active_player = ACT_NEXT_SERIE;
                            else if ($("." + ACT_PREV_SERIE).css("display") != "none")
                                id_active_player = ACT_PREV_SERIE;
                            Visual.SelectPlayerElem();
                        }
                        break;
                    case ACT_NEXT_SERIE:
                    case ACT_PREV_SERIE:
                        break;
                } 
                break;
            case MY_DOWN:
                switch (id_active_player)
                {
                    case ACT_NEXT_SERIE:
                    case ACT_PREV_SERIE:
                        id_active_player = ACT_BEGINFROM;
                        Visual.SelectPlayerElem();
                        break;
                    case ACT_HOUR:
                    case ACT_MIN:
                    case ACT_SEC:
                        id_active_player = ACT_BEGINFROM;
                        //$("#timeInfo").show();
                        /*$("#" + ACT_BEGINFROM_FORM).hide();
	                    $("." + ACT_BEGINFROM).show();*/
                        id_active_player = ACT_BEGINFROM_GOTO;
                        //Visual.clearTimeInput();
                        Visual.SelectPlayerElem();
                        break;
                    case ACT_BEGINFROM_GOTO:
                        id_active_player = ACT_BEGINFROM_CLOSE;
                        Visual.SelectPlayerElem();
                        break;
                    case ACT_BEGINFROM_CLOSE:
                        id_active_player = ACT_BEGINFROM;
                        $("#" + ACT_BEGINFROM_FORM).hide();
                        $("." + ACT_BEGINFROM).show();
                        Visual.clearTimeInput();
                        Visual.SelectPlayerElem();
                        stepTimer();
                        break;
                    case ACT_GOTO_PREV:
                        id_active_player = ACT_GOTO_MAIN;
                        Visual.SelectPlayerElem(); 
                        break;
                    case ACT_GOTO_MAIN:
                    case ACT_REWIND:
                    //case ACT_LOREWIND:
                    case ACT_PLAY:
                    // case ACT_LOFORWARD:
                    case ACT_BEGINFROM:
                    case ACT_FORWARD:
                        break;
                } 
                break;
            case MY_LEFT:
                switch (id_active_player)
                {
                    case ACT_NEXT_SERIE:
                        id_active_player = ACT_PREV_SERIE;
                        Visual.SelectPlayerElem();
                        break;
                    case ACT_NEXT_SERIE:
                    case ACT_BEGINFROM_GOTO:
                    case ACT_BEGINFROM_CLOSE:
                    case ACT_HOUR:
                        break;
                    case ACT_MIN:
                        id_active_player = ACT_HOUR;
                        Visual.SelectPlayerElem();
                        break;
                    case ACT_SEC:
                        id_active_player = ACT_MIN;
                        Visual.SelectPlayerElem();
                        break;
                    case ACT_GOTO_PREV:
                        break;
                    case ACT_GOTO_MAIN:
                        break;
                    case ACT_REWIND:
                        id_active_player = ACT_GOTO_MAIN;
                        Visual.SelectPlayerElem();
                        break;
                    /*case ACT_LOREWIND:
						id_active_player = ACT_REWIND;
						Visual.SelectPlayerElem();
					break;*/
                    case ACT_PLAY:
                        id_active_player = ACT_REWIND;
                        Visual.SelectPlayerElem();
                        break;
                    /*case ACT_LOFORWARD:
						id_active_player = ACT_PLAY;
						Visual.SelectPlayerElem();
					break;*/
                    case ACT_FORWARD:
                        id_active_player = ACT_PLAY;
                        Visual.SelectPlayerElem();
                        break;
                    case ACT_BEGINFROM:
                        id_active_player = ACT_FORWARD;
                        Visual.SelectPlayerElem();
                        break;
                } 
                break;
            case MY_RIGHT:
                switch (id_active_player)
                {
                    case ACT_PREV_SERIE:
                        if ($("." + ACT_NEXT_SERIE).css("display") != "none")
                            id_active_player = ACT_NEXT_SERIE;
                        //id_active_player = ACT_NEXT_SERIE;
                        Visual.SelectPlayerElem();
                        break;
                    case ACT_NEXT_SERIE:
                    case ACT_BEGINFROM_GOTO:
                    case ACT_BEGINFROM_CLOSE:
                        break;
                    case ACT_HOUR:
                        id_active_player = ACT_MIN;
                        Visual.SelectPlayerElem();
                        break;
                    case ACT_MIN:
                        id_active_player = ACT_SEC;
                        Visual.SelectPlayerElem();
                        break;
                    case ACT_SEC:
                    case ACT_BEGINFROM:
                        break;
                    case ACT_GOTO_PREV:
                    case ACT_GOTO_MAIN:
                        id_active_player = ACT_REWIND;
                        Visual.SelectPlayerElem();
                        break;
                    case ACT_REWIND:
                        id_active_player = ACT_PLAY;
                        Visual.SelectPlayerElem();
                        break;
                    /*case ACT_LOREWIND:
						id_active_player = ACT_PLAY;
						Visual.SelectPlayerElem();
					break;*/
                    case ACT_PLAY:
                        id_active_player = ACT_FORWARD;
                        Visual.SelectPlayerElem();
                        break;
                    /*case ACT_LOFORWARD:
						id_active_player = ACT_FORWARD;
						Visual.SelectPlayerElem();
					break;*/
                    case ACT_FORWARD:
                        id_active_player = ACT_BEGINFROM;
                        Visual.SelectPlayerElem();
                        break;
                } 
                break;
        }
    }
    else
    {
        Visual.ShowX();
    }
}


// эвенты в плеере
myEvent.eventsInPlayer = function ()
{
    if (!Player.is_contols_locked)
    {
        switch (id_active_player)
        {
            case ACT_GOTO_PREV:
                myEvent.gooutfromPlayer(true);
			break;
            case ACT_GOTO_MAIN:
                Visual.ShowPreloader(true);
                Player.stopVideo();
                my_action_prev = ACTION_NONE;
                id_active_player = ACT_PLAY;
                active_res = NOT_ACTIVE;
                clearTimeout(plashkaTimer);
                plashkaTimer = null;
                $("#container").show();
                myEvent.gotoHome(0);
                setTimeout(Visual.HidePreloader, 3000);
			break;
            case ACT_REWIND:
                if(Player.getState() != Player.PAUSED)
                {
                    if (Display.totalTime/1.15 < 180000)
                        Player.skipBackwardVideo();
                    else
                        Player.skipLoBackwardVideo();
                }
            break;
			/*
            case ACT_LOREWIND:
                //if (ShowAdv)
                    if(Player.getState() != Player.PAUSED)
                        Player.skipLoBackwardVideo();
            break;
            */
            case ACT_PLAY:
                if (Player.getState() == Player.PLAYING)
                    my.handlePauseKey();
                else
                    my.handlePlayKey();
			break;
			/*
            case ACT_LOFORWARD:
                //if (ShowAdv)
                    if(Player.getState() != Player.PAUSED)
                        Player.skipLoForwardVideo();
            break;
            */
            case ACT_FORWARD:
                if(Player.getState() != Player.PAUSED)
                {
                    if (Display.totalTime/1.15 < 180000)
                        Player.skipForwardVideo();
                    else
                        Player.skipLoForwardVideo();
                }
			break;
            case ACT_BEGINFROM:
                $("#" + ACT_BEGINFROM_FORM).show();
                $("." + ACT_BEGINFROM).hide();
                id_active_player = ACT_HOUR;
                Visual.SelectPlayerElem();
                clearTimeout(plashkaTimer);
			break;
            case ACT_BEGINFROM_GOTO:
            case ACT_HOUR:
            case ACT_MIN:
            case ACT_SEC:
                var hour = (parseInt($("input[name='beginfrom_hour']").val()) >= 0) ? parseInt($("input[name='beginfrom_hour']").val()) : 0;
                var min  = (parseInt($("input[name='beginfrom_min']").val()) >= 0) ? parseInt($("input[name='beginfrom_min']").val()) : 0;
                var sec  = (parseInt($("input[name='beginfrom_sec']").val()) >= 0) ? parseInt($("input[name='beginfrom_sec']").val()) : 0;
                var res = (hour*3600 + min*60 + sec)*1000;
                res = (res >= Display.totalTime) ? Display.totalTime : res;                
                if (res - totalTime > 0) // идем вперед 
                {
                    if (res > 0 && (res / Display.totalTime) >= Player.END_OF_ADV) // вот тут проверка на перемотку
                        Player.STEP = parseInt((res - totalTime)/1000*0.96); // умножаем на понижающий коэффициент
                    else
                        Player.STEP = parseInt((res - totalTime)/1000);                    
                    Player.smart_jump(Player.STEP);
                }
                else // идем назад
                {                    
                    Player.STEP = parseInt((totalTime - res)/60000);
                    Player.skipStepBackwardVideo();
                }                
                id_active_player = ACT_BEGINFROM;
                $("#" + ACT_BEGINFROM_FORM).hide();
                $("." + ACT_BEGINFROM).show();
                Visual.clearTimeInput(); // обнулить значения
                Display.setTime(res);
                Visual.SelectPlayerElem();
                stepTimer();                
			break;
            case ACT_BEGINFROM_CLOSE:
                id_active_player = ACT_BEGINFROM;
                $("#" + ACT_BEGINFROM_FORM).hide();
                $("." + ACT_BEGINFROM).show();
                Visual.clearTimeInput(); // обнулить значения
                Visual.SelectPlayerElem();
                stepTimer();
			break;
            case ACT_NEXT_SERIE: // уйти на следующую серию 
                if (current_episode != NOT_ACTIVE && current_siason_no != NOT_ACTIVE) // можно сваливать
                {
                    if (current_episode > 0)
                    {
                        current_episode--;
                        Player.stopVideo();
                        myEvent.gotoPlayer(NAME_COMPILATION, CompInfo[current_siason_no].episode[current_episode].id);
                    }
                    else if (current_siason_no > 0)
                    {
                        current_siason_no--;
                        current_episode = CompInfo[current_siason_no].episode.length-1;
                        Player.stopVideo();
                        myEvent.gotoPlayer(NAME_COMPILATION, CompInfo[current_siason_no].episode[current_episode].id);
                    }
                }
			break;
            case ACT_PREV_SERIE: // уйти на предыдущую серию
                if (current_episode != NOT_ACTIVE && current_siason_no != NOT_ACTIVE) // можно сваливать
                {
                    if (current_episode < CompInfo[current_siason_no].episode.length - 1)
                    {
                        current_episode++;
                        Player.stopVideo();
                        myEvent.gotoPlayer(NAME_COMPILATION, CompInfo[current_siason_no].episode[current_episode].id);
                    }
                    else if (current_siason_no < CompInfo.length - 1)
                    {
                        current_siason_no++;
                        current_episode = 0;
                        Player.stopVideo();
                        myEvent.gotoPlayer(NAME_COMPILATION, CompInfo[current_siason_no].episode[current_episode].id);
                    }
                }
			break;
        }
    }
    else // показать Х
    {
        Visual.ShowX();
    }
}


// получить введенное время
function getInputTime()
{
    var hour = (parseInt($("input[name='" + ACT_HOUR + "']").val()) >= 0) ? parseInt($("input[name='" + ACT_HOUR + "']").val()) : 0;
    var min  = (parseInt($("input[name='" + ACT_MIN + "']").val()) >= 0) ? parseInt($("input[name='" + ACT_MIN + "']").val()) : 0;
    var sec  = (parseInt($("input[name='" + ACT_SEC + "']").val()) >= 0) ? parseInt($("input[name='" + ACT_SEC + "']").val()) : 0;
    return hour*3600 + min*60 + sec;
}

// расположить время в инпуте
function pasteTimeVal(val)
{
    var t = $("input[name='" + id_active_player + "']").val();
    t += val;
    if (t.length > 2)
    {
        t = t.substr(1, t.length);
    }
    $("input[name='" + id_active_player + "']").val(t);
    // типа правильный ввод значений в поля
    var ttime = parseInt(Display.totalTime / 1000); // в секундах
    if (getInputTime() > ttime) // значит полшой время ввел юзверь
    {
        /*
        $("input[name='" + ACT_HOUR + "']").val(parseInt(ttime/3600));
        $("input[name='" + ACT_MIN + "']").val(parseInt(ttime/60 - parseInt(ttime/3600)*60));
        $("input[name='" + ACT_SEC + "']").val(parseInt(ttime - parseInt(ttime/60 - parseInt(ttime/3600)*60)*60 - parseInt(ttime/3600)*3600));
		*/
        if (id_active_player == ACT_HOUR)
            $("input[name='" + ACT_HOUR + "']").val(parseInt(ttime/3600));
        else
            $("input[name='" + id_active_player + "']").val("");
    }
    else
    {
        if (parseInt(t) >= 60) t = "";
        $("input[name='" + id_active_player + "']").val(t);
    }
}

// сунуть цифры в инпуты
function pasteVal(keyCode)
{
    if (id_active_player == ACT_HOUR || id_active_player == ACT_MIN || id_active_player == ACT_SEC)
    {
        switch (keyCode)
        {
            case tvKey.KEY_1:
                pasteTimeVal("1");
                break; 
            case tvKey.KEY_2:
                pasteTimeVal("2");
                break; 
            case tvKey.KEY_3:
                pasteTimeVal("3");
                break; 
            case tvKey.KEY_4:
                pasteTimeVal("4");
                break; 
            case tvKey.KEY_5:
                pasteTimeVal("5");
                break; 
            case tvKey.KEY_6:
                pasteTimeVal("6");
                break; 
            case tvKey.KEY_7:
                pasteTimeVal("7");
                break; 
            case tvKey.KEY_8:
                pasteTimeVal("8");
                break; 
            case tvKey.KEY_9:
                pasteTimeVal("9");
                break; 
            case tvKey.KEY_0:
                pasteTimeVal("0");
                break;
        }
    }
}

// Обработчик нажатия кнопки
my.keyDown = function()
{
    var keyCode = event.keyCode;
    if (Player.is_contols_locked && my_action != NAME_NTF) 
	{
        Visual.ShowX();
    } 
    if (!isBlockKeys)
    {
        switch (keyCode)
        {
            case tvKey.KEY_LEFT: // влево
                if(my_action == NAME_PLAYER)
                {
                    Navigator.doPlayerNav(MY_LEFT);
                    if ($("#" + ACT_BEGINFROM_FORM).css("display") == "none") stepTimer();
                }
                else
                    Navigator.doNavigation(MY_LEFT);
			break;
            case tvKey.KEY_RIGHT: // вправо
                if(my_action == NAME_PLAYER)
                {
                    Navigator.doPlayerNav(MY_RIGHT);
                    if ($("#" + ACT_BEGINFROM_FORM).css("display") == "none") stepTimer();
                }
                else
                    Navigator.doNavigation(MY_RIGHT);
			break;
            case tvKey.KEY_UP: // вверх
                if(my_action == NAME_PLAYER)
                {
                    Navigator.doPlayerNav(MY_UP);
                    if ($("#" + ACT_BEGINFROM_FORM).css("display") == "none") stepTimer();
                }
                else
                    Navigator.doNavigation(MY_UP);
			break;
            case tvKey.KEY_DOWN: // вниз
                if(my_action == NAME_PLAYER)
                {
                    Navigator.doPlayerNav(MY_DOWN);
                    if ($("#" + ACT_BEGINFROM_FORM).css("display") == "none") stepTimer();
                }
                else
                    Navigator.doNavigation(MY_DOWN);
			break;
            case tvKey.KEY_ENTER: // энтер
                if(my_action == NAME_PLAYER)
                {
                    stepTimer();
                    myEvent.eventsInPlayer();
                }
                else
                {
                    /*
                    alert("my_action: " + my_action +
                        ", my_action_goto_main: " + my_action_goto_main +
                        ", my_action_prev: " + my_action_prev);
                    */
                    myEvent.doAction();
                }
			break;
            case tvKey.KEY_RETURN:
            case tvKey.KEY_PANEL_RETURN:
                if(my_action == NAME_PLAYER)
                {
                    widgetAPI.blockNavigation(event);
                    //if (ShowAdv)
                    //{
                    myEvent.gooutfromPlayer(true);
                /*
                    }
                    else
                    {
						Visual.ShowX();
                    }
					*/
                }
                else // сретурнить назад
                {
                    widgetAPI.blockNavigation(event);
                    switch (my_action)
                    {
                        case NAME_PREVIEW:
                            my_action = my_action_goto_main;
                            myEvent.gotoUrl(my_action);
                            break;
                        case NAME_COMPILATION:
                            my_action = my_action_goto_main;
                            myEvent.gotoUrl(my_action);
                            break;
                        case NAME_SERIAL:
                            my_action = NAME_COMPILATION;
                            comp_active_prev = COMP_NAME_PLAY_SERIE;
                            Visual.SelectAllCompil();
                            myEvent.gotoUrl(my_action);
                            break;
                        case NAME_RECENSION:
                            if(my_action_prev == NAME_PREVIEW)
                            {
                                my_action = NAME_PREVIEW; // выставить блок активным
                                active_prev = NAME_PLAY_FILM;
                                Visual.SelectAllPreview();
                            }
                            else
                            {
                                my_action = NAME_COMPILATION; // выставить блок активным
                                comp_active_prev = COMP_NAME_PLAY_SERIE;
                                Visual.SelectAllCompil();
                            }
                            myEvent.gotoUrl(my_action);
                            break;
                        case NAME_SEEK: // выйти на главную с поиска
                        	myEvent.EmptySeekInput();
                            active_res = NOT_ACTIVE;
                            myEvent.gotoHome(0); // уйти
                            break;
                        case NAME_ALLRESULTS: // выйти на поиск со всех результатов
                        	myEvent.EmptySeekInput();
                            my_action = NAME_SEEK;
                            seek_active = NAME_SEARCH;
                            myEvent.gotoUrl(my_action);
                            Visual.SelectAllSeek();
                            break;
                        case NAME_AUTORISATION: // выйти на популярное
                            auto_active = NOT_ACTIVE;
                            myEvent.gotoHome(0);
                            Visual.disselectMenuItems(NAME_MENU_CAT_GEN, 6);
                            break;
                        case NAME_SELECT_GENRE_COUNT_YEAR:
                            myEvent.closeFilterBlock();
                            break;
                        case NAME_SELECT_YEAR: // применить выбор юзера
                            var bak = 0;
                            if (year_from > year_to) // поменять значения местами
                            {
                                bak = year_from;
                                year_from = year_to;
                                year_to = bak; 
                            }
                            Visual.HideClearContents(); // очистить элементы
                            // получить контент популярного и нового для выбранных фильтров	
                            ContentNew.length = 0; // обойдется без новинок, потому что они не приходят
                            aciveContent_bak = 0;
                            getInfo.getContent(0, VERY_MUCH_CONTENT , (filterCountry == NOT_ACTIVE) ? null : filterCountry, year_from, year_to, "pop", Category[openCat-1].id, (filterGenre == NOT_ACTIVE) ? null : filterGenre, false, true); // список популярного видео
                            myEvent.closeFilterBlock();
                            Visual.PutBarOnTop();
                            break;
                        case NAME_MENU_CAT_GEN:
                        case NAME_CONTENT:
							widgetAPI.sendReturnEvent(); // выйти из приложения
							/*
							if (activeCat == 0)
							{
								//widgetAPI.sendExitEvent();
							}
							else
							{
								Visual.disselectMenuItems(NAME_MENU_CAT_GEN, activeCat);
                            	myEvent.gotoHome(0);
							}
							*/
                        break;
                        default:
                            Visual.disselectMenuItems(NAME_MENU_CAT_GEN, activeCat);
                            myEvent.gotoHome(0);
                        break;
                    }
                }
                break;

            case tvKey.KEY_PLAY:
                if(my_action == NAME_PLAYER)
                {
                    stepTimer();
                    this.handlePlayKey();
                }
				
                if (my_action == NAME_SEEK) // клик в поиске
                {
					setInfo.EmptyPlayerVal(); // очистить контролы плеера
                    my_action = NAME_PLAYER;
                    myEvent.gotoUrl(my_action);
                    my_action_prev = NAME_SEEK;
                    var isSerial = (Search[active_res].compilation > 0) ? 1 : 0;
                    getInfo.getVideoInfo(isSerial, Search[active_res].id, 1, {
                        'go_to_player': true, 
                        'isSerial': isSerial
                    }); 
                }
                if (my_action == NAME_ALLRESULTS) // клик во всех результатах поиска
                {
					setInfo.EmptyPlayerVal(); // очистить контролы плеера
                    my_action = NAME_PLAYER;
                    myEvent.gotoUrl(my_action);
                    my_action_prev = NAME_ALLRESULTS;
                    var isSerial = (Search[active_res].compilation > 0) ? 1 : 0;
                    getInfo.getVideoInfo(isSerial, Search[active_res].id, 1, {
                        'go_to_player': true, 
                        'isSerial': isSerial
                    });
                }
                if (my_action == NAME_CONTENT) // клик в контенте
                {
					setInfo.EmptyPlayerVal(); // очистить контролы плеера
                    my_action = NAME_PLAYER;
                    myEvent.gotoUrl(my_action);
                    my_action_prev = NAME_CONTENT;
                    switch (mode_nav)
                    {
                        case NAV_PROMO:
                            var currentPromoFilm = $(".dot_nav").find('.current').index();
                            var currentIdFilms = $(".promo_preview .image").eq(currentPromoFilm).find('img').attr('id');
                            getInfo.getVideoInfo(0, currentIdFilms, null, false, {
                                'go_to_player': true, 
                                'isSerial': false
                            });
                            break;
                        case NAV_POP:
							GoFromContent = true;
						    if (filterGenre == 169) // проверка на NTF
						    {
						        global_id = ContentPop[aciveContent].id;
						        my_action = NAME_NTF;
						        myEvent.gotoUrl(my_action);
						        Visual.selectNTF();
								return;
						    }
						    else
						    {
                                getInfo.getVideoInfo(ContentPop[aciveContent].is_serial, ContentPop[aciveContent].id, ContentPop[aciveContent].seasons_count, false, {
                                    'go_to_player': true, 
                                    'isSerial': ContentPop[aciveContent].is_serial
                                });
						    }
							/* 
                            getInfo.getVideoInfo(ContentPop[aciveContent].is_serial, ContentPop[aciveContent].id, ContentPop[aciveContent].seasons_count, false, {
                                'go_to_player': true, 
                                'isSerial': ContentPop[aciveContent].is_serial
                            });
							*/
                            break;
                        case NAV_NEW:
                            getInfo.getVideoInfo(ContentNew[aciveContent].is_serial, ContentNew[aciveContent].id, null, false, {
                                'go_to_player': true, 
                                'isSerial': ContentPop[aciveContent].is_serial
                            });
                            break;
                    }
                }
                if (my_action == NAME_PREVIEW) // карточка фильма
                {
					GoFromContent = false;
                    myEvent.gotoPlayer(NAME_PREVIEW, VideoInfo.id);
                }
                if (my_action == NAME_COMPILATION || my_action == NAME_ALLRESULTS) // карточка сборника и  серий сборника
                {
					GoFromContent = false;
                    myEvent.gotoPlayer(NAME_COMPILATION, CompInfo[0].episode[0].id);
                }
                break;
            case tvKey.KEY_STOP:
                if(my_action == NAME_PLAYER && !Player.is_contols_locked)
                {
                    stepTimer();
                    Player.stopVideo();
                    if (Player.vinfo.type == VINFO_SERIAL)
                        my_action = NAME_COMPILATION;
                    else
                        my_action = NAME_PREVIEW;
                    
                    my_action_prev = NAME_MENU_CAT_GEN;
                    plashkaTimer = null;
                    $("#container").show();
                    myEvent.gotoUrl(my_action);
                }
                break;
            case tvKey.KEY_PAUSE:
                if(my_action == NAME_PLAYER && !Player.is_contols_locked)
                {
                    stepTimer();
                    this.handlePauseKey();
                }
                break;
            case tvKey.KEY_FF:
                if(my_action == NAME_PLAYER && !Player.is_contols_locked)
                {
                    id_active_player = ACT_FORWARD;
                    Visual.SelectPlayerElem();
                    stepTimer();                    
                    Player.smart_forward();                    
                }
                break;
            case tvKey.KEY_RW:
                
                if(my_action == NAME_PLAYER && !Player.is_contols_locked)
                {
                    id_active_player = ACT_REWIND;
                    Visual.SelectPlayerElem();
                    stepTimer();
                    Player.smart_backward();
                }
                break;
            case tvKey.KEY_VOL_UP:
            case tvKey.KEY_PANEL_VOL_UP:
                if(my_action == NAME_PLAYER)
                {
                    stepTimer(true);
					if(Audio.isMute) // убрать муту, если она вдруг есть
					{
						$("#volumeIcon").removeClass("mute");
						Audio.plugin.SetSystemMute(false);
						Audio.isMute = false;
					}
                    Audio.setRelativeVolume(0);
                }
            break;
            case tvKey.KEY_VOL_DOWN:
            case tvKey.KEY_PANEL_VOL_DOWN:
                if(my_action == NAME_PLAYER)
                {
                    stepTimer(true);
                    if(!Audio.isMute) 
						Audio.setRelativeVolume(1);
                }
            break;
            case tvKey.KEY_PANEL_ENTER:
                /*alert("ENTER");
                this.toggleMode();*/
                break;
            case tvKey.KEY_MUTE:
                if(my_action == NAME_PLAYER)
                {
                    stepTimer(true);
					//if (Visual.newVersion()) 
					Audio.trigger_mute();
                }
                break;
            case tvKey.KEY_1:
            case tvKey.KEY_2:
            case tvKey.KEY_3:
            case tvKey.KEY_4:
            case tvKey.KEY_5:
            case tvKey.KEY_6:
            case tvKey.KEY_7:
            case tvKey.KEY_8:
            case tvKey.KEY_9:
            case tvKey.KEY_0:
                if (my_action == NAME_PLAYER)
                {
                    pasteVal(keyCode);
                //stepTimer();
                }
                if (my_action == NAME_SEEK)
                {
                    //if (seek_active == NAME_SEARCH_INPUT)
                    Navigator.pasteSeekSymbol(keyCode);
                }
                if (my_action == NAME_AUTORISATION)
                {
                    Navigator.pasteAutoSymbol(keyCode);
                }
                break;
            case tvKey.KEY_RED: // переключение языка
            case tvKey.KEY_YELLOW: // удалить последний символ
            case tvKey.KEY_GREEN: // переключатель t9
                if (my_action == NAME_SEEK)
                {
                    //if (seek_active == NAME_SEARCH_INPUT)
                    Navigator.pasteSeekSymbol(keyCode);
                }
                if (my_action == NAME_AUTORISATION)
                {
                    Navigator.pasteAutoSymbol(keyCode);
                }
                break;
            case tvKey.KEY_BLUE: // переключение раскладки
                break;
			case tvKey.KEY_SOURCE: // заблокировать эти элементы
			case tvKey.KEY_PANEL_SOURCE:
			case tvKey.KEY_MENU:
				widgetAPI.blockNavigation(event);
				alert("do nothing");
				// и ничего не делается
				//widgetAPI.blockNavigation(event);
			break;
			case tvKey.KEY_EXIT:
				alert("exit!!!");
				widgetAPI.sendReturnEvent();
			break;
            default:
                alert("Unhandled key");
                break;
        }
    }
    else // заблокировать навигацию
    {
        switch (keyCode) 
        {
            case tvKey.KEY_RETURN:
            case tvKey.KEY_PANEL_RETURN:
                if(my_action == NAME_PLAYER)
                {
                    widgetAPI.blockNavigation(event);
                    //if (ShowAdv)
                    //{
                    myEvent.gooutfromPlayer(true);
                /*
                    }
                    else
                    {
						Visual.ShowX();
                    }
					*/
                }
                else // сретурнить назад
                {
                    widgetAPI.blockNavigation(event);
                    switch (my_action)
                    {
                        case NAME_PREVIEW:
                            my_action = my_action_goto_main;
                            myEvent.gotoUrl(my_action);
                        break;
                        case NAME_COMPILATION:
                            my_action = my_action_goto_main;
                            myEvent.gotoUrl(my_action);
                        break;
                        case NAME_SERIAL:
                            my_action = NAME_COMPILATION;
                            comp_active_prev = COMP_NAME_PLAY_SERIE;
                            Visual.SelectAllCompil();
                            myEvent.gotoUrl(my_action);
                        break;
                        case NAME_RECENSION:
                            if(my_action_prev == NAME_PREVIEW)
                            {
                                my_action = NAME_PREVIEW; // выставить блок активным
                                active_prev = NAME_PLAY_FILM;
                                Visual.SelectAllPreview();
                            }
                            else
                            {
                                my_action = NAME_COMPILATION; // выставить блок активным
                                comp_active_prev = COMP_NAME_PLAY_SERIE;
                                Visual.SelectAllCompil();
                            }
                            myEvent.gotoUrl(my_action);
                        break;
                        case NAME_SEEK: // выйти на главную с поиска
                        	myEvent.EmptySeekInput();
                            active_res = NOT_ACTIVE;
                            myEvent.gotoHome(0); // уйти
                        break;
                        case NAME_ALLRESULTS: // выйти на поиск со всех результатов
                        	myEvent.EmptySeekInput();
                            my_action = NAME_SEEK;
                            seek_active = NAME_SEARCH;
                            myEvent.gotoUrl(my_action);
                            Visual.SelectAllSeek();
                        break;
                        case NAME_AUTORISATION: // выйти на популярное
                            auto_active = NOT_ACTIVE;
                            myEvent.gotoHome(0);
                            Visual.disselectMenuItems(NAME_MENU_CAT_GEN, 6);
                        break;
                        case NAME_NTF:
                            Visual.disselectMenuItems(NAME_MENU_CAT_GEN, activeCat);
                            myEvent.gotoHome(0);
                        break;
                        case NAME_MENU_CAT_GEN:
                        case NAME_CONTENT:
							widgetAPI.sendReturnEvent(); // выйти из приложения
							/*
							if (activeCat == 0)
							{
								//widgetAPI.sendExitEvent();
							}
							else
							{
								Visual.disselectMenuItems(NAME_MENU_CAT_GEN, activeCat);
                            	myEvent.gotoHome(0);
							}
							*/
                        break;
                        default:
                            Visual.disselectMenuItems(NAME_MENU_CAT_GEN, activeCat);
                            myEvent.gotoHome(0);
                        break;
                    }
                }
                Visual.HidePreloader();
			break;
			case tvKey.KEY_SOURCE: // заблокировать эти элементы
			case tvKey.KEY_MENU:
				widgetAPI.blockNavigation(event);
				alert("do nothing block");
			break;
			case tvKey.KEY_EXIT:
				alert("exit block");
				widgetAPI.sendReturnEvent();
			break;
        }
        widgetAPI.blockNavigation(event);
    }
}

my.handlePlayKey = function()
{
    switch ( Player.getState() )
    {
        case Player.STOPPED:
            Player.playVideo();
            break;
        case Player.PAUSED:
            Player.resumeVideo();
            $("#play").addClass("pause");
            break;
        default:
            alert("Ignoring play key, not in correct state");
            break;
    }
}

my.handlePauseKey = function()
{
    switch ( Player.getState() )
    {
        case Player.PLAYING:
            Player.pauseVideo();
            $("#play").removeClass("pause");
            break;
        default:
            alert("Ignoring pause key, not in correct state");
            break;
    }
}

my.triggerMute = function() {
    return
    if (this.mute == 0) {    
        this.mute = Audio.getVolume();
        Audio.setRelativeVolume(-this.mute);
        alert("my.triggerMute() this.mute=" + this.mute);
        
    } else {
        Audio.setRelativeVolume(this.mute);
        this.mute = 0;        
        alert("this.mute= " + this.mute);
        
    }
}