// функция навигации в блоке-фильтре

// активные элементы
var activeElem = NOT_ACTIVE; // активный элемент блока-фильтра
var curFilterPage = 0; // текущая страница элементов в блоке-фильтре

// номера кнопки "Дальше", "Закрыть" в блоке-фильтре
var FILTER_MORE = 1000; // код кнопки "дальше"
var FILTER_BACK = 1001; // код кнопки "назад" - возврата на предыдущую страницу
var FILTER_CLOSE = 1002; // код кнопки "закрыть"

// совершить акт навигации в блоке-фильтре
Navigator.doFilterBlockNav = function (action)
{
    switch (action)
    {
        case MY_UP:
            switch (activeElem)
            {
                case FILTER_MORE:
                case FILTER_BACK: // с кнопок "дальше" и "назад" подняться в элементы
                    Visual.disselectFilterBlock(activeElem);
                    activeElem = (elem.length - setInfo.MAX_ITEMS_ON_*curFilterPage < setInfo.MAX_ITEMS_ON_) ? elem.length - setInfo.MAX_ITEMS_ON_*curFilterPage - 1 : setInfo.MAX_ITEMS_ON_ - 1;
                    Visual.selectFilterBlock(activeElem);
                break;
                case FILTER_CLOSE: // с кнопки "закрыть" подняться на кнопку "назад"
                    Visual.disselectFilterBlock(activeElem);
                    //.............................................
                    // неверно. необходимо знать - какая кнопка есть вообще
                    if ($(".back").css("display") != "none") activeElem = FILTER_BACK;  //есть кнопка "назад", не важно тогда есть ли кнопка "дальше", все равно на кнопку "назад"
                    if ($(".more").css("display") != "none" && $(".back").css("display") == "none") activeElem = FILTER_MORE; // есть только кнопка "дальше"
                    if ($(".more").css("display") == "none" && $(".back").css("display") == "none") activeElem = setInfo.MAX_ITEMS_ON_ - 1; // нет "дальше", нет "назад", подняться в элементы
                    //.............................................
                    Visual.selectFilterBlock(activeElem);
                break;
                default: // вверх в основных элементах
                    if (activeElem > 0)
                    {
                        if (activeElem != setInfo.MAX_ITEMS_ON_) // чтобы с верхней превой колонки не уходил на левую
                        {
                            Visual.disselectFilterBlock(activeElem);
                            activeElem--;
                            Visual.selectFilterBlock(activeElem);
                        }
                    }
					else
					{
						Visual.disselectFilterBlock(activeElem);
						activeElem = FILTER_CLOSE;
						Visual.selectFilterBlock(activeElem);
					}
                break;
            }
        break;
        case MY_DOWN: 
            switch (activeElem)
            {
                case FILTER_MORE:
                case FILTER_BACK: // с кнопок "дальше" и "назад" опуститься на закрыть
                    Visual.disselectFilterBlock(activeElem);
                    activeElem = FILTER_CLOSE;
                    Visual.selectFilterBlock(activeElem);
                break;
                case FILTER_CLOSE: // уйти на первый элемент 
					Visual.disselectFilterBlock(activeElem);
					activeElem = 0;
					Visual.selectFilterBlock(activeElem);
				break; 
                default: // вниз в основных элементах
                    // с элементов опуститься на "дальше" и "назад" или "закрыть"
                    if (activeElem == setInfo.MAX_ITEMS_ON_-1 || 
						activeElem == setInfo.MAX_ITEMS_ON_*2-1 || 
						activeElem == elem.length - 1 || 
						((curFilterPage > 1) && (activeElem + (curFilterPage-1)*setInfo.MAX_ITEMS_ON_*2 >= elem.length - 1)))
                    {
                        Visual.disselectFilterBlock(activeElem);
                        if ($(".back").css("display") != "none") activeElem = FILTER_BACK;  //есть кнопка "назад", не важно тогда есть ли кнопка "дальше", все равно на кнопку "назад"
                        if ($(".more").css("display") != "none" && $(".back").css("display") == "none") activeElem = FILTER_MORE; // есть только кнопка "дальше"
                        if ($(".more").css("display") == "none" && $(".back").css("display") == "none") activeElem = FILTER_CLOSE; // нет "дальше", нет "назад", идем на "закрыть"
                        Visual.selectFilterBlock(activeElem);
                    }
                    else
                    {
                        Visual.disselectFilterBlock(activeElem);
                        activeElem++;
                        Visual.selectFilterBlock(activeElem);
                    }
                break;
            }
        break;
        case MY_LEFT:
            switch (activeElem)
            {
                case FILTER_MORE:
                    if ($(".back").css("display") != "none")
                    {
                        Visual.disselectFilterBlock(activeElem);
                        activeElem = FILTER_BACK;
                        Visual.selectFilterBlock(activeElem);
                    }
                break;
                case FILTER_BACK: 
                case FILTER_CLOSE: break; // ничего не делаем
                default: // влево в основных элементах
                    if (activeElem - setInfo.MAX_ITEMS_ON_ >= 0)
                    {
                        Visual.disselectFilterBlock(activeElem);
                        activeElem -= setInfo.MAX_ITEMS_ON_;
                        Visual.selectFilterBlock(activeElem);
                    }
                break;
            }
        break;
        case MY_RIGHT: 
            switch (activeElem)
            {
                case FILTER_BACK: // с кнопок "дальше" и "назад" переходить на них
                    if ($(".more").css("display") != "none")
                    {
                        Visual.disselectFilterBlock(activeElem);
                        activeElem = FILTER_MORE;
                        Visual.selectFilterBlock(activeElem);
                    }
                break;
				case FILTER_MORE:
                case FILTER_CLOSE: break; // ничего не делаем
                default: // вправо в основных элементах
                    if (activeElem < setInfo.MAX_ITEMS_ON_) // сидим в левой колонке
                    {
						if (curFilterPage > 1)
						{
							if (elem.length - 1 - (curFilterPage-1)*setInfo.MAX_ITEMS_ON_*2 > setInfo.MAX_ITEMS_ON_)
							{
		                        Visual.disselectFilterBlock(activeElem);
		                        if (activeElem + setInfo.MAX_ITEMS_ON_ > elem.length - 1) // переходим на последний элемент массива
		                            activeElem = elem.length - 1;
		                        else // переходим нормально
		                            activeElem += setInfo.MAX_ITEMS_ON_;
		                        Visual.selectFilterBlock(activeElem);
							}
						}
						else
						{
							if (elem.length - 1 > setInfo.MAX_ITEMS_ON_)
							{
		                        Visual.disselectFilterBlock(activeElem);
		                        if (activeElem + setInfo.MAX_ITEMS_ON_ > elem.length - 1) // переходим на последний элемент массива
		                            activeElem = elem.length - 1;
		                        else // переходим нормально
		                            activeElem += setInfo.MAX_ITEMS_ON_;
		                        Visual.selectFilterBlock(activeElem);
							}
						}
                    }
                break;
            }
        break;
    }
}
