// функция навигации в блоке-фильтре

// активные элементы
var season_activeElem = NOT_ACTIVE; // активный элемент блока-фильтра
var season_curFilterPage = 0; // текущая страница элементов в блоке-фильтре

// номера кнопки "Дальше", "Закрыть" в блоке-фильтре
var SEASON_FILTER_MORE = 1000; // код кнопки "дальше"
var SEASON_FILTER_BACK = 1001; // код кнопки "назад" - возврата на предыдущую страницу
var SEASON_FILTER_CLOSE = 1002; // код кнопки "закрыть"

// совершить акт навигации в блоке-фильтре
Navigator.doFilterSeasonNav = function (action)
{
    switch (action)
    {
        case MY_UP:
            switch (season_activeElem)
                {
                    case SEASON_FILTER_MORE:
                    case SEASON_FILTER_BACK: // с кнопок "дальше" и "назад" подняться в элементы
                        Visual.disselectFilterSeason(season_activeElem);
                        season_activeElem = (CompInfo.length - setInfo.MAX_ITEMS_ON_*curFilterPage < setInfo.MAX_ITEMS_ON_) ? CompInfo.length - setInfo.MAX_ITEMS_ON_*season_curFilterPage - 1 : setInfo.MAX_ITEMS_ON_ - 1;
                        Visual.selectFilterSeason(season_activeElem);
                    break;
                    case SEASON_FILTER_CLOSE: // с кнопки "закрыть" подняться на кнопку "назад"
                        Visual.disselectFilterSeason(season_activeElem);
                        if ($(".select_season .back").css("display") != "none") season_activeElem = SEASON_FILTER_BACK;  //есть кнопка "назад", не важно тогда есть ли кнопка "дальше", все равно на кнопку "назад"
                        if ($(".select_season .more").css("display") != "none" && $(".select_season .back").css("display") == "none") season_activeElem = SEASON_FILTER_MORE; // есть только кнопка "дальше"
                        if ($(".select_season .more").css("display") == "none" && $(".select_season .back").css("display") == "none") season_activeElem = (CompInfo.length > setInfo.MAX_ITEMS_ON_)? MAX_ITEMS_ON_ - 1 : CompInfo.length - 1; // нет "дальше", нет "назад", подняться в элементы
                        //.............................................
                        Visual.selectFilterSeason(season_activeElem);
                    break;
                    default: // вверх в основных элементах
                        if (season_activeElem > 0)
                        {
                            if (season_activeElem != setInfo.MAX_ITEMS_ON_) // чтобы с верхней превой колонки не уходил на левую
                            {
                                Visual.disselectFilterSeason(season_activeElem);
                                season_activeElem--;
                                Visual.selectFilterSeason(season_activeElem);
                            }
                        }
                    break;
                }
        break;
        case MY_DOWN:
            switch (season_activeElem)
            {
                case SEASON_FILTER_MORE:
                case SEASON_FILTER_BACK: // с кнопок "дальше" и "назад" опуститься на закрыть
                    Visual.disselectFilterSeason(season_activeElem);
                    season_activeElem = SEASON_FILTER_CLOSE;
                    Visual.selectFilterSeason(season_activeElem);
                break;
                case SEASON_FILTER_CLOSE: break; // ничего не делаем
                default: // вниз в основных элементах
                    // с элементов опуститься на "дальше" и "назад" или "закрыть"
                    if (season_activeElem == setInfo.MAX_ITEMS_ON_-1 ||
						season_activeElem == setInfo.MAX_ITEMS_ON_*2-1 ||
						season_activeElem == CompInfo.length - 1 ||
						((season_curFilterPage > 1) && (season_activeElem + (season_curFilterPage-1)*setInfo.MAX_ITEMS_ON_*2 >= CompInfo.length - 1)))
                    {
                        Visual.disselectFilterSeason(season_activeElem);
                        if ($(".select_season .back").css("display") != "none") season_activeElem = SEASON_FILTER_BACK;  //есть кнопка "назад", не важно тогда есть ли кнопка "дальше", все равно на кнопку "назад"
                        if ($(".select_season .more").css("display") != "none" && $(".select_season .back").css("display") == "none") season_activeElem = SEASON_FILTER_MORE; // есть только кнопка "дальше"
                        if ($(".select_season .more").css("display") == "none" && $(".select_season .back").css("display") == "none") season_activeElem = SEASON_FILTER_CLOSE; // нет "дальше", нет "назад", идем на "закрыть"
                        Visual.selectFilterSeason(season_activeElem);
                    }
                    else
                    {
                        Visual.disselectFilterSeason(season_activeElem);
                        season_activeElem++;
                        Visual.selectFilterSeason(season_activeElem);
                    }
                break;
            }
        break;
        case MY_LEFT:
            switch (season_activeElem)
            {
                case SEASON_FILTER_MORE:
                    if ($(".select_season .back").css("display") != "none")
                    {
                        Visual.disselectFilterSeason(season_activeElem);
                        season_activeElem = FILTER_BACK;
                        Visual.selectFilterSeason(season_activeElem);
                    }
                break;
                case SEASON_FILTER_BACK:
                case SEASON_FILTER_CLOSE: break; // ничего не делаем
                default: // влево в основных элементах
                    if (season_activeElem - setInfo.MAX_ITEMS_ON_ >= 0)
                    {
                        Visual.disselectFilterSeason(season_activeElem);
                        season_activeElem -= setInfo.MAX_ITEMS_ON_;
                        Visual.selectFilterSeason(season_activeElem);
                    }
                break;
            }
        break;
        case MY_RIGHT:
            switch (season_activeElem)
            {
                case SEASON_FILTER_BACK: // с кнопок "дальше" и "назад" переходить на них
                    if ($(".select_season .more").css("display") != "none")
                    {
                        Visual.disselectFilterBlock(season_activeElem);
                        season_activeElem = FILTER_MORE;
                        Visual.selectFilterBlock(season_activeElem);
                    }
                break;
				case SEASON_FILTER_MORE:
                case SEASON_FILTER_CLOSE: break; // ничего не делаем
                default: // вправо в основных элементах
                    if (season_activeElem < setInfo.MAX_ITEMS_ON_) // сидим в левой колонке
                    {
						if (season_curFilterPage > 1)
						{
							if (CompInfo.length - 1 - (season_curFilterPage-1)*setInfo.MAX_ITEMS_ON_*2 > setInfo.MAX_ITEMS_ON_)
							{
		                        Visual.disselectFilterSeason(season_activeElem);
		                        if (season_activeElem + setInfo.MAX_ITEMS_ON_ > CompInfo.length - 1) // переходим на последний элемент массива
		                            season_activeElem = CompInfo.length - 1;
		                        else // переходим нормально
		                            season_activeElem += setInfo.MAX_ITEMS_ON_;
		                        Visual.selectFilterSeason(season_activeElem);
							}
						}
						else
						{
							if (elem.length - 1 > setInfo.MAX_ITEMS_ON_)
							{
		                        Visual.disselectFilterSeason(season_activeElem);
		                        if (season_activeElem + setInfo.MAX_ITEMS_ON_ > CompInfo.length - 1) // переходим на последний элемент массива
		                            season_activeElem = CompInfo.length - 1;
		                        else // переходим нормально
		                            season_activeElem += setInfo.MAX_ITEMS_ON_;
		                        Visual.selectFilterSeason(season_activeElem);
							}
						}
                    }
                break;
            }
        break;
    }
}
