var NAME_LEFT_COL = 0;
var NAME_YEAR_1 = 1;
var NAME_YEAR_2 = 2;

var FILTER_YEAR_CLOSE = 1000; // код кнопки "закрыть"
var FILTER_YEAR_SELECT = 1001; //код ссылки "укажите диапазон"

var active_year_Elem = NOT_ACTIVE; // активный элемент блока-фильтра
var active_year_block = NAME_LEFT_COL; //активный блок

// совершить акт навигации в блоке-фильтре
Navigator.doFilterYearBlockNav = function (action)
{
    switch (action)
    {
        case MY_UP:
            switch (active_year_block)
            {
                case NAME_LEFT_COL:
                    Visual.disselectFilterYearBlock(active_year_Elem);
                    if(active_year_Elem > 0)
                        active_year_Elem--;
                    else
					{
						active_year_block = FILTER_YEAR_CLOSE;
					}
                        //active_year_Elem = 0;
                    Visual.selectFilterYearBlock(active_year_Elem);
                break;
                case NAME_YEAR_1:
                    active_year_block = NAME_YEAR_1;
                    active_year_Elem = (Category[openCat-1].years.length < 3)? Category[openCat-1].years.length - 1 : 3;
                    year_from = Visual.scrollFilterYearBlock("up");
                break;
                case NAME_YEAR_2:
                    active_year_block = NAME_YEAR_2;
                    active_year_Elem = (Category[openCat-1].years.length < 3)? Category[openCat-1].years.length - 1 : 3;
                    year_to = Visual.scrollFilterYearBlock("up");
                break;
                case FILTER_YEAR_CLOSE:
                    Visual.disselectFilterYearBlock(active_year_Elem);
                    active_year_block = FILTER_YEAR_SELECT;
                    active_year_Elem = Category[openCat-1].years_diap.length - 1;
                    Visual.selectFilterYearBlock(active_year_Elem);
                break;
                case FILTER_YEAR_SELECT:
                    Visual.disselectFilterYearBlock(active_year_Elem);
                    active_year_block = NAME_LEFT_COL;
                    active_year_Elem = Category[openCat-1].years_diap.length - 1;
                    Visual.selectFilterYearBlock(active_year_Elem);
                break;
            }
        break;
        case MY_DOWN:
            switch (active_year_block)
            {
                case NAME_LEFT_COL:
                    Visual.disselectFilterYearBlock(active_year_Elem);
                    if(active_year_Elem < Category[openCat-1].years_diap.length - 1)
                        active_year_Elem++;
                    else
                    {
                        active_year_Elem = Category[openCat-1].years_diap.length - 1;
                        active_year_block = FILTER_YEAR_SELECT;
                    }
                    Visual.selectFilterYearBlock(active_year_Elem);
                break;
                case NAME_YEAR_1:
                    active_year_block = NAME_YEAR_1;
                    active_year_Elem = (Category[openCat-1].years.length < 3)? Category[openCat-1].years.length - 1 : 3;
                    year_from = Visual.scrollFilterYearBlock("down");
                break;
                case NAME_YEAR_2:
                    active_year_block = NAME_YEAR_2;
                    active_year_Elem = (Category[openCat-1].years.length < 3)? Category[openCat-1].years.length - 1 : 3;
                    year_to = Visual.scrollFilterYearBlock("down");
                break;
                case FILTER_YEAR_CLOSE:
					Visual.disselectFilterYearBlock(active_year_Elem);
					active_year_Elem = 0;
					active_year_block = NAME_LEFT_COL;
					Visual.selectFilterYearBlock(active_year_Elem);
				break;
                case FILTER_YEAR_SELECT:
                    Visual.disselectFilterYearBlock(active_year_Elem);
                    active_year_block = FILTER_YEAR_CLOSE;
                    Visual.selectFilterYearBlock(active_year_Elem);
                break;
            }
        break;
        case MY_LEFT:
            switch (active_year_block)
            {
                case NAME_YEAR_1:
                    Visual.disselectFilterYearBlock(active_year_Elem);
                    active_year_block = NAME_LEFT_COL;
                    active_year_Elem = 0;
                    Visual.selectFilterYearBlock(active_year_Elem);
                    Visual.hideFilterYearDiap();
					Visual.setPosition(); // выставить окно по центру
                break;
                case NAME_YEAR_2:
                    Visual.disselectFilterYearBlock(active_year_Elem);
                    active_year_block = NAME_YEAR_1;
                    Visual.selectFilterYearBlock(active_year_Elem);
                break;
                case FILTER_YEAR_SELECT:
                case NAME_LEFT_COL:
                case FILTER_YEAR_CLOSE: break;
            }
        break;
        case MY_RIGHT:
            switch (active_year_block)
            {
                case NAME_LEFT_COL:
                case FILTER_YEAR_SELECT:
                    Visual.showFilterYearDiap();
                    Visual.disselectFilterYearBlock(active_year_Elem);
                    active_year_block = NAME_YEAR_1;
                    active_year_Elem = (Category[openCat-1].years.length < 3)? Category[openCat-1].years.length - 1 : 3;
                    Visual.selectFilterYearBlock(active_year_Elem);
					Visual.setPosition(); // выставить окно по центру
                break;
                case NAME_YEAR_1:
                    Visual.showFilterYearDiap();
                    Visual.disselectFilterYearBlock(active_year_Elem);
                    active_year_block = NAME_YEAR_2;
                    active_year_Elem = (Category[openCat-1].years.length < 3)? Category[openCat-1].years.length - 1 : 3;
                    Visual.selectFilterYearBlock(active_year_Elem);
                break;
                case NAME_YEAR_2:
                case FILTER_YEAR_CLOSE: break;
            }
        break;
    }
}
